#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 721
#define LARGE_STATE_COUNT 2
#define SYMBOL_COUNT 195
#define ALIAS_COUNT 1
#define TOKEN_COUNT 94
#define EXTERNAL_TOKEN_COUNT 25
#define FIELD_COUNT 29
#define MAX_ALIAS_SEQUENCE_LENGTH 7
#define PRODUCTION_ID_COUNT 58

enum ts_symbol_identifiers {
  anon_sym_LT_BANG = 1,
  aux_sym_doctype_token1 = 2,
  anon_sym_GT = 3,
  sym__doctype = 4,
  anon_sym_LT = 5,
  anon_sym_SLASH_GT = 6,
  anon_sym_LT_SLASH = 7,
  sym_attribute_name = 8,
  sym_attribute_value = 9,
  sym_entity = 10,
  anon_sym_SQUOTE = 11,
  aux_sym_quoted_attribute_value_token1 = 12,
  anon_sym_DQUOTE = 13,
  aux_sym_quoted_attribute_value_token2 = 14,
  sym_text = 15,
  anon_sym_LBRACE = 16,
  anon_sym_RBRACE = 17,
  anon_sym_SEMI = 18,
  anon_sym_LPAREN = 19,
  anon_sym_RPAREN = 20,
  anon_sym_prefetch = 21,
  anon_sym_when = 22,
  anon_sym_on = 23,
  anon_sym_after = 24,
  anon_sym_minimum = 25,
  anon_sym_ms = 26,
  anon_sym_s = 27,
  anon_sym_of = 28,
  anon_sym_track = 29,
  anon_sym_let = 30,
  anon_sym_COMMA = 31,
  anon_sym_as = 32,
  anon_sym_EQ = 33,
  anon_sym_plural = 34,
  anon_sym_select = 35,
  sym_icu_category = 36,
  anon_sym_PLUS = 37,
  anon_sym_STAR = 38,
  anon_sym_COLON = 39,
  anon_sym_else = 40,
  anon_sym_context = 41,
  anon_sym_LBRACK = 42,
  anon_sym_RBRACK = 43,
  anon_sym_LBRACK_LPAREN = 44,
  anon_sym_RPAREN_RBRACK = 45,
  anon_sym_LBRACK_AT = 46,
  anon_sym_BANG = 47,
  anon_sym_QMARK = 48,
  anon_sym_QMARK_QMARK = 49,
  anon_sym_PIPE_PIPE = 50,
  anon_sym_AMP_AMP = 51,
  anon_sym_PIPE = 52,
  sym_identifier = 53,
  sym__escape_sequence = 54,
  aux_sym_string_token1 = 55,
  aux_sym_string_token2 = 56,
  sym_number = 57,
  anon_sym_DOT = 58,
  anon_sym_QMARK_DOT = 59,
  anon_sym_BANG_DOT = 60,
  anon_sym_DASH = 61,
  anon_sym_SLASH = 62,
  anon_sym_PERCENT = 63,
  anon_sym_EQ_EQ = 64,
  anon_sym_EQ_EQ_EQ = 65,
  anon_sym_BANG_EQ = 66,
  anon_sym_BANG_EQ_EQ = 67,
  anon_sym_LT_EQ = 68,
  anon_sym_GT_EQ = 69,
  sym__start_tag_name = 70,
  sym__script_start_tag_name = 71,
  sym__style_start_tag_name = 72,
  sym__end_tag_name = 73,
  sym_erroneous_end_tag_name = 74,
  sym__implicit_end_tag = 75,
  sym_raw_text = 76,
  sym_comment = 77,
  sym__interpolation_start = 78,
  sym__interpolation_end = 79,
  sym_if_start = 80,
  sym_else_start = 81,
  sym_for_start = 82,
  sym_switch_start = 83,
  sym_case_start = 84,
  sym_default_start = 85,
  sym_defer_start = 86,
  sym_let_start = 87,
  sym_empty_start = 88,
  sym_placeholder_start = 89,
  sym_loading_start = 90,
  sym_error_start = 91,
  sym_else_if_start = 92,
  sym_at_sign = 93,
  sym_document = 94,
  sym_doctype = 95,
  sym__node = 96,
  sym_element = 97,
  sym_script_element = 98,
  sym_style_element = 99,
  sym_start_tag = 100,
  sym_script_start_tag = 101,
  sym_style_start_tag = 102,
  sym_self_closing_tag = 103,
  sym_end_tag = 104,
  sym_erroneous_end_tag = 105,
  sym_attribute = 106,
  sym_quoted_attribute_value = 107,
  sym_statement_block = 108,
  sym__any_statement = 109,
  sym__alternative_statement = 110,
  sym_let_statement = 111,
  sym_switch_statement = 112,
  sym_switch_body = 113,
  sym_case_statement = 114,
  sym_default_statement = 115,
  sym_defer_statement = 116,
  sym_placeholder_statement = 117,
  sym_loading_statement = 118,
  sym_error_statement = 119,
  sym_defer_trigger = 120,
  sym_placeholder_minimum = 121,
  sym_loading_condition = 122,
  sym_defer_trigger_condition = 123,
  sym_timed_expression = 124,
  sym_for_statement = 125,
  sym_empty_statement = 126,
  sym_for_declaration = 127,
  sym_for_reference = 128,
  sym_if_statement = 129,
  sym_else_if_statement = 130,
  sym_else_statement = 131,
  sym_if_condition = 132,
  sym_if_reference = 133,
  sym__any_expression = 134,
  sym_assignment_expression = 135,
  sym_icu_expression = 136,
  sym_icu_clause = 137,
  sym_icu_case = 138,
  sym_interpolation = 139,
  sym_concatenation_expression = 140,
  sym_structural_directive = 141,
  sym_structural_expression = 142,
  sym_structural_declaration = 143,
  sym_structural_assignment = 144,
  sym__alias = 145,
  sym__else_template_expression = 146,
  sym__context_expression = 147,
  sym_property_binding = 148,
  sym_event_binding = 149,
  sym_two_way_binding = 150,
  sym_animation_binding = 151,
  sym__binding_assignment = 152,
  sym_binding_name = 153,
  sym__normal_attribute = 154,
  sym_expression = 155,
  sym_unary_expression = 156,
  sym_binary_expression = 157,
  sym_ternary_expression = 158,
  sym_nullish_coalescing_expression = 159,
  sym_conditional_expression = 160,
  sym_pipe_sequence = 161,
  sym_pipe_call = 162,
  sym_pipe_arguments = 163,
  sym__pipe_argument = 164,
  sym__primitive = 165,
  sym_object = 166,
  sym_pair = 167,
  sym_array = 168,
  sym_string = 169,
  sym_group = 170,
  sym_call_expression = 171,
  sym_arguments = 172,
  sym_member_expression = 173,
  sym_bracket_expression = 174,
  sym_static_member_expression = 175,
  sym__single_quote = 176,
  sym__double_quote = 177,
  sym__binary_op = 178,
  aux_sym_document_repeat1 = 179,
  aux_sym_start_tag_repeat1 = 180,
  aux_sym_switch_body_repeat1 = 181,
  aux_sym_defer_trigger_repeat1 = 182,
  aux_sym_for_reference_repeat1 = 183,
  aux_sym_if_statement_repeat1 = 184,
  aux_sym_icu_expression_repeat1 = 185,
  aux_sym_concatenation_expression_repeat1 = 186,
  aux_sym_structural_declaration_repeat1 = 187,
  aux_sym_pipe_sequence_repeat1 = 188,
  aux_sym_pipe_arguments_repeat1 = 189,
  aux_sym_object_repeat1 = 190,
  aux_sym_array_repeat1 = 191,
  aux_sym_string_repeat1 = 192,
  aux_sym_string_repeat2 = 193,
  aux_sym_arguments_repeat1 = 194,
  alias_sym_conditional_operator = 195,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [anon_sym_LT_BANG] = "<!",
  [aux_sym_doctype_token1] = "doctype_token1",
  [anon_sym_GT] = ">",
  [sym__doctype] = "doctype",
  [anon_sym_LT] = "<",
  [anon_sym_SLASH_GT] = "/>",
  [anon_sym_LT_SLASH] = "</",
  [sym_attribute_name] = "attribute_name",
  [sym_attribute_value] = "attribute_value",
  [sym_entity] = "entity",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_quoted_attribute_value_token1] = "attribute_value",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_quoted_attribute_value_token2] = "attribute_value",
  [sym_text] = "text",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_SEMI] = ";",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_prefetch] = "prefetch_keyword",
  [anon_sym_when] = "special_keyword",
  [anon_sym_on] = "special_keyword",
  [anon_sym_after] = "special_keyword",
  [anon_sym_minimum] = "special_keyword",
  [anon_sym_ms] = "unit",
  [anon_sym_s] = "unit",
  [anon_sym_of] = "special_keyword",
  [anon_sym_track] = "special_keyword",
  [anon_sym_let] = "special_keyword",
  [anon_sym_COMMA] = ",",
  [anon_sym_as] = "special_keyword",
  [anon_sym_EQ] = "=",
  [anon_sym_plural] = "plural",
  [anon_sym_select] = "select",
  [sym_icu_category] = "icu_category",
  [anon_sym_PLUS] = "+",
  [anon_sym_STAR] = "*",
  [anon_sym_COLON] = ":",
  [anon_sym_else] = "special_keyword",
  [anon_sym_context] = "special_keyword",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LBRACK_LPAREN] = "[(",
  [anon_sym_RPAREN_RBRACK] = ")]",
  [anon_sym_LBRACK_AT] = "[@",
  [anon_sym_BANG] = "unary_operator",
  [anon_sym_QMARK] = "ternary_operator",
  [anon_sym_QMARK_QMARK] = "coalescing_operator",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE] = "pipe_operator",
  [sym_identifier] = "identifier",
  [sym__escape_sequence] = "_escape_sequence",
  [aux_sym_string_token1] = "string_token1",
  [aux_sym_string_token2] = "string_token2",
  [sym_number] = "number",
  [anon_sym_DOT] = ".",
  [anon_sym_QMARK_DOT] = "\?.",
  [anon_sym_BANG_DOT] = "!.",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [sym__start_tag_name] = "tag_name",
  [sym__script_start_tag_name] = "tag_name",
  [sym__style_start_tag_name] = "tag_name",
  [sym__end_tag_name] = "tag_name",
  [sym_erroneous_end_tag_name] = "erroneous_end_tag_name",
  [sym__implicit_end_tag] = "_implicit_end_tag",
  [sym_raw_text] = "raw_text",
  [sym_comment] = "comment",
  [sym__interpolation_start] = "{{",
  [sym__interpolation_end] = "}}",
  [sym_if_start] = "control_keyword",
  [sym_else_start] = "control_keyword",
  [sym_for_start] = "control_keyword",
  [sym_switch_start] = "control_keyword",
  [sym_case_start] = "control_keyword",
  [sym_default_start] = "control_keyword",
  [sym_defer_start] = "control_keyword",
  [sym_let_start] = "control_keyword",
  [sym_empty_start] = "control_keyword",
  [sym_placeholder_start] = "control_keyword",
  [sym_loading_start] = "control_keyword",
  [sym_error_start] = "control_keyword",
  [sym_else_if_start] = "control_keyword",
  [sym_at_sign] = "at_sign",
  [sym_document] = "document",
  [sym_doctype] = "doctype",
  [sym__node] = "_node",
  [sym_element] = "element",
  [sym_script_element] = "script_element",
  [sym_style_element] = "style_element",
  [sym_start_tag] = "start_tag",
  [sym_script_start_tag] = "start_tag",
  [sym_style_start_tag] = "start_tag",
  [sym_self_closing_tag] = "self_closing_tag",
  [sym_end_tag] = "end_tag",
  [sym_erroneous_end_tag] = "erroneous_end_tag",
  [sym_attribute] = "attribute",
  [sym_quoted_attribute_value] = "quoted_attribute_value",
  [sym_statement_block] = "statement_block",
  [sym__any_statement] = "_any_statement",
  [sym__alternative_statement] = "_alternative_statement",
  [sym_let_statement] = "let_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_switch_body] = "switch_body",
  [sym_case_statement] = "case_statement",
  [sym_default_statement] = "default_statement",
  [sym_defer_statement] = "defer_statement",
  [sym_placeholder_statement] = "placeholder_statement",
  [sym_loading_statement] = "loading_statement",
  [sym_error_statement] = "error_statement",
  [sym_defer_trigger] = "defer_trigger",
  [sym_placeholder_minimum] = "placeholder_minimum",
  [sym_loading_condition] = "loading_condition",
  [sym_defer_trigger_condition] = "defer_trigger_condition",
  [sym_timed_expression] = "timed_expression",
  [sym_for_statement] = "for_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_for_declaration] = "for_declaration",
  [sym_for_reference] = "for_reference",
  [sym_if_statement] = "if_statement",
  [sym_else_if_statement] = "else_if_statement",
  [sym_else_statement] = "else_statement",
  [sym_if_condition] = "if_condition",
  [sym_if_reference] = "if_reference",
  [sym__any_expression] = "_any_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_icu_expression] = "icu_expression",
  [sym_icu_clause] = "icu_clause",
  [sym_icu_case] = "icu_case",
  [sym_interpolation] = "interpolation",
  [sym_concatenation_expression] = "concatenation_expression",
  [sym_structural_directive] = "structural_directive",
  [sym_structural_expression] = "structural_expression",
  [sym_structural_declaration] = "structural_declaration",
  [sym_structural_assignment] = "structural_assignment",
  [sym__alias] = "_alias",
  [sym__else_template_expression] = "_else_template_expression",
  [sym__context_expression] = "_context_expression",
  [sym_property_binding] = "property_binding",
  [sym_event_binding] = "event_binding",
  [sym_two_way_binding] = "two_way_binding",
  [sym_animation_binding] = "animation_binding",
  [sym__binding_assignment] = "_binding_assignment",
  [sym_binding_name] = "binding_name",
  [sym__normal_attribute] = "_normal_attribute",
  [sym_expression] = "expression",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_ternary_expression] = "ternary_expression",
  [sym_nullish_coalescing_expression] = "nullish_coalescing_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_pipe_sequence] = "pipe_sequence",
  [sym_pipe_call] = "pipe_call",
  [sym_pipe_arguments] = "pipe_arguments",
  [sym__pipe_argument] = "_pipe_argument",
  [sym__primitive] = "_primitive",
  [sym_object] = "object",
  [sym_pair] = "pair",
  [sym_array] = "array",
  [sym_string] = "string",
  [sym_group] = "group",
  [sym_call_expression] = "call_expression",
  [sym_arguments] = "arguments",
  [sym_member_expression] = "member_expression",
  [sym_bracket_expression] = "bracket_expression",
  [sym_static_member_expression] = "static_member_expression",
  [sym__single_quote] = "_single_quote",
  [sym__double_quote] = "_double_quote",
  [sym__binary_op] = "_binary_op",
  [aux_sym_document_repeat1] = "document_repeat1",
  [aux_sym_start_tag_repeat1] = "start_tag_repeat1",
  [aux_sym_switch_body_repeat1] = "switch_body_repeat1",
  [aux_sym_defer_trigger_repeat1] = "defer_trigger_repeat1",
  [aux_sym_for_reference_repeat1] = "for_reference_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_icu_expression_repeat1] = "icu_expression_repeat1",
  [aux_sym_concatenation_expression_repeat1] = "concatenation_expression_repeat1",
  [aux_sym_structural_declaration_repeat1] = "structural_declaration_repeat1",
  [aux_sym_pipe_sequence_repeat1] = "pipe_sequence_repeat1",
  [aux_sym_pipe_arguments_repeat1] = "pipe_arguments_repeat1",
  [aux_sym_object_repeat1] = "object_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [aux_sym_arguments_repeat1] = "arguments_repeat1",
  [alias_sym_conditional_operator] = "conditional_operator",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [anon_sym_LT_BANG] = anon_sym_LT_BANG,
  [aux_sym_doctype_token1] = aux_sym_doctype_token1,
  [anon_sym_GT] = anon_sym_GT,
  [sym__doctype] = sym__doctype,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_SLASH_GT] = anon_sym_SLASH_GT,
  [anon_sym_LT_SLASH] = anon_sym_LT_SLASH,
  [sym_attribute_name] = sym_attribute_name,
  [sym_attribute_value] = sym_attribute_value,
  [sym_entity] = sym_entity,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_quoted_attribute_value_token1] = sym_attribute_value,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_quoted_attribute_value_token2] = sym_attribute_value,
  [sym_text] = sym_text,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_prefetch] = anon_sym_prefetch,
  [anon_sym_when] = anon_sym_when,
  [anon_sym_on] = anon_sym_when,
  [anon_sym_after] = anon_sym_when,
  [anon_sym_minimum] = anon_sym_when,
  [anon_sym_ms] = anon_sym_ms,
  [anon_sym_s] = anon_sym_ms,
  [anon_sym_of] = anon_sym_when,
  [anon_sym_track] = anon_sym_when,
  [anon_sym_let] = anon_sym_when,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_as] = anon_sym_when,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_plural] = anon_sym_plural,
  [anon_sym_select] = anon_sym_select,
  [sym_icu_category] = sym_icu_category,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_else] = anon_sym_when,
  [anon_sym_context] = anon_sym_when,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_LBRACK_LPAREN] = anon_sym_LBRACK_LPAREN,
  [anon_sym_RPAREN_RBRACK] = anon_sym_RPAREN_RBRACK,
  [anon_sym_LBRACK_AT] = anon_sym_LBRACK_AT,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [sym_identifier] = sym_identifier,
  [sym__escape_sequence] = sym__escape_sequence,
  [aux_sym_string_token1] = aux_sym_string_token1,
  [aux_sym_string_token2] = aux_sym_string_token2,
  [sym_number] = sym_number,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_QMARK_DOT] = anon_sym_QMARK_DOT,
  [anon_sym_BANG_DOT] = anon_sym_BANG_DOT,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [sym__start_tag_name] = sym__start_tag_name,
  [sym__script_start_tag_name] = sym__start_tag_name,
  [sym__style_start_tag_name] = sym__start_tag_name,
  [sym__end_tag_name] = sym__start_tag_name,
  [sym_erroneous_end_tag_name] = sym_erroneous_end_tag_name,
  [sym__implicit_end_tag] = sym__implicit_end_tag,
  [sym_raw_text] = sym_raw_text,
  [sym_comment] = sym_comment,
  [sym__interpolation_start] = sym__interpolation_start,
  [sym__interpolation_end] = sym__interpolation_end,
  [sym_if_start] = sym_if_start,
  [sym_else_start] = sym_if_start,
  [sym_for_start] = sym_if_start,
  [sym_switch_start] = sym_if_start,
  [sym_case_start] = sym_if_start,
  [sym_default_start] = sym_if_start,
  [sym_defer_start] = sym_if_start,
  [sym_let_start] = sym_if_start,
  [sym_empty_start] = sym_if_start,
  [sym_placeholder_start] = sym_if_start,
  [sym_loading_start] = sym_if_start,
  [sym_error_start] = sym_if_start,
  [sym_else_if_start] = sym_if_start,
  [sym_at_sign] = sym_at_sign,
  [sym_document] = sym_document,
  [sym_doctype] = sym_doctype,
  [sym__node] = sym__node,
  [sym_element] = sym_element,
  [sym_script_element] = sym_script_element,
  [sym_style_element] = sym_style_element,
  [sym_start_tag] = sym_start_tag,
  [sym_script_start_tag] = sym_start_tag,
  [sym_style_start_tag] = sym_start_tag,
  [sym_self_closing_tag] = sym_self_closing_tag,
  [sym_end_tag] = sym_end_tag,
  [sym_erroneous_end_tag] = sym_erroneous_end_tag,
  [sym_attribute] = sym_attribute,
  [sym_quoted_attribute_value] = sym_quoted_attribute_value,
  [sym_statement_block] = sym_statement_block,
  [sym__any_statement] = sym__any_statement,
  [sym__alternative_statement] = sym__alternative_statement,
  [sym_let_statement] = sym_let_statement,
  [sym_switch_statement] = sym_switch_statement,
  [sym_switch_body] = sym_switch_body,
  [sym_case_statement] = sym_case_statement,
  [sym_default_statement] = sym_default_statement,
  [sym_defer_statement] = sym_defer_statement,
  [sym_placeholder_statement] = sym_placeholder_statement,
  [sym_loading_statement] = sym_loading_statement,
  [sym_error_statement] = sym_error_statement,
  [sym_defer_trigger] = sym_defer_trigger,
  [sym_placeholder_minimum] = sym_placeholder_minimum,
  [sym_loading_condition] = sym_loading_condition,
  [sym_defer_trigger_condition] = sym_defer_trigger_condition,
  [sym_timed_expression] = sym_timed_expression,
  [sym_for_statement] = sym_for_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_for_declaration] = sym_for_declaration,
  [sym_for_reference] = sym_for_reference,
  [sym_if_statement] = sym_if_statement,
  [sym_else_if_statement] = sym_else_if_statement,
  [sym_else_statement] = sym_else_statement,
  [sym_if_condition] = sym_if_condition,
  [sym_if_reference] = sym_if_reference,
  [sym__any_expression] = sym__any_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_icu_expression] = sym_icu_expression,
  [sym_icu_clause] = sym_icu_clause,
  [sym_icu_case] = sym_icu_case,
  [sym_interpolation] = sym_interpolation,
  [sym_concatenation_expression] = sym_concatenation_expression,
  [sym_structural_directive] = sym_structural_directive,
  [sym_structural_expression] = sym_structural_expression,
  [sym_structural_declaration] = sym_structural_declaration,
  [sym_structural_assignment] = sym_structural_assignment,
  [sym__alias] = sym__alias,
  [sym__else_template_expression] = sym__else_template_expression,
  [sym__context_expression] = sym__context_expression,
  [sym_property_binding] = sym_property_binding,
  [sym_event_binding] = sym_event_binding,
  [sym_two_way_binding] = sym_two_way_binding,
  [sym_animation_binding] = sym_animation_binding,
  [sym__binding_assignment] = sym__binding_assignment,
  [sym_binding_name] = sym_binding_name,
  [sym__normal_attribute] = sym__normal_attribute,
  [sym_expression] = sym_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_nullish_coalescing_expression] = sym_nullish_coalescing_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_pipe_sequence] = sym_pipe_sequence,
  [sym_pipe_call] = sym_pipe_call,
  [sym_pipe_arguments] = sym_pipe_arguments,
  [sym__pipe_argument] = sym__pipe_argument,
  [sym__primitive] = sym__primitive,
  [sym_object] = sym_object,
  [sym_pair] = sym_pair,
  [sym_array] = sym_array,
  [sym_string] = sym_string,
  [sym_group] = sym_group,
  [sym_call_expression] = sym_call_expression,
  [sym_arguments] = sym_arguments,
  [sym_member_expression] = sym_member_expression,
  [sym_bracket_expression] = sym_bracket_expression,
  [sym_static_member_expression] = sym_static_member_expression,
  [sym__single_quote] = sym__single_quote,
  [sym__double_quote] = sym__double_quote,
  [sym__binary_op] = sym__binary_op,
  [aux_sym_document_repeat1] = aux_sym_document_repeat1,
  [aux_sym_start_tag_repeat1] = aux_sym_start_tag_repeat1,
  [aux_sym_switch_body_repeat1] = aux_sym_switch_body_repeat1,
  [aux_sym_defer_trigger_repeat1] = aux_sym_defer_trigger_repeat1,
  [aux_sym_for_reference_repeat1] = aux_sym_for_reference_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_icu_expression_repeat1] = aux_sym_icu_expression_repeat1,
  [aux_sym_concatenation_expression_repeat1] = aux_sym_concatenation_expression_repeat1,
  [aux_sym_structural_declaration_repeat1] = aux_sym_structural_declaration_repeat1,
  [aux_sym_pipe_sequence_repeat1] = aux_sym_pipe_sequence_repeat1,
  [aux_sym_pipe_arguments_repeat1] = aux_sym_pipe_arguments_repeat1,
  [aux_sym_object_repeat1] = aux_sym_object_repeat1,
  [aux_sym_array_repeat1] = aux_sym_array_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_repeat2] = aux_sym_string_repeat2,
  [aux_sym_arguments_repeat1] = aux_sym_arguments_repeat1,
  [alias_sym_conditional_operator] = alias_sym_conditional_operator,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_LT_BANG] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_doctype_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [sym__doctype] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_SLASH] = {
    .visible = true,
    .named = false,
  },
  [sym_attribute_name] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_value] = {
    .visible = true,
    .named = true,
  },
  [sym_entity] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_quoted_attribute_value_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_quoted_attribute_value_token2] = {
    .visible = true,
    .named = true,
  },
  [sym_text] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_prefetch] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_when] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_on] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_after] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_minimum] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_ms] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_s] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_track] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_plural] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_select] = {
    .visible = true,
    .named = false,
  },
  [sym_icu_category] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_context] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__escape_sequence] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_string_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [sym__start_tag_name] = {
    .visible = true,
    .named = true,
  },
  [sym__script_start_tag_name] = {
    .visible = true,
    .named = true,
  },
  [sym__style_start_tag_name] = {
    .visible = true,
    .named = true,
  },
  [sym__end_tag_name] = {
    .visible = true,
    .named = true,
  },
  [sym_erroneous_end_tag_name] = {
    .visible = true,
    .named = true,
  },
  [sym__implicit_end_tag] = {
    .visible = false,
    .named = true,
  },
  [sym_raw_text] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__interpolation_start] = {
    .visible = true,
    .named = false,
  },
  [sym__interpolation_end] = {
    .visible = true,
    .named = false,
  },
  [sym_if_start] = {
    .visible = true,
    .named = true,
  },
  [sym_else_start] = {
    .visible = true,
    .named = true,
  },
  [sym_for_start] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_start] = {
    .visible = true,
    .named = true,
  },
  [sym_case_start] = {
    .visible = true,
    .named = true,
  },
  [sym_default_start] = {
    .visible = true,
    .named = true,
  },
  [sym_defer_start] = {
    .visible = true,
    .named = true,
  },
  [sym_let_start] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_start] = {
    .visible = true,
    .named = true,
  },
  [sym_placeholder_start] = {
    .visible = true,
    .named = true,
  },
  [sym_loading_start] = {
    .visible = true,
    .named = true,
  },
  [sym_error_start] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_start] = {
    .visible = true,
    .named = true,
  },
  [sym_at_sign] = {
    .visible = true,
    .named = true,
  },
  [sym_document] = {
    .visible = true,
    .named = true,
  },
  [sym_doctype] = {
    .visible = true,
    .named = true,
  },
  [sym__node] = {
    .visible = false,
    .named = true,
  },
  [sym_element] = {
    .visible = true,
    .named = true,
  },
  [sym_script_element] = {
    .visible = true,
    .named = true,
  },
  [sym_style_element] = {
    .visible = true,
    .named = true,
  },
  [sym_start_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_script_start_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_style_start_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_self_closing_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_end_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_erroneous_end_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_quoted_attribute_value] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_block] = {
    .visible = true,
    .named = true,
  },
  [sym__any_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__alternative_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_let_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_body] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_default_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_defer_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_placeholder_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_loading_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_error_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_defer_trigger] = {
    .visible = true,
    .named = true,
  },
  [sym_placeholder_minimum] = {
    .visible = true,
    .named = true,
  },
  [sym_loading_condition] = {
    .visible = true,
    .named = true,
  },
  [sym_defer_trigger_condition] = {
    .visible = true,
    .named = true,
  },
  [sym_timed_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_for_reference] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_condition] = {
    .visible = true,
    .named = true,
  },
  [sym_if_reference] = {
    .visible = true,
    .named = true,
  },
  [sym__any_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_icu_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_icu_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_icu_case] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_structural_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_structural_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_structural_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_structural_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym__alias] = {
    .visible = false,
    .named = true,
  },
  [sym__else_template_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__context_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_property_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_event_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_two_way_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_animation_binding] = {
    .visible = true,
    .named = true,
  },
  [sym__binding_assignment] = {
    .visible = false,
    .named = true,
  },
  [sym_binding_name] = {
    .visible = true,
    .named = true,
  },
  [sym__normal_attribute] = {
    .visible = false,
    .named = true,
  },
  [sym_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullish_coalescing_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_pipe_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_pipe_call] = {
    .visible = true,
    .named = true,
  },
  [sym_pipe_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym__pipe_argument] = {
    .visible = false,
    .named = true,
  },
  [sym__primitive] = {
    .visible = false,
    .named = true,
  },
  [sym_object] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_group] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_bracket_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_static_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__single_quote] = {
    .visible = false,
    .named = true,
  },
  [sym__double_quote] = {
    .visible = false,
    .named = true,
  },
  [sym__binary_op] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_document_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_start_tag_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_defer_trigger_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_reference_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_icu_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenation_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_structural_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pipe_sequence_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pipe_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_conditional_operator] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_alternative_condition = 3,
  field_arguments = 4,
  field_body = 5,
  field_call = 6,
  field_condition = 7,
  field_consequence = 8,
  field_declaration = 9,
  field_default = 10,
  field_empty = 11,
  field_error = 12,
  field_function = 13,
  field_key = 14,
  field_left = 15,
  field_loading = 16,
  field_minimum = 17,
  field_name = 18,
  field_named = 19,
  field_object = 20,
  field_operator = 21,
  field_pipes = 22,
  field_placeholder = 23,
  field_property = 24,
  field_reference = 25,
  field_right = 26,
  field_track = 27,
  field_trigger = 28,
  field_value = 29,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_alternative_condition] = "alternative_condition",
  [field_arguments] = "arguments",
  [field_body] = "body",
  [field_call] = "call",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_declaration] = "declaration",
  [field_default] = "default",
  [field_empty] = "empty",
  [field_error] = "error",
  [field_function] = "function",
  [field_key] = "key",
  [field_left] = "left",
  [field_loading] = "loading",
  [field_minimum] = "minimum",
  [field_name] = "name",
  [field_named] = "named",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_pipes] = "pipes",
  [field_placeholder] = "placeholder",
  [field_property] = "property",
  [field_reference] = "reference",
  [field_right] = "right",
  [field_track] = "track",
  [field_trigger] = "trigger",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 6},
  [2] = {.index = 6, .length = 1},
  [3] = {.index = 7, .length = 1},
  [4] = {.index = 8, .length = 1},
  [5] = {.index = 9, .length = 1},
  [6] = {.index = 10, .length = 1},
  [7] = {.index = 11, .length = 1},
  [8] = {.index = 12, .length = 1},
  [9] = {.index = 13, .length = 12},
  [10] = {.index = 25, .length = 2},
  [11] = {.index = 27, .length = 1},
  [12] = {.index = 28, .length = 1},
  [13] = {.index = 29, .length = 6},
  [14] = {.index = 35, .length = 1},
  [15] = {.index = 36, .length = 2},
  [16] = {.index = 38, .length = 3},
  [17] = {.index = 41, .length = 2},
  [18] = {.index = 43, .length = 1},
  [19] = {.index = 44, .length = 2},
  [20] = {.index = 46, .length = 2},
  [21] = {.index = 48, .length = 1},
  [22] = {.index = 49, .length = 1},
  [23] = {.index = 50, .length = 2},
  [24] = {.index = 52, .length = 1},
  [25] = {.index = 53, .length = 2},
  [26] = {.index = 55, .length = 2},
  [27] = {.index = 57, .length = 2},
  [28] = {.index = 59, .length = 2},
  [29] = {.index = 61, .length = 2},
  [30] = {.index = 63, .length = 2},
  [31] = {.index = 65, .length = 1},
  [32] = {.index = 66, .length = 2},
  [33] = {.index = 68, .length = 2},
  [34] = {.index = 70, .length = 1},
  [35] = {.index = 71, .length = 3},
  [36] = {.index = 74, .length = 8},
  [37] = {.index = 82, .length = 3},
  [38] = {.index = 85, .length = 1},
  [39] = {.index = 86, .length = 2},
  [40] = {.index = 88, .length = 1},
  [41] = {.index = 89, .length = 9},
  [42] = {.index = 98, .length = 2},
  [43] = {.index = 100, .length = 3},
  [44] = {.index = 103, .length = 3},
  [45] = {.index = 106, .length = 2},
  [46] = {.index = 108, .length = 1},
  [47] = {.index = 109, .length = 1},
  [48] = {.index = 110, .length = 2},
  [49] = {.index = 112, .length = 2},
  [50] = {.index = 114, .length = 1},
  [51] = {.index = 115, .length = 6},
  [52] = {.index = 121, .length = 3},
  [53] = {.index = 124, .length = 2},
  [54] = {.index = 126, .length = 3},
  [55] = {.index = 129, .length = 4},
  [56] = {.index = 133, .length = 1},
  [57] = {.index = 134, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_alternative, 0, .inherited = true},
    {field_alternative_condition, 0, .inherited = true},
    {field_empty, 0, .inherited = true},
    {field_error, 0, .inherited = true},
    {field_loading, 0, .inherited = true},
    {field_placeholder, 0, .inherited = true},
  [6] =
    {field_placeholder, 0},
  [7] =
    {field_loading, 0},
  [8] =
    {field_error, 0},
  [9] =
    {field_empty, 0},
  [10] =
    {field_alternative_condition, 0},
  [11] =
    {field_alternative, 0},
  [12] =
    {field_body, 1},
  [13] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
    {field_alternative_condition, 0, .inherited = true},
    {field_alternative_condition, 1, .inherited = true},
    {field_empty, 0, .inherited = true},
    {field_empty, 1, .inherited = true},
    {field_error, 0, .inherited = true},
    {field_error, 1, .inherited = true},
    {field_loading, 0, .inherited = true},
    {field_loading, 1, .inherited = true},
    {field_placeholder, 0, .inherited = true},
    {field_placeholder, 1, .inherited = true},
  [25] =
    {field_operator, 0},
    {field_value, 1},
  [27] =
    {field_pipes, 1},
  [28] =
    {field_body, 2},
  [29] =
    {field_alternative, 1, .inherited = true},
    {field_alternative_condition, 1, .inherited = true},
    {field_empty, 1, .inherited = true},
    {field_error, 1, .inherited = true},
    {field_loading, 1, .inherited = true},
    {field_placeholder, 1, .inherited = true},
  [35] =
    {field_function, 0},
  [36] =
    {field_condition, 0},
    {field_default, 2},
  [38] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [41] =
    {field_left, 0},
    {field_right, 2},
  [43] =
    {field_name, 0},
  [44] =
    {field_object, 0},
    {field_property, 2},
  [46] =
    {field_call, 2},
    {field_object, 0},
  [48] =
    {field_trigger, 1},
  [49] =
    {field_condition, 1},
  [50] =
    {field_name, 0},
    {field_value, 2},
  [52] =
    {field_minimum, 1},
  [53] =
    {field_key, 0},
    {field_value, 2},
  [55] =
    {field_arguments, 2},
    {field_function, 0},
  [57] =
    {field_arguments, 1},
    {field_name, 0},
  [59] =
    {field_condition, 2},
    {field_consequence, 4},
  [61] =
    {field_body, 4},
    {field_declaration, 2},
  [63] =
    {field_body, 4},
    {field_value, 2},
  [65] =
    {field_trigger, 2},
  [66] =
    {field_condition, 1},
    {field_condition, 2, .inherited = true},
  [68] =
    {field_condition, 0, .inherited = true},
    {field_condition, 1, .inherited = true},
  [70] =
    {field_value, 1},
  [71] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [74] =
    {field_alternative, 5, .inherited = true},
    {field_alternative_condition, 5, .inherited = true},
    {field_condition, 2},
    {field_consequence, 4},
    {field_empty, 5, .inherited = true},
    {field_error, 5, .inherited = true},
    {field_loading, 5, .inherited = true},
    {field_placeholder, 5, .inherited = true},
  [82] =
    {field_condition, 2},
    {field_consequence, 5},
    {field_reference, 3},
  [85] =
    {field_alias, 1},
  [86] =
    {field_condition, 1},
    {field_condition, 3},
  [88] =
    {field_trigger, 3},
  [89] =
    {field_alternative, 6, .inherited = true},
    {field_alternative_condition, 6, .inherited = true},
    {field_condition, 2},
    {field_consequence, 5},
    {field_empty, 6, .inherited = true},
    {field_error, 6, .inherited = true},
    {field_loading, 6, .inherited = true},
    {field_placeholder, 6, .inherited = true},
    {field_reference, 3},
  [98] =
    {field_alias, 1},
    {field_alias, 2, .inherited = true},
  [100] =
    {field_body, 6},
    {field_declaration, 2},
    {field_reference, 4},
  [103] =
    {field_name, 0},
    {field_track, 5},
    {field_value, 2},
  [106] =
    {field_alias, 0, .inherited = true},
    {field_alias, 1, .inherited = true},
  [108] =
    {field_alias, 1, .inherited = true},
  [109] =
    {field_named, 1, .inherited = true},
  [110] =
    {field_alias, 1, .inherited = true},
    {field_name, 0},
  [112] =
    {field_alias, 1, .inherited = true},
    {field_named, 2, .inherited = true},
  [114] =
    {field_named, 2, .inherited = true},
  [115] =
    {field_alternative, 2, .inherited = true},
    {field_alternative_condition, 2, .inherited = true},
    {field_empty, 2, .inherited = true},
    {field_error, 2, .inherited = true},
    {field_loading, 2, .inherited = true},
    {field_placeholder, 2, .inherited = true},
  [121] =
    {field_name, 0},
    {field_operator, 1},
    {field_value, 2},
  [124] =
    {field_alias, 1, .inherited = true},
    {field_named, 3, .inherited = true},
  [126] =
    {field_name, 1},
    {field_operator, 2},
    {field_value, 3},
  [129] =
    {field_alias, 3, .inherited = true},
    {field_name, 0},
    {field_operator, 1},
    {field_value, 2},
  [133] =
    {field_named, 1},
  [134] =
    {field_alias, 4, .inherited = true},
    {field_name, 1},
    {field_operator, 2},
    {field_value, 3},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [17] = {
    [1] = alias_sym_conditional_operator,
  },
  [35] = {
    [3] = anon_sym_QMARK,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 2,
  [6] = 3,
  [7] = 7,
  [8] = 8,
  [9] = 8,
  [10] = 10,
  [11] = 8,
  [12] = 4,
  [13] = 13,
  [14] = 7,
  [15] = 7,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 17,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 32,
  [33] = 19,
  [34] = 21,
  [35] = 35,
  [36] = 36,
  [37] = 26,
  [38] = 29,
  [39] = 18,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 43,
  [44] = 44,
  [45] = 22,
  [46] = 25,
  [47] = 36,
  [48] = 41,
  [49] = 43,
  [50] = 44,
  [51] = 23,
  [52] = 35,
  [53] = 53,
  [54] = 27,
  [55] = 28,
  [56] = 30,
  [57] = 42,
  [58] = 31,
  [59] = 24,
  [60] = 40,
  [61] = 61,
  [62] = 32,
  [63] = 53,
  [64] = 61,
  [65] = 65,
  [66] = 66,
  [67] = 67,
  [68] = 66,
  [69] = 35,
  [70] = 40,
  [71] = 71,
  [72] = 72,
  [73] = 73,
  [74] = 74,
  [75] = 65,
  [76] = 72,
  [77] = 71,
  [78] = 78,
  [79] = 67,
  [80] = 73,
  [81] = 78,
  [82] = 74,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 87,
  [88] = 88,
  [89] = 84,
  [90] = 18,
  [91] = 91,
  [92] = 92,
  [93] = 83,
  [94] = 94,
  [95] = 95,
  [96] = 40,
  [97] = 97,
  [98] = 98,
  [99] = 35,
  [100] = 17,
  [101] = 83,
  [102] = 102,
  [103] = 83,
  [104] = 104,
  [105] = 104,
  [106] = 104,
  [107] = 104,
  [108] = 19,
  [109] = 36,
  [110] = 91,
  [111] = 111,
  [112] = 43,
  [113] = 44,
  [114] = 23,
  [115] = 21,
  [116] = 92,
  [117] = 26,
  [118] = 41,
  [119] = 27,
  [120] = 28,
  [121] = 29,
  [122] = 122,
  [123] = 30,
  [124] = 31,
  [125] = 125,
  [126] = 61,
  [127] = 127,
  [128] = 128,
  [129] = 125,
  [130] = 125,
  [131] = 66,
  [132] = 125,
  [133] = 111,
  [134] = 134,
  [135] = 122,
  [136] = 136,
  [137] = 127,
  [138] = 136,
  [139] = 65,
  [140] = 136,
  [141] = 136,
  [142] = 67,
  [143] = 128,
  [144] = 134,
  [145] = 145,
  [146] = 146,
  [147] = 147,
  [148] = 148,
  [149] = 149,
  [150] = 150,
  [151] = 151,
  [152] = 152,
  [153] = 153,
  [154] = 154,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 160,
  [161] = 161,
  [162] = 162,
  [163] = 163,
  [164] = 164,
  [165] = 165,
  [166] = 166,
  [167] = 167,
  [168] = 168,
  [169] = 169,
  [170] = 170,
  [171] = 171,
  [172] = 128,
  [173] = 173,
  [174] = 174,
  [175] = 175,
  [176] = 176,
  [177] = 177,
  [178] = 178,
  [179] = 179,
  [180] = 180,
  [181] = 181,
  [182] = 182,
  [183] = 134,
  [184] = 184,
  [185] = 185,
  [186] = 186,
  [187] = 187,
  [188] = 188,
  [189] = 189,
  [190] = 166,
  [191] = 149,
  [192] = 158,
  [193] = 173,
  [194] = 150,
  [195] = 160,
  [196] = 146,
  [197] = 151,
  [198] = 153,
  [199] = 154,
  [200] = 179,
  [201] = 181,
  [202] = 182,
  [203] = 152,
  [204] = 156,
  [205] = 164,
  [206] = 167,
  [207] = 168,
  [208] = 169,
  [209] = 170,
  [210] = 171,
  [211] = 178,
  [212] = 145,
  [213] = 185,
  [214] = 92,
  [215] = 215,
  [216] = 159,
  [217] = 161,
  [218] = 162,
  [219] = 163,
  [220] = 220,
  [221] = 174,
  [222] = 175,
  [223] = 177,
  [224] = 224,
  [225] = 186,
  [226] = 184,
  [227] = 189,
  [228] = 165,
  [229] = 155,
  [230] = 230,
  [231] = 91,
  [232] = 215,
  [233] = 187,
  [234] = 215,
  [235] = 157,
  [236] = 215,
  [237] = 148,
  [238] = 176,
  [239] = 188,
  [240] = 180,
  [241] = 147,
  [242] = 128,
  [243] = 243,
  [244] = 243,
  [245] = 243,
  [246] = 122,
  [247] = 111,
  [248] = 243,
  [249] = 134,
  [250] = 243,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 251,
  [255] = 255,
  [256] = 256,
  [257] = 252,
  [258] = 258,
  [259] = 128,
  [260] = 255,
  [261] = 261,
  [262] = 253,
  [263] = 127,
  [264] = 264,
  [265] = 253,
  [266] = 253,
  [267] = 267,
  [268] = 268,
  [269] = 261,
  [270] = 258,
  [271] = 271,
  [272] = 261,
  [273] = 261,
  [274] = 271,
  [275] = 256,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 278,
  [280] = 280,
  [281] = 278,
  [282] = 277,
  [283] = 283,
  [284] = 277,
  [285] = 285,
  [286] = 286,
  [287] = 277,
  [288] = 278,
  [289] = 285,
  [290] = 290,
  [291] = 280,
  [292] = 280,
  [293] = 280,
  [294] = 294,
  [295] = 294,
  [296] = 296,
  [297] = 17,
  [298] = 298,
  [299] = 298,
  [300] = 300,
  [301] = 294,
  [302] = 18,
  [303] = 300,
  [304] = 294,
  [305] = 19,
  [306] = 294,
  [307] = 41,
  [308] = 43,
  [309] = 23,
  [310] = 31,
  [311] = 311,
  [312] = 21,
  [313] = 44,
  [314] = 26,
  [315] = 296,
  [316] = 27,
  [317] = 29,
  [318] = 28,
  [319] = 319,
  [320] = 30,
  [321] = 321,
  [322] = 36,
  [323] = 323,
  [324] = 61,
  [325] = 65,
  [326] = 67,
  [327] = 327,
  [328] = 328,
  [329] = 327,
  [330] = 91,
  [331] = 92,
  [332] = 332,
  [333] = 333,
  [334] = 122,
  [335] = 111,
  [336] = 336,
  [337] = 332,
  [338] = 338,
  [339] = 339,
  [340] = 127,
  [341] = 341,
  [342] = 342,
  [343] = 332,
  [344] = 338,
  [345] = 345,
  [346] = 338,
  [347] = 347,
  [348] = 342,
  [349] = 342,
  [350] = 342,
  [351] = 338,
  [352] = 352,
  [353] = 353,
  [354] = 336,
  [355] = 355,
  [356] = 356,
  [357] = 357,
  [358] = 358,
  [359] = 359,
  [360] = 360,
  [361] = 361,
  [362] = 362,
  [363] = 363,
  [364] = 339,
  [365] = 345,
  [366] = 347,
  [367] = 367,
  [368] = 368,
  [369] = 369,
  [370] = 352,
  [371] = 371,
  [372] = 358,
  [373] = 333,
  [374] = 357,
  [375] = 371,
  [376] = 352,
  [377] = 355,
  [378] = 345,
  [379] = 359,
  [380] = 380,
  [381] = 368,
  [382] = 332,
  [383] = 328,
  [384] = 367,
  [385] = 362,
  [386] = 356,
  [387] = 363,
  [388] = 369,
  [389] = 389,
  [390] = 390,
  [391] = 391,
  [392] = 392,
  [393] = 393,
  [394] = 394,
  [395] = 395,
  [396] = 396,
  [397] = 392,
  [398] = 392,
  [399] = 399,
  [400] = 400,
  [401] = 389,
  [402] = 390,
  [403] = 392,
  [404] = 404,
  [405] = 405,
  [406] = 399,
  [407] = 394,
  [408] = 408,
  [409] = 409,
  [410] = 410,
  [411] = 411,
  [412] = 390,
  [413] = 413,
  [414] = 414,
  [415] = 415,
  [416] = 410,
  [417] = 411,
  [418] = 411,
  [419] = 419,
  [420] = 409,
  [421] = 414,
  [422] = 405,
  [423] = 345,
  [424] = 410,
  [425] = 425,
  [426] = 426,
  [427] = 415,
  [428] = 428,
  [429] = 413,
  [430] = 352,
  [431] = 410,
  [432] = 408,
  [433] = 413,
  [434] = 414,
  [435] = 353,
  [436] = 414,
  [437] = 408,
  [438] = 415,
  [439] = 409,
  [440] = 415,
  [441] = 411,
  [442] = 333,
  [443] = 408,
  [444] = 328,
  [445] = 426,
  [446] = 413,
  [447] = 409,
  [448] = 448,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 455,
  [456] = 456,
  [457] = 457,
  [458] = 458,
  [459] = 459,
  [460] = 460,
  [461] = 461,
  [462] = 462,
  [463] = 463,
  [464] = 448,
  [465] = 465,
  [466] = 466,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 469,
  [471] = 450,
  [472] = 457,
  [473] = 465,
  [474] = 466,
  [475] = 475,
  [476] = 453,
  [477] = 477,
  [478] = 478,
  [479] = 479,
  [480] = 156,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 489,
  [490] = 490,
  [491] = 353,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 495,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 503,
  [504] = 500,
  [505] = 498,
  [506] = 496,
  [507] = 507,
  [508] = 508,
  [509] = 509,
  [510] = 510,
  [511] = 511,
  [512] = 501,
  [513] = 502,
  [514] = 514,
  [515] = 515,
  [516] = 500,
  [517] = 517,
  [518] = 518,
  [519] = 501,
  [520] = 501,
  [521] = 502,
  [522] = 500,
  [523] = 523,
  [524] = 159,
  [525] = 502,
  [526] = 526,
  [527] = 509,
  [528] = 528,
  [529] = 486,
  [530] = 507,
  [531] = 531,
  [532] = 532,
  [533] = 533,
  [534] = 532,
  [535] = 535,
  [536] = 526,
  [537] = 537,
  [538] = 390,
  [539] = 518,
  [540] = 540,
  [541] = 531,
  [542] = 523,
  [543] = 494,
  [544] = 544,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 556,
  [559] = 559,
  [560] = 560,
  [561] = 561,
  [562] = 557,
  [563] = 563,
  [564] = 564,
  [565] = 565,
  [566] = 559,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 574,
  [575] = 575,
  [576] = 576,
  [577] = 577,
  [578] = 547,
  [579] = 579,
  [580] = 552,
  [581] = 581,
  [582] = 582,
  [583] = 583,
  [584] = 584,
  [585] = 563,
  [586] = 553,
  [587] = 556,
  [588] = 557,
  [589] = 550,
  [590] = 590,
  [591] = 591,
  [592] = 546,
  [593] = 593,
  [594] = 594,
  [595] = 568,
  [596] = 596,
  [597] = 556,
  [598] = 557,
  [599] = 599,
  [600] = 600,
  [601] = 601,
  [602] = 584,
  [603] = 579,
  [604] = 576,
  [605] = 605,
  [606] = 606,
  [607] = 606,
  [608] = 545,
  [609] = 569,
  [610] = 610,
  [611] = 611,
  [612] = 570,
  [613] = 571,
  [614] = 572,
  [615] = 615,
  [616] = 573,
  [617] = 574,
  [618] = 618,
  [619] = 564,
  [620] = 611,
  [621] = 549,
  [622] = 575,
  [623] = 565,
  [624] = 548,
  [625] = 561,
  [626] = 618,
  [627] = 615,
  [628] = 628,
  [629] = 628,
  [630] = 630,
  [631] = 631,
  [632] = 632,
  [633] = 633,
  [634] = 634,
  [635] = 635,
  [636] = 636,
  [637] = 637,
  [638] = 638,
  [639] = 630,
  [640] = 640,
  [641] = 641,
  [642] = 642,
  [643] = 643,
  [644] = 644,
  [645] = 645,
  [646] = 646,
  [647] = 647,
  [648] = 648,
  [649] = 649,
  [650] = 650,
  [651] = 651,
  [652] = 652,
  [653] = 653,
  [654] = 634,
  [655] = 655,
  [656] = 656,
  [657] = 657,
  [658] = 658,
  [659] = 630,
  [660] = 657,
  [661] = 661,
  [662] = 662,
  [663] = 663,
  [664] = 664,
  [665] = 665,
  [666] = 631,
  [667] = 646,
  [668] = 668,
  [669] = 669,
  [670] = 670,
  [671] = 671,
  [672] = 672,
  [673] = 673,
  [674] = 674,
  [675] = 674,
  [676] = 656,
  [677] = 677,
  [678] = 665,
  [679] = 662,
  [680] = 673,
  [681] = 681,
  [682] = 670,
  [683] = 677,
  [684] = 651,
  [685] = 685,
  [686] = 686,
  [687] = 687,
  [688] = 688,
  [689] = 689,
  [690] = 634,
  [691] = 691,
  [692] = 692,
  [693] = 693,
  [694] = 668,
  [695] = 695,
  [696] = 672,
  [697] = 697,
  [698] = 634,
  [699] = 681,
  [700] = 685,
  [701] = 686,
  [702] = 702,
  [703] = 703,
  [704] = 704,
  [705] = 630,
  [706] = 706,
  [707] = 649,
  [708] = 708,
  [709] = 693,
  [710] = 710,
  [711] = 663,
  [712] = 688,
  [713] = 710,
  [714] = 703,
  [715] = 652,
  [716] = 716,
  [717] = 661,
  [718] = 708,
  [719] = 719,
  [720] = 640,
};

static TSCharacterRange sym_attribute_name_character_set_1[] = {
  {0, 0x08}, {0x0e, 0x1f}, {'!', '!'}, {'#', '&'}, {'+', '-'}, {'/', ';'}, {'?', 'Z'}, {'\\', '\\'},
  {'^', 0x10ffff},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(96);
      ADVANCE_MAP(
        '!', 204,
        '"', 160,
        '%', 249,
        '&', 12,
        '\'', 157,
        '(', 167,
        ')', 168,
        '*', 191,
        '+', 190,
        ',', 181,
        '-', 245,
        '.', 242,
        '/', 248,
        ':', 192,
        ';', 166,
        '<', 104,
        '=', 185,
        '>', 101,
        '?', 205,
        '[', 198,
        '\\', 73,
        ']', 199,
        'a', 40,
        'c', 60,
        'e', 48,
        'l', 36,
        'm', 46,
        'o', 41,
        'p', 50,
        's', 176,
        't', 61,
        'w', 44,
        '{', 164,
        '|', 209,
        '}', 165,
        'D', 82,
        'd', 82,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(94);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(240);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        '!', 21,
        '"', 160,
        '%', 249,
        '&', 14,
        '\'', 157,
        '(', 167,
        ')', 23,
        '*', 191,
        '+', 190,
        ',', 181,
        '-', 246,
        '.', 242,
        '/', 247,
        ':', 192,
        '<', 105,
        '=', 22,
        '>', 101,
        '?', 205,
        '[', 197,
        '|', 209,
        '}', 165,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(1);
      if (('$' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '!', 21,
        '"', 160,
        '%', 249,
        '&', 14,
        '(', 167,
        ')', 168,
        '*', 191,
        '+', 190,
        ',', 181,
        '-', 245,
        '.', 242,
        '/', 247,
        ':', 192,
        ';', 166,
        '<', 105,
        '=', 185,
        '>', 101,
        '?', 205,
        '[', 197,
        ']', 199,
        'a', 64,
        'p', 49,
        's', 34,
        '|', 209,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(2);
      END_STATE();
    case 3:
      if (lookahead == '!') ADVANCE(203);
      if (lookahead == '"') ADVANCE(160);
      if (lookahead == '\'') ADVANCE(157);
      if (lookahead == '(') ADVANCE(167);
      if (lookahead == ')') ADVANCE(168);
      if (lookahead == '[') ADVANCE(197);
      if (lookahead == '{') ADVANCE(164);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(3);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(210);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 4:
      if (lookahead == '!') ADVANCE(203);
      if (lookahead == '"') ADVANCE(160);
      if (lookahead == '\'') ADVANCE(157);
      if (lookahead == '(') ADVANCE(167);
      if (lookahead == '[') ADVANCE(197);
      if (lookahead == 'l') ADVANCE(211);
      if (lookahead == '{') ADVANCE(164);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(4);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(210);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '!', 20,
        '"', 160,
        '&', 14,
        '\'', 157,
        '(', 167,
        ')', 168,
        ',', 181,
        '.', 242,
        ':', 192,
        ';', 166,
        '=', 184,
        '?', 205,
        '[', 197,
        ']', 199,
        '|', 209,
        '}', 165,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(5);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 6:
      if (lookahead == '"') ADVANCE(160);
      if (lookahead == '\'') ADVANCE(157);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(6);
      if (lookahead != 0 &&
          (lookahead < '<' || '>' < lookahead)) ADVANCE(116);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '"', 160,
        '(', 167,
        '*', 191,
        '/', 234,
        '>', 100,
        '[', 198,
        '\\', 233,
        '\'', 232,
        ')', 232,
        '.', 232,
        '<', 232,
        '=', 232,
        ']', 232,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(232);
      if (lookahead != 0) ADVANCE(236);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '"', 160,
        '(', 167,
        '*', 191,
        '>', 100,
        '[', 198,
        '\\', 233,
        '\'', 232,
        ')', 232,
        '.', 232,
        '<', 232,
        '=', 232,
        ']', 232,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(232);
      if (lookahead != 0) ADVANCE(236);
      END_STATE();
    case 9:
      if (lookahead == '"') ADVANCE(160);
      if (lookahead == ',') ADVANCE(181);
      if (lookahead == ':') ADVANCE(192);
      if (lookahead == ';') ADVANCE(166);
      if (lookahead == '=') ADVANCE(184);
      if (lookahead == 'a') ADVANCE(217);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(9);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 10:
      if (lookahead == '"') ADVANCE(160);
      if (lookahead == '\\') ADVANCE(235);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(232);
      if (lookahead != 0) ADVANCE(232);
      END_STATE();
    case 11:
      if (lookahead == '"') ADVANCE(160);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(161);
      if (lookahead != 0) ADVANCE(162);
      END_STATE();
    case 12:
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '&') ADVANCE(208);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(156);
      END_STATE();
    case 13:
      if (lookahead == '#') ADVANCE(85);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(156);
      END_STATE();
    case 14:
      if (lookahead == '&') ADVANCE(208);
      END_STATE();
    case 15:
      if (lookahead == '\'') ADVANCE(157);
      if (lookahead == '\\') ADVANCE(238);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(237);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      if (lookahead != 0) ADVANCE(237);
      END_STATE();
    case 16:
      if (lookahead == '\'') ADVANCE(157);
      if (lookahead == '\\') ADVANCE(238);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(237);
      if (lookahead != 0) ADVANCE(237);
      END_STATE();
    case 17:
      if (lookahead == '\'') ADVANCE(157);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(158);
      if (lookahead != 0) ADVANCE(159);
      END_STATE();
    case 18:
      if (lookahead == '(') ADVANCE(167);
      if (lookahead == '*') ADVANCE(191);
      if (lookahead == '/') ADVANCE(108);
      if (lookahead == '=') ADVANCE(184);
      if (lookahead == '>') ADVANCE(100);
      if (lookahead == '[') ADVANCE(198);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(18);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || '*' < lookahead) &&
          lookahead != '.' &&
          lookahead != '/' &&
          (lookahead < '<' || '>' < lookahead) &&
          lookahead != ']') ADVANCE(115);
      END_STATE();
    case 19:
      if (lookahead == '(') ADVANCE(167);
      if (lookahead == '*') ADVANCE(191);
      if (lookahead == '=') ADVANCE(184);
      if (lookahead == '>') ADVANCE(100);
      if (lookahead == '[') ADVANCE(198);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(19);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || '*' < lookahead) &&
          lookahead != '.' &&
          (lookahead < '<' || '>' < lookahead) &&
          lookahead != ']') ADVANCE(115);
      END_STATE();
    case 20:
      if (lookahead == '.') ADVANCE(244);
      END_STATE();
    case 21:
      if (lookahead == '.') ADVANCE(244);
      if (lookahead == '=') ADVANCE(252);
      END_STATE();
    case 22:
      if (lookahead == '=') ADVANCE(250);
      END_STATE();
    case 23:
      if (lookahead == ']') ADVANCE(201);
      END_STATE();
    case 24:
      if (lookahead == 'a') ADVANCE(26);
      END_STATE();
    case 25:
      if (lookahead == 'a') ADVANCE(51);
      END_STATE();
    case 26:
      if (lookahead == 'c') ADVANCE(47);
      END_STATE();
    case 27:
      if (lookahead == 'c') ADVANCE(216);
      if (lookahead == 'e') ADVANCE(214);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(27);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 28:
      if (lookahead == 'c') ADVANCE(216);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(28);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 29:
      if (lookahead == 'c') ADVANCE(43);
      END_STATE();
    case 30:
      if (lookahead == 'c') ADVANCE(68);
      END_STATE();
    case 31:
      if (lookahead == 'e') ADVANCE(42);
      END_STATE();
    case 32:
      if (lookahead == 'e') ADVANCE(193);
      END_STATE();
    case 33:
      if (lookahead == 'e') ADVANCE(76);
      END_STATE();
    case 34:
      if (lookahead == 'e') ADVANCE(53);
      END_STATE();
    case 35:
      if (lookahead == 'e') ADVANCE(62);
      END_STATE();
    case 36:
      if (lookahead == 'e') ADVANCE(67);
      END_STATE();
    case 37:
      if (lookahead == 'e') ADVANCE(30);
      END_STATE();
    case 38:
      if (lookahead == 'e') ADVANCE(70);
      END_STATE();
    case 39:
      if (lookahead == 'e') ADVANCE(58);
      END_STATE();
    case 40:
      if (lookahead == 'f') ADVANCE(71);
      if (lookahead == 's') ADVANCE(182);
      END_STATE();
    case 41:
      if (lookahead == 'f') ADVANCE(177);
      if (lookahead == 'n') ADVANCE(171);
      END_STATE();
    case 42:
      if (lookahead == 'f') ADVANCE(38);
      END_STATE();
    case 43:
      if (lookahead == 'h') ADVANCE(169);
      END_STATE();
    case 44:
      if (lookahead == 'h') ADVANCE(39);
      END_STATE();
    case 45:
      if (lookahead == 'i') ADVANCE(55);
      END_STATE();
    case 46:
      if (lookahead == 'i') ADVANCE(57);
      if (lookahead == 's') ADVANCE(174);
      END_STATE();
    case 47:
      if (lookahead == 'k') ADVANCE(178);
      END_STATE();
    case 48:
      if (lookahead == 'l') ADVANCE(66);
      END_STATE();
    case 49:
      if (lookahead == 'l') ADVANCE(75);
      END_STATE();
    case 50:
      if (lookahead == 'l') ADVANCE(75);
      if (lookahead == 'r') ADVANCE(31);
      END_STATE();
    case 51:
      if (lookahead == 'l') ADVANCE(186);
      END_STATE();
    case 52:
      if (lookahead == 'l') ADVANCE(211);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(52);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 53:
      if (lookahead == 'l') ADVANCE(37);
      END_STATE();
    case 54:
      if (lookahead == 'm') ADVANCE(173);
      END_STATE();
    case 55:
      if (lookahead == 'm') ADVANCE(74);
      END_STATE();
    case 56:
      if (lookahead == 'm') ADVANCE(65);
      if (lookahead == 's') ADVANCE(175);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(56);
      END_STATE();
    case 57:
      if (lookahead == 'n') ADVANCE(45);
      END_STATE();
    case 58:
      if (lookahead == 'n') ADVANCE(170);
      END_STATE();
    case 59:
      if (lookahead == 'n') ADVANCE(72);
      END_STATE();
    case 60:
      if (lookahead == 'o') ADVANCE(59);
      END_STATE();
    case 61:
      if (lookahead == 'r') ADVANCE(24);
      END_STATE();
    case 62:
      if (lookahead == 'r') ADVANCE(172);
      END_STATE();
    case 63:
      if (lookahead == 'r') ADVANCE(25);
      END_STATE();
    case 64:
      if (lookahead == 's') ADVANCE(182);
      END_STATE();
    case 65:
      if (lookahead == 's') ADVANCE(174);
      END_STATE();
    case 66:
      if (lookahead == 's') ADVANCE(32);
      END_STATE();
    case 67:
      if (lookahead == 't') ADVANCE(179);
      END_STATE();
    case 68:
      if (lookahead == 't') ADVANCE(187);
      END_STATE();
    case 69:
      if (lookahead == 't') ADVANCE(195);
      END_STATE();
    case 70:
      if (lookahead == 't') ADVANCE(29);
      END_STATE();
    case 71:
      if (lookahead == 't') ADVANCE(35);
      END_STATE();
    case 72:
      if (lookahead == 't') ADVANCE(33);
      END_STATE();
    case 73:
      if (lookahead == 'u') ADVANCE(77);
      if (lookahead == 'x') ADVANCE(93);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(226);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(229);
      if (lookahead != 0) ADVANCE(224);
      END_STATE();
    case 74:
      if (lookahead == 'u') ADVANCE(54);
      END_STATE();
    case 75:
      if (lookahead == 'u') ADVANCE(63);
      END_STATE();
    case 76:
      if (lookahead == 'x') ADVANCE(69);
      END_STATE();
    case 77:
      if (lookahead == '{') ADVANCE(92);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(89);
      END_STATE();
    case 78:
      if (lookahead == '}') ADVANCE(165);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(188);
      if (lookahead != 0 &&
          lookahead != '{') ADVANCE(189);
      END_STATE();
    case 79:
      if (lookahead == '}') ADVANCE(224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(79);
      END_STATE();
    case 80:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(84);
      END_STATE();
    case 81:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(102);
      END_STATE();
    case 82:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(80);
      END_STATE();
    case 83:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(81);
      END_STATE();
    case 84:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(86);
      END_STATE();
    case 85:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(122);
      END_STATE();
    case 86:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(83);
      END_STATE();
    case 87:
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(87);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '@' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(163);
      END_STATE();
    case 88:
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(98);
      if (lookahead != 0 &&
          lookahead != '>') ADVANCE(99);
      END_STATE();
    case 89:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(93);
      END_STATE();
    case 90:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(224);
      END_STATE();
    case 91:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(127);
      END_STATE();
    case 92:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(79);
      END_STATE();
    case 93:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(90);
      END_STATE();
    case 94:
      if (eof) ADVANCE(96);
      ADVANCE_MAP(
        '!', 204,
        '"', 160,
        '%', 249,
        '&', 12,
        '\'', 157,
        '(', 167,
        ')', 168,
        '*', 191,
        '+', 190,
        ',', 181,
        '-', 245,
        '.', 242,
        '/', 248,
        ':', 192,
        ';', 166,
        '<', 104,
        '=', 185,
        '>', 101,
        '?', 205,
        '[', 198,
        ']', 199,
        'a', 40,
        'c', 60,
        'e', 48,
        'l', 36,
        'm', 46,
        'o', 41,
        'p', 50,
        's', 176,
        't', 61,
        'w', 44,
        '{', 164,
        '|', 209,
        '}', 165,
        'D', 82,
        'd', 82,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(94);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(240);
      END_STATE();
    case 95:
      if (eof) ADVANCE(96);
      if (lookahead == '&') ADVANCE(13);
      if (lookahead == '<') ADVANCE(103);
      if (lookahead == '>') ADVANCE(100);
      if (lookahead == '{') ADVANCE(164);
      if (lookahead == '}') ADVANCE(165);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(95);
      if (lookahead != 0 &&
          lookahead != '@') ADVANCE(163);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_LT_BANG);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(aux_sym_doctype_token1);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(98);
      if (lookahead != 0 &&
          lookahead != '>') ADVANCE(99);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(aux_sym_doctype_token1);
      if (lookahead != 0 &&
          lookahead != '>') ADVANCE(99);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(255);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(sym__doctype);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '!') ADVANCE(97);
      if (lookahead == '/') ADVANCE(107);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '!') ADVANCE(97);
      if (lookahead == '/') ADVANCE(107);
      if (lookahead == '=') ADVANCE(254);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(254);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_SLASH_GT);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_LT_SLASH);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(sym_attribute_name);
      if (lookahead == '>') ADVANCE(106);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(115);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(sym_attribute_name);
      if (lookahead == '{') ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(111);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(115);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(sym_attribute_name);
      if (lookahead == '}') ADVANCE(231);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(110);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(115);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(sym_attribute_name);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(114);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(115);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(sym_attribute_name);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(231);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(115);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(sym_attribute_name);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(110);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(115);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(sym_attribute_name);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(112);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(115);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(sym_attribute_name);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(115);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(sym_attribute_value);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '"' &&
          lookahead != '\'' &&
          (lookahead < '<' || '>' < lookahead)) ADVANCE(116);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(sym_entity);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(118);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(119);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(120);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(121);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(118);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(123);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(124);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(125);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(126);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(118);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(128);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(130);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(131);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(132);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(133);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(134);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(135);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(136);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(137);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(138);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(139);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(140);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(141);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(142);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(143);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(144);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(145);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(146);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(147);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(148);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(149);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(150);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(151);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(152);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(153);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(154);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(155);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(aux_sym_quoted_attribute_value_token1);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(158);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(159);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(aux_sym_quoted_attribute_value_token1);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(159);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(aux_sym_quoted_attribute_value_token2);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(161);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(162);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(aux_sym_quoted_attribute_value_token2);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(162);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym_text);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(87);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '@' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(163);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_prefetch);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_when);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_on);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_after);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_minimum);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_ms);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_s);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_s);
      if (lookahead == 'e') ADVANCE(53);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_track);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_let);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_as);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(250);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_plural);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_select);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(sym_icu_category);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(188);
      if (lookahead != 0 &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(189);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(sym_icu_category);
      if (lookahead != 0 &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(189);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_else);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_context);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_context);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '(') ADVANCE(200);
      if (lookahead == '@') ADVANCE(202);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_LBRACK_LPAREN);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_RPAREN_RBRACK);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_LBRACK_AT);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '.') ADVANCE(244);
      if (lookahead == '=') ADVANCE(252);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(243);
      if (lookahead == '?') ADVANCE(206);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(207);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(241);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(210);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(219);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(194);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(222);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(218);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(221);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(215);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's') ADVANCE(183);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's') ADVANCE(212);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(180);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(196);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(213);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'x') ADVANCE(220);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(sym__escape_sequence);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym__escape_sequence);
      if (lookahead == '\n') ADVANCE(224);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(231);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(115);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(sym__escape_sequence);
      if (lookahead == '\n' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(224);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(sym__escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(224);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(sym__escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(231);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(115);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(sym__escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(227);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(sym__escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(228);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(115);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(sym__escape_sequence);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(115);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(aux_sym_string_token1);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '\r') ADVANCE(226);
      if (lookahead == '?') ADVANCE(225);
      if (lookahead == 'u') ADVANCE(109);
      if (lookahead == 'x') ADVANCE(114);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(230);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == '"' ||
          ('\'' <= lookahead && lookahead <= '*') ||
          lookahead == '.' ||
          ('<' <= lookahead && lookahead <= '>') ||
          lookahead == '[' ||
          lookahead == ']') ADVANCE(224);
      if (lookahead != 0) ADVANCE(231);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '>') ADVANCE(106);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(115);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == 'u') ADVANCE(77);
      if (lookahead == 'x') ADVANCE(93);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(226);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(229);
      if (lookahead != 0) ADVANCE(224);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(115);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(aux_sym_string_token2);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead == 'u') ADVANCE(77);
      if (lookahead == 'x') ADVANCE(93);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(226);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(229);
      if (lookahead != 0) ADVANCE(224);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(241);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(240);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(sym_number);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(241);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_QMARK_DOT);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_BANG_DOT);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '>') ADVANCE(106);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(251);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(253);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 95, .external_lex_state = 2},
  [2] = {.lex_state = 95, .external_lex_state = 3},
  [3] = {.lex_state = 95, .external_lex_state = 3},
  [4] = {.lex_state = 95, .external_lex_state = 2},
  [5] = {.lex_state = 95, .external_lex_state = 3},
  [6] = {.lex_state = 95, .external_lex_state = 3},
  [7] = {.lex_state = 95, .external_lex_state = 2},
  [8] = {.lex_state = 95, .external_lex_state = 2},
  [9] = {.lex_state = 95, .external_lex_state = 2},
  [10] = {.lex_state = 95, .external_lex_state = 2},
  [11] = {.lex_state = 95, .external_lex_state = 2},
  [12] = {.lex_state = 95, .external_lex_state = 3},
  [13] = {.lex_state = 95, .external_lex_state = 2},
  [14] = {.lex_state = 95, .external_lex_state = 2},
  [15] = {.lex_state = 95, .external_lex_state = 2},
  [16] = {.lex_state = 95, .external_lex_state = 2},
  [17] = {.lex_state = 2, .external_lex_state = 4},
  [18] = {.lex_state = 2, .external_lex_state = 4},
  [19] = {.lex_state = 2, .external_lex_state = 4},
  [20] = {.lex_state = 1, .external_lex_state = 4},
  [21] = {.lex_state = 2, .external_lex_state = 4},
  [22] = {.lex_state = 95, .external_lex_state = 2},
  [23] = {.lex_state = 2, .external_lex_state = 4},
  [24] = {.lex_state = 95, .external_lex_state = 2},
  [25] = {.lex_state = 95, .external_lex_state = 2},
  [26] = {.lex_state = 2, .external_lex_state = 4},
  [27] = {.lex_state = 2, .external_lex_state = 4},
  [28] = {.lex_state = 2, .external_lex_state = 4},
  [29] = {.lex_state = 2, .external_lex_state = 4},
  [30] = {.lex_state = 2, .external_lex_state = 4},
  [31] = {.lex_state = 2, .external_lex_state = 4},
  [32] = {.lex_state = 95, .external_lex_state = 2},
  [33] = {.lex_state = 1, .external_lex_state = 4},
  [34] = {.lex_state = 1, .external_lex_state = 4},
  [35] = {.lex_state = 1, .external_lex_state = 4},
  [36] = {.lex_state = 2, .external_lex_state = 4},
  [37] = {.lex_state = 1, .external_lex_state = 4},
  [38] = {.lex_state = 1, .external_lex_state = 4},
  [39] = {.lex_state = 1, .external_lex_state = 4},
  [40] = {.lex_state = 1, .external_lex_state = 4},
  [41] = {.lex_state = 2, .external_lex_state = 4},
  [42] = {.lex_state = 95, .external_lex_state = 2},
  [43] = {.lex_state = 2, .external_lex_state = 4},
  [44] = {.lex_state = 2, .external_lex_state = 4},
  [45] = {.lex_state = 95, .external_lex_state = 3},
  [46] = {.lex_state = 95, .external_lex_state = 3},
  [47] = {.lex_state = 1, .external_lex_state = 4},
  [48] = {.lex_state = 1, .external_lex_state = 4},
  [49] = {.lex_state = 1, .external_lex_state = 4},
  [50] = {.lex_state = 1, .external_lex_state = 4},
  [51] = {.lex_state = 1, .external_lex_state = 4},
  [52] = {.lex_state = 2, .external_lex_state = 4},
  [53] = {.lex_state = 4, .external_lex_state = 4},
  [54] = {.lex_state = 1, .external_lex_state = 4},
  [55] = {.lex_state = 1, .external_lex_state = 4},
  [56] = {.lex_state = 1, .external_lex_state = 4},
  [57] = {.lex_state = 95, .external_lex_state = 3},
  [58] = {.lex_state = 1, .external_lex_state = 4},
  [59] = {.lex_state = 95, .external_lex_state = 3},
  [60] = {.lex_state = 2, .external_lex_state = 4},
  [61] = {.lex_state = 2, .external_lex_state = 4},
  [62] = {.lex_state = 95, .external_lex_state = 3},
  [63] = {.lex_state = 4, .external_lex_state = 4},
  [64] = {.lex_state = 1, .external_lex_state = 4},
  [65] = {.lex_state = 2, .external_lex_state = 4},
  [66] = {.lex_state = 2, .external_lex_state = 4},
  [67] = {.lex_state = 2, .external_lex_state = 4},
  [68] = {.lex_state = 1, .external_lex_state = 4},
  [69] = {.lex_state = 2, .external_lex_state = 4},
  [70] = {.lex_state = 2, .external_lex_state = 4},
  [71] = {.lex_state = 3, .external_lex_state = 4},
  [72] = {.lex_state = 3, .external_lex_state = 4},
  [73] = {.lex_state = 3, .external_lex_state = 4},
  [74] = {.lex_state = 3, .external_lex_state = 4},
  [75] = {.lex_state = 1, .external_lex_state = 4},
  [76] = {.lex_state = 3, .external_lex_state = 4},
  [77] = {.lex_state = 3, .external_lex_state = 4},
  [78] = {.lex_state = 3, .external_lex_state = 4},
  [79] = {.lex_state = 1, .external_lex_state = 4},
  [80] = {.lex_state = 3, .external_lex_state = 4},
  [81] = {.lex_state = 3, .external_lex_state = 4},
  [82] = {.lex_state = 3, .external_lex_state = 4},
  [83] = {.lex_state = 3, .external_lex_state = 4},
  [84] = {.lex_state = 2, .external_lex_state = 5},
  [85] = {.lex_state = 3, .external_lex_state = 4},
  [86] = {.lex_state = 2, .external_lex_state = 4},
  [87] = {.lex_state = 3, .external_lex_state = 4},
  [88] = {.lex_state = 3, .external_lex_state = 4},
  [89] = {.lex_state = 2, .external_lex_state = 4},
  [90] = {.lex_state = 2, .external_lex_state = 5},
  [91] = {.lex_state = 2, .external_lex_state = 4},
  [92] = {.lex_state = 2, .external_lex_state = 4},
  [93] = {.lex_state = 3, .external_lex_state = 4},
  [94] = {.lex_state = 3, .external_lex_state = 4},
  [95] = {.lex_state = 3, .external_lex_state = 4},
  [96] = {.lex_state = 2, .external_lex_state = 5},
  [97] = {.lex_state = 3, .external_lex_state = 4},
  [98] = {.lex_state = 2, .external_lex_state = 4},
  [99] = {.lex_state = 2, .external_lex_state = 5},
  [100] = {.lex_state = 2, .external_lex_state = 5},
  [101] = {.lex_state = 3, .external_lex_state = 4},
  [102] = {.lex_state = 3, .external_lex_state = 4},
  [103] = {.lex_state = 3, .external_lex_state = 4},
  [104] = {.lex_state = 3, .external_lex_state = 4},
  [105] = {.lex_state = 3, .external_lex_state = 4},
  [106] = {.lex_state = 3, .external_lex_state = 4},
  [107] = {.lex_state = 3, .external_lex_state = 4},
  [108] = {.lex_state = 2, .external_lex_state = 5},
  [109] = {.lex_state = 2, .external_lex_state = 5},
  [110] = {.lex_state = 1, .external_lex_state = 4},
  [111] = {.lex_state = 2, .external_lex_state = 4},
  [112] = {.lex_state = 2, .external_lex_state = 5},
  [113] = {.lex_state = 2, .external_lex_state = 5},
  [114] = {.lex_state = 2, .external_lex_state = 5},
  [115] = {.lex_state = 2, .external_lex_state = 5},
  [116] = {.lex_state = 1, .external_lex_state = 4},
  [117] = {.lex_state = 2, .external_lex_state = 5},
  [118] = {.lex_state = 2, .external_lex_state = 5},
  [119] = {.lex_state = 2, .external_lex_state = 5},
  [120] = {.lex_state = 2, .external_lex_state = 5},
  [121] = {.lex_state = 2, .external_lex_state = 5},
  [122] = {.lex_state = 2, .external_lex_state = 4},
  [123] = {.lex_state = 2, .external_lex_state = 5},
  [124] = {.lex_state = 2, .external_lex_state = 5},
  [125] = {.lex_state = 3, .external_lex_state = 4},
  [126] = {.lex_state = 2, .external_lex_state = 5},
  [127] = {.lex_state = 2, .external_lex_state = 4},
  [128] = {.lex_state = 1, .external_lex_state = 4},
  [129] = {.lex_state = 3, .external_lex_state = 4},
  [130] = {.lex_state = 3, .external_lex_state = 4},
  [131] = {.lex_state = 2, .external_lex_state = 5},
  [132] = {.lex_state = 3, .external_lex_state = 4},
  [133] = {.lex_state = 1, .external_lex_state = 4},
  [134] = {.lex_state = 1, .external_lex_state = 4},
  [135] = {.lex_state = 1, .external_lex_state = 4},
  [136] = {.lex_state = 3, .external_lex_state = 4},
  [137] = {.lex_state = 1, .external_lex_state = 4},
  [138] = {.lex_state = 3, .external_lex_state = 4},
  [139] = {.lex_state = 2, .external_lex_state = 5},
  [140] = {.lex_state = 3, .external_lex_state = 4},
  [141] = {.lex_state = 3, .external_lex_state = 4},
  [142] = {.lex_state = 2, .external_lex_state = 5},
  [143] = {.lex_state = 2, .external_lex_state = 4},
  [144] = {.lex_state = 2, .external_lex_state = 4},
  [145] = {.lex_state = 95, .external_lex_state = 2},
  [146] = {.lex_state = 95, .external_lex_state = 2},
  [147] = {.lex_state = 95, .external_lex_state = 2},
  [148] = {.lex_state = 95, .external_lex_state = 2},
  [149] = {.lex_state = 95, .external_lex_state = 2},
  [150] = {.lex_state = 95, .external_lex_state = 2},
  [151] = {.lex_state = 95, .external_lex_state = 2},
  [152] = {.lex_state = 95, .external_lex_state = 2},
  [153] = {.lex_state = 95, .external_lex_state = 2},
  [154] = {.lex_state = 95, .external_lex_state = 2},
  [155] = {.lex_state = 95, .external_lex_state = 2},
  [156] = {.lex_state = 95, .external_lex_state = 2},
  [157] = {.lex_state = 95, .external_lex_state = 2},
  [158] = {.lex_state = 95, .external_lex_state = 2},
  [159] = {.lex_state = 95, .external_lex_state = 2},
  [160] = {.lex_state = 95, .external_lex_state = 2},
  [161] = {.lex_state = 95, .external_lex_state = 2},
  [162] = {.lex_state = 95, .external_lex_state = 2},
  [163] = {.lex_state = 95, .external_lex_state = 2},
  [164] = {.lex_state = 95, .external_lex_state = 2},
  [165] = {.lex_state = 95, .external_lex_state = 2},
  [166] = {.lex_state = 95, .external_lex_state = 2},
  [167] = {.lex_state = 95, .external_lex_state = 2},
  [168] = {.lex_state = 95, .external_lex_state = 2},
  [169] = {.lex_state = 95, .external_lex_state = 2},
  [170] = {.lex_state = 95, .external_lex_state = 2},
  [171] = {.lex_state = 95, .external_lex_state = 2},
  [172] = {.lex_state = 2, .external_lex_state = 4},
  [173] = {.lex_state = 95, .external_lex_state = 2},
  [174] = {.lex_state = 95, .external_lex_state = 2},
  [175] = {.lex_state = 95, .external_lex_state = 2},
  [176] = {.lex_state = 95, .external_lex_state = 2},
  [177] = {.lex_state = 95, .external_lex_state = 2},
  [178] = {.lex_state = 95, .external_lex_state = 2},
  [179] = {.lex_state = 95, .external_lex_state = 2},
  [180] = {.lex_state = 95, .external_lex_state = 2},
  [181] = {.lex_state = 95, .external_lex_state = 2},
  [182] = {.lex_state = 95, .external_lex_state = 2},
  [183] = {.lex_state = 2, .external_lex_state = 4},
  [184] = {.lex_state = 95, .external_lex_state = 2},
  [185] = {.lex_state = 95, .external_lex_state = 2},
  [186] = {.lex_state = 95, .external_lex_state = 2},
  [187] = {.lex_state = 95, .external_lex_state = 2},
  [188] = {.lex_state = 95, .external_lex_state = 2},
  [189] = {.lex_state = 95, .external_lex_state = 2},
  [190] = {.lex_state = 95, .external_lex_state = 3},
  [191] = {.lex_state = 95, .external_lex_state = 3},
  [192] = {.lex_state = 95, .external_lex_state = 3},
  [193] = {.lex_state = 95, .external_lex_state = 3},
  [194] = {.lex_state = 95, .external_lex_state = 3},
  [195] = {.lex_state = 95, .external_lex_state = 3},
  [196] = {.lex_state = 95, .external_lex_state = 3},
  [197] = {.lex_state = 95, .external_lex_state = 3},
  [198] = {.lex_state = 95, .external_lex_state = 3},
  [199] = {.lex_state = 95, .external_lex_state = 3},
  [200] = {.lex_state = 95, .external_lex_state = 3},
  [201] = {.lex_state = 95, .external_lex_state = 3},
  [202] = {.lex_state = 95, .external_lex_state = 3},
  [203] = {.lex_state = 95, .external_lex_state = 3},
  [204] = {.lex_state = 95, .external_lex_state = 3},
  [205] = {.lex_state = 95, .external_lex_state = 3},
  [206] = {.lex_state = 95, .external_lex_state = 3},
  [207] = {.lex_state = 95, .external_lex_state = 3},
  [208] = {.lex_state = 95, .external_lex_state = 3},
  [209] = {.lex_state = 95, .external_lex_state = 3},
  [210] = {.lex_state = 95, .external_lex_state = 3},
  [211] = {.lex_state = 95, .external_lex_state = 3},
  [212] = {.lex_state = 95, .external_lex_state = 3},
  [213] = {.lex_state = 95, .external_lex_state = 3},
  [214] = {.lex_state = 2, .external_lex_state = 5},
  [215] = {.lex_state = 3, .external_lex_state = 4},
  [216] = {.lex_state = 95, .external_lex_state = 3},
  [217] = {.lex_state = 95, .external_lex_state = 3},
  [218] = {.lex_state = 95, .external_lex_state = 3},
  [219] = {.lex_state = 95, .external_lex_state = 3},
  [220] = {.lex_state = 95, .external_lex_state = 3},
  [221] = {.lex_state = 95, .external_lex_state = 3},
  [222] = {.lex_state = 95, .external_lex_state = 3},
  [223] = {.lex_state = 95, .external_lex_state = 3},
  [224] = {.lex_state = 95, .external_lex_state = 3},
  [225] = {.lex_state = 95, .external_lex_state = 3},
  [226] = {.lex_state = 95, .external_lex_state = 3},
  [227] = {.lex_state = 95, .external_lex_state = 3},
  [228] = {.lex_state = 95, .external_lex_state = 3},
  [229] = {.lex_state = 95, .external_lex_state = 3},
  [230] = {.lex_state = 3, .external_lex_state = 4},
  [231] = {.lex_state = 2, .external_lex_state = 5},
  [232] = {.lex_state = 3, .external_lex_state = 4},
  [233] = {.lex_state = 95, .external_lex_state = 3},
  [234] = {.lex_state = 3, .external_lex_state = 4},
  [235] = {.lex_state = 95, .external_lex_state = 3},
  [236] = {.lex_state = 3, .external_lex_state = 4},
  [237] = {.lex_state = 95, .external_lex_state = 3},
  [238] = {.lex_state = 95, .external_lex_state = 3},
  [239] = {.lex_state = 95, .external_lex_state = 3},
  [240] = {.lex_state = 95, .external_lex_state = 3},
  [241] = {.lex_state = 95, .external_lex_state = 3},
  [242] = {.lex_state = 2, .external_lex_state = 5},
  [243] = {.lex_state = 3, .external_lex_state = 4},
  [244] = {.lex_state = 3, .external_lex_state = 4},
  [245] = {.lex_state = 3, .external_lex_state = 4},
  [246] = {.lex_state = 2, .external_lex_state = 5},
  [247] = {.lex_state = 2, .external_lex_state = 5},
  [248] = {.lex_state = 3, .external_lex_state = 4},
  [249] = {.lex_state = 2, .external_lex_state = 5},
  [250] = {.lex_state = 3, .external_lex_state = 4},
  [251] = {.lex_state = 3, .external_lex_state = 4},
  [252] = {.lex_state = 3, .external_lex_state = 4},
  [253] = {.lex_state = 3, .external_lex_state = 4},
  [254] = {.lex_state = 3, .external_lex_state = 4},
  [255] = {.lex_state = 3, .external_lex_state = 4},
  [256] = {.lex_state = 3, .external_lex_state = 4},
  [257] = {.lex_state = 3, .external_lex_state = 4},
  [258] = {.lex_state = 3, .external_lex_state = 4},
  [259] = {.lex_state = 2, .external_lex_state = 4},
  [260] = {.lex_state = 3, .external_lex_state = 4},
  [261] = {.lex_state = 3, .external_lex_state = 4},
  [262] = {.lex_state = 3, .external_lex_state = 4},
  [263] = {.lex_state = 2, .external_lex_state = 5},
  [264] = {.lex_state = 3, .external_lex_state = 4},
  [265] = {.lex_state = 3, .external_lex_state = 4},
  [266] = {.lex_state = 3, .external_lex_state = 4},
  [267] = {.lex_state = 3, .external_lex_state = 4},
  [268] = {.lex_state = 3, .external_lex_state = 4},
  [269] = {.lex_state = 3, .external_lex_state = 4},
  [270] = {.lex_state = 3, .external_lex_state = 4},
  [271] = {.lex_state = 3, .external_lex_state = 4},
  [272] = {.lex_state = 3, .external_lex_state = 4},
  [273] = {.lex_state = 3, .external_lex_state = 4},
  [274] = {.lex_state = 3, .external_lex_state = 4},
  [275] = {.lex_state = 3, .external_lex_state = 4},
  [276] = {.lex_state = 3, .external_lex_state = 4},
  [277] = {.lex_state = 3, .external_lex_state = 4},
  [278] = {.lex_state = 3, .external_lex_state = 4},
  [279] = {.lex_state = 3, .external_lex_state = 4},
  [280] = {.lex_state = 3, .external_lex_state = 4},
  [281] = {.lex_state = 3, .external_lex_state = 4},
  [282] = {.lex_state = 3, .external_lex_state = 4},
  [283] = {.lex_state = 3, .external_lex_state = 4},
  [284] = {.lex_state = 3, .external_lex_state = 4},
  [285] = {.lex_state = 3, .external_lex_state = 4},
  [286] = {.lex_state = 3, .external_lex_state = 4},
  [287] = {.lex_state = 3, .external_lex_state = 4},
  [288] = {.lex_state = 3, .external_lex_state = 4},
  [289] = {.lex_state = 3, .external_lex_state = 4},
  [290] = {.lex_state = 3, .external_lex_state = 4},
  [291] = {.lex_state = 3, .external_lex_state = 4},
  [292] = {.lex_state = 3, .external_lex_state = 4},
  [293] = {.lex_state = 3, .external_lex_state = 4},
  [294] = {.lex_state = 2, .external_lex_state = 4},
  [295] = {.lex_state = 2, .external_lex_state = 4},
  [296] = {.lex_state = 18, .external_lex_state = 6},
  [297] = {.lex_state = 5, .external_lex_state = 4},
  [298] = {.lex_state = 18, .external_lex_state = 6},
  [299] = {.lex_state = 18, .external_lex_state = 6},
  [300] = {.lex_state = 18, .external_lex_state = 6},
  [301] = {.lex_state = 2, .external_lex_state = 4},
  [302] = {.lex_state = 5, .external_lex_state = 4},
  [303] = {.lex_state = 18, .external_lex_state = 6},
  [304] = {.lex_state = 2, .external_lex_state = 4},
  [305] = {.lex_state = 5, .external_lex_state = 4},
  [306] = {.lex_state = 2, .external_lex_state = 4},
  [307] = {.lex_state = 5, .external_lex_state = 4},
  [308] = {.lex_state = 5, .external_lex_state = 4},
  [309] = {.lex_state = 5, .external_lex_state = 4},
  [310] = {.lex_state = 5, .external_lex_state = 4},
  [311] = {.lex_state = 19, .external_lex_state = 4},
  [312] = {.lex_state = 5, .external_lex_state = 4},
  [313] = {.lex_state = 5, .external_lex_state = 4},
  [314] = {.lex_state = 5, .external_lex_state = 4},
  [315] = {.lex_state = 19, .external_lex_state = 4},
  [316] = {.lex_state = 5, .external_lex_state = 4},
  [317] = {.lex_state = 5, .external_lex_state = 4},
  [318] = {.lex_state = 5, .external_lex_state = 4},
  [319] = {.lex_state = 19, .external_lex_state = 4},
  [320] = {.lex_state = 5, .external_lex_state = 4},
  [321] = {.lex_state = 19, .external_lex_state = 4},
  [322] = {.lex_state = 5, .external_lex_state = 4},
  [323] = {.lex_state = 19, .external_lex_state = 4},
  [324] = {.lex_state = 5, .external_lex_state = 4},
  [325] = {.lex_state = 5, .external_lex_state = 4},
  [326] = {.lex_state = 5, .external_lex_state = 4},
  [327] = {.lex_state = 7, .external_lex_state = 6},
  [328] = {.lex_state = 5, .external_lex_state = 4},
  [329] = {.lex_state = 8, .external_lex_state = 4},
  [330] = {.lex_state = 5, .external_lex_state = 4},
  [331] = {.lex_state = 5, .external_lex_state = 4},
  [332] = {.lex_state = 5, .external_lex_state = 4},
  [333] = {.lex_state = 5, .external_lex_state = 4},
  [334] = {.lex_state = 5, .external_lex_state = 4},
  [335] = {.lex_state = 5, .external_lex_state = 4},
  [336] = {.lex_state = 18, .external_lex_state = 6},
  [337] = {.lex_state = 2, .external_lex_state = 4},
  [338] = {.lex_state = 5, .external_lex_state = 4},
  [339] = {.lex_state = 18, .external_lex_state = 6},
  [340] = {.lex_state = 5, .external_lex_state = 4},
  [341] = {.lex_state = 5, .external_lex_state = 4},
  [342] = {.lex_state = 5, .external_lex_state = 4},
  [343] = {.lex_state = 2, .external_lex_state = 4},
  [344] = {.lex_state = 5, .external_lex_state = 4},
  [345] = {.lex_state = 5, .external_lex_state = 4},
  [346] = {.lex_state = 5, .external_lex_state = 4},
  [347] = {.lex_state = 18, .external_lex_state = 6},
  [348] = {.lex_state = 5, .external_lex_state = 4},
  [349] = {.lex_state = 5, .external_lex_state = 4},
  [350] = {.lex_state = 5, .external_lex_state = 4},
  [351] = {.lex_state = 5, .external_lex_state = 4},
  [352] = {.lex_state = 5, .external_lex_state = 4},
  [353] = {.lex_state = 5, .external_lex_state = 4},
  [354] = {.lex_state = 19, .external_lex_state = 4},
  [355] = {.lex_state = 18, .external_lex_state = 6},
  [356] = {.lex_state = 18, .external_lex_state = 6},
  [357] = {.lex_state = 18, .external_lex_state = 6},
  [358] = {.lex_state = 18, .external_lex_state = 6},
  [359] = {.lex_state = 18, .external_lex_state = 6},
  [360] = {.lex_state = 0, .external_lex_state = 4},
  [361] = {.lex_state = 9, .external_lex_state = 4},
  [362] = {.lex_state = 18, .external_lex_state = 6},
  [363] = {.lex_state = 18, .external_lex_state = 6},
  [364] = {.lex_state = 19, .external_lex_state = 4},
  [365] = {.lex_state = 0, .external_lex_state = 4},
  [366] = {.lex_state = 19, .external_lex_state = 4},
  [367] = {.lex_state = 18, .external_lex_state = 6},
  [368] = {.lex_state = 18, .external_lex_state = 6},
  [369] = {.lex_state = 18, .external_lex_state = 6},
  [370] = {.lex_state = 0, .external_lex_state = 4},
  [371] = {.lex_state = 18, .external_lex_state = 6},
  [372] = {.lex_state = 19, .external_lex_state = 4},
  [373] = {.lex_state = 0, .external_lex_state = 4},
  [374] = {.lex_state = 19, .external_lex_state = 4},
  [375] = {.lex_state = 19, .external_lex_state = 4},
  [376] = {.lex_state = 0, .external_lex_state = 4},
  [377] = {.lex_state = 19, .external_lex_state = 4},
  [378] = {.lex_state = 0, .external_lex_state = 4},
  [379] = {.lex_state = 19, .external_lex_state = 4},
  [380] = {.lex_state = 5, .external_lex_state = 4},
  [381] = {.lex_state = 19, .external_lex_state = 4},
  [382] = {.lex_state = 2, .external_lex_state = 5},
  [383] = {.lex_state = 0, .external_lex_state = 4},
  [384] = {.lex_state = 19, .external_lex_state = 4},
  [385] = {.lex_state = 19, .external_lex_state = 4},
  [386] = {.lex_state = 19, .external_lex_state = 4},
  [387] = {.lex_state = 19, .external_lex_state = 4},
  [388] = {.lex_state = 19, .external_lex_state = 4},
  [389] = {.lex_state = 2, .external_lex_state = 4},
  [390] = {.lex_state = 5, .external_lex_state = 4},
  [391] = {.lex_state = 0, .external_lex_state = 4},
  [392] = {.lex_state = 2, .external_lex_state = 4},
  [393] = {.lex_state = 2, .external_lex_state = 4},
  [394] = {.lex_state = 0, .external_lex_state = 7},
  [395] = {.lex_state = 2, .external_lex_state = 4},
  [396] = {.lex_state = 0, .external_lex_state = 7},
  [397] = {.lex_state = 2, .external_lex_state = 4},
  [398] = {.lex_state = 2, .external_lex_state = 4},
  [399] = {.lex_state = 2, .external_lex_state = 5},
  [400] = {.lex_state = 2, .external_lex_state = 4},
  [401] = {.lex_state = 1, .external_lex_state = 4},
  [402] = {.lex_state = 0, .external_lex_state = 4},
  [403] = {.lex_state = 2, .external_lex_state = 4},
  [404] = {.lex_state = 15, .external_lex_state = 4},
  [405] = {.lex_state = 2, .external_lex_state = 4},
  [406] = {.lex_state = 2, .external_lex_state = 4},
  [407] = {.lex_state = 0, .external_lex_state = 7},
  [408] = {.lex_state = 16, .external_lex_state = 4},
  [409] = {.lex_state = 10, .external_lex_state = 4},
  [410] = {.lex_state = 16, .external_lex_state = 4},
  [411] = {.lex_state = 2, .external_lex_state = 4},
  [412] = {.lex_state = 0, .external_lex_state = 4},
  [413] = {.lex_state = 10, .external_lex_state = 4},
  [414] = {.lex_state = 2, .external_lex_state = 4},
  [415] = {.lex_state = 2, .external_lex_state = 4},
  [416] = {.lex_state = 16, .external_lex_state = 4},
  [417] = {.lex_state = 2, .external_lex_state = 4},
  [418] = {.lex_state = 2, .external_lex_state = 4},
  [419] = {.lex_state = 0, .external_lex_state = 4},
  [420] = {.lex_state = 10, .external_lex_state = 4},
  [421] = {.lex_state = 2, .external_lex_state = 4},
  [422] = {.lex_state = 1, .external_lex_state = 4},
  [423] = {.lex_state = 0, .external_lex_state = 5},
  [424] = {.lex_state = 16, .external_lex_state = 4},
  [425] = {.lex_state = 2, .external_lex_state = 4},
  [426] = {.lex_state = 0, .external_lex_state = 7},
  [427] = {.lex_state = 2, .external_lex_state = 4},
  [428] = {.lex_state = 0, .external_lex_state = 4},
  [429] = {.lex_state = 10, .external_lex_state = 4},
  [430] = {.lex_state = 0, .external_lex_state = 5},
  [431] = {.lex_state = 16, .external_lex_state = 4},
  [432] = {.lex_state = 16, .external_lex_state = 4},
  [433] = {.lex_state = 10, .external_lex_state = 4},
  [434] = {.lex_state = 2, .external_lex_state = 4},
  [435] = {.lex_state = 0, .external_lex_state = 4},
  [436] = {.lex_state = 2, .external_lex_state = 4},
  [437] = {.lex_state = 16, .external_lex_state = 4},
  [438] = {.lex_state = 2, .external_lex_state = 4},
  [439] = {.lex_state = 10, .external_lex_state = 4},
  [440] = {.lex_state = 2, .external_lex_state = 4},
  [441] = {.lex_state = 2, .external_lex_state = 4},
  [442] = {.lex_state = 0, .external_lex_state = 5},
  [443] = {.lex_state = 16, .external_lex_state = 4},
  [444] = {.lex_state = 0, .external_lex_state = 5},
  [445] = {.lex_state = 0, .external_lex_state = 7},
  [446] = {.lex_state = 10, .external_lex_state = 4},
  [447] = {.lex_state = 10, .external_lex_state = 4},
  [448] = {.lex_state = 0, .external_lex_state = 4},
  [449] = {.lex_state = 0, .external_lex_state = 4},
  [450] = {.lex_state = 78, .external_lex_state = 4},
  [451] = {.lex_state = 0, .external_lex_state = 4},
  [452] = {.lex_state = 0, .external_lex_state = 4},
  [453] = {.lex_state = 2, .external_lex_state = 4},
  [454] = {.lex_state = 78, .external_lex_state = 4},
  [455] = {.lex_state = 0, .external_lex_state = 4},
  [456] = {.lex_state = 0, .external_lex_state = 4},
  [457] = {.lex_state = 0, .external_lex_state = 4},
  [458] = {.lex_state = 0, .external_lex_state = 4},
  [459] = {.lex_state = 0, .external_lex_state = 4},
  [460] = {.lex_state = 16, .external_lex_state = 4},
  [461] = {.lex_state = 10, .external_lex_state = 4},
  [462] = {.lex_state = 0, .external_lex_state = 4},
  [463] = {.lex_state = 0, .external_lex_state = 4},
  [464] = {.lex_state = 0, .external_lex_state = 4},
  [465] = {.lex_state = 0, .external_lex_state = 4},
  [466] = {.lex_state = 0, .external_lex_state = 4},
  [467] = {.lex_state = 0, .external_lex_state = 4},
  [468] = {.lex_state = 0, .external_lex_state = 4},
  [469] = {.lex_state = 6, .external_lex_state = 4},
  [470] = {.lex_state = 6, .external_lex_state = 4},
  [471] = {.lex_state = 78, .external_lex_state = 4},
  [472] = {.lex_state = 0, .external_lex_state = 4},
  [473] = {.lex_state = 0, .external_lex_state = 4},
  [474] = {.lex_state = 0, .external_lex_state = 4},
  [475] = {.lex_state = 0, .external_lex_state = 4},
  [476] = {.lex_state = 2, .external_lex_state = 4},
  [477] = {.lex_state = 0, .external_lex_state = 4},
  [478] = {.lex_state = 5, .external_lex_state = 4},
  [479] = {.lex_state = 0, .external_lex_state = 4},
  [480] = {.lex_state = 0, .external_lex_state = 7},
  [481] = {.lex_state = 0, .external_lex_state = 4},
  [482] = {.lex_state = 0, .external_lex_state = 4},
  [483] = {.lex_state = 0, .external_lex_state = 7},
  [484] = {.lex_state = 0, .external_lex_state = 4},
  [485] = {.lex_state = 0, .external_lex_state = 4},
  [486] = {.lex_state = 0, .external_lex_state = 4},
  [487] = {.lex_state = 0, .external_lex_state = 4},
  [488] = {.lex_state = 0, .external_lex_state = 4},
  [489] = {.lex_state = 0, .external_lex_state = 4},
  [490] = {.lex_state = 0, .external_lex_state = 4},
  [491] = {.lex_state = 0, .external_lex_state = 5},
  [492] = {.lex_state = 0, .external_lex_state = 4},
  [493] = {.lex_state = 0, .external_lex_state = 4},
  [494] = {.lex_state = 0, .external_lex_state = 4},
  [495] = {.lex_state = 0, .external_lex_state = 8},
  [496] = {.lex_state = 0, .external_lex_state = 8},
  [497] = {.lex_state = 0, .external_lex_state = 8},
  [498] = {.lex_state = 0, .external_lex_state = 5},
  [499] = {.lex_state = 0, .external_lex_state = 4},
  [500] = {.lex_state = 0, .external_lex_state = 4},
  [501] = {.lex_state = 0, .external_lex_state = 4},
  [502] = {.lex_state = 0, .external_lex_state = 4},
  [503] = {.lex_state = 0, .external_lex_state = 4},
  [504] = {.lex_state = 0, .external_lex_state = 4},
  [505] = {.lex_state = 0, .external_lex_state = 5},
  [506] = {.lex_state = 0, .external_lex_state = 8},
  [507] = {.lex_state = 0, .external_lex_state = 4},
  [508] = {.lex_state = 0, .external_lex_state = 4},
  [509] = {.lex_state = 0, .external_lex_state = 5},
  [510] = {.lex_state = 27, .external_lex_state = 4},
  [511] = {.lex_state = 0, .external_lex_state = 4},
  [512] = {.lex_state = 0, .external_lex_state = 4},
  [513] = {.lex_state = 0, .external_lex_state = 4},
  [514] = {.lex_state = 0, .external_lex_state = 4},
  [515] = {.lex_state = 52, .external_lex_state = 4},
  [516] = {.lex_state = 0, .external_lex_state = 4},
  [517] = {.lex_state = 0, .external_lex_state = 4},
  [518] = {.lex_state = 0, .external_lex_state = 5},
  [519] = {.lex_state = 0, .external_lex_state = 4},
  [520] = {.lex_state = 0, .external_lex_state = 4},
  [521] = {.lex_state = 0, .external_lex_state = 4},
  [522] = {.lex_state = 0, .external_lex_state = 4},
  [523] = {.lex_state = 2, .external_lex_state = 4},
  [524] = {.lex_state = 0, .external_lex_state = 7},
  [525] = {.lex_state = 0, .external_lex_state = 4},
  [526] = {.lex_state = 0, .external_lex_state = 9},
  [527] = {.lex_state = 0, .external_lex_state = 4},
  [528] = {.lex_state = 0, .external_lex_state = 4},
  [529] = {.lex_state = 0, .external_lex_state = 4},
  [530] = {.lex_state = 0, .external_lex_state = 4},
  [531] = {.lex_state = 0, .external_lex_state = 4},
  [532] = {.lex_state = 78, .external_lex_state = 4},
  [533] = {.lex_state = 52, .external_lex_state = 4},
  [534] = {.lex_state = 78, .external_lex_state = 4},
  [535] = {.lex_state = 0, .external_lex_state = 4},
  [536] = {.lex_state = 0, .external_lex_state = 9},
  [537] = {.lex_state = 0, .external_lex_state = 4},
  [538] = {.lex_state = 0, .external_lex_state = 5},
  [539] = {.lex_state = 0, .external_lex_state = 4},
  [540] = {.lex_state = 0, .external_lex_state = 4},
  [541] = {.lex_state = 0, .external_lex_state = 5},
  [542] = {.lex_state = 2, .external_lex_state = 4},
  [543] = {.lex_state = 0, .external_lex_state = 4},
  [544] = {.lex_state = 0, .external_lex_state = 7},
  [545] = {.lex_state = 5, .external_lex_state = 4},
  [546] = {.lex_state = 0, .external_lex_state = 4},
  [547] = {.lex_state = 0, .external_lex_state = 4},
  [548] = {.lex_state = 0, .external_lex_state = 4},
  [549] = {.lex_state = 0, .external_lex_state = 4},
  [550] = {.lex_state = 0, .external_lex_state = 4},
  [551] = {.lex_state = 0, .external_lex_state = 4},
  [552] = {.lex_state = 0, .external_lex_state = 4},
  [553] = {.lex_state = 0, .external_lex_state = 4},
  [554] = {.lex_state = 56, .external_lex_state = 4},
  [555] = {.lex_state = 5, .external_lex_state = 4},
  [556] = {.lex_state = 5, .external_lex_state = 4},
  [557] = {.lex_state = 5, .external_lex_state = 4},
  [558] = {.lex_state = 5, .external_lex_state = 4},
  [559] = {.lex_state = 0, .external_lex_state = 4},
  [560] = {.lex_state = 0, .external_lex_state = 4},
  [561] = {.lex_state = 0, .external_lex_state = 4},
  [562] = {.lex_state = 5, .external_lex_state = 4},
  [563] = {.lex_state = 0, .external_lex_state = 4},
  [564] = {.lex_state = 0, .external_lex_state = 4},
  [565] = {.lex_state = 0, .external_lex_state = 4},
  [566] = {.lex_state = 0, .external_lex_state = 4},
  [567] = {.lex_state = 0, .external_lex_state = 4},
  [568] = {.lex_state = 0, .external_lex_state = 4},
  [569] = {.lex_state = 0, .external_lex_state = 4},
  [570] = {.lex_state = 17, .external_lex_state = 4},
  [571] = {.lex_state = 11, .external_lex_state = 4},
  [572] = {.lex_state = 0, .external_lex_state = 4},
  [573] = {.lex_state = 0, .external_lex_state = 4},
  [574] = {.lex_state = 0, .external_lex_state = 4},
  [575] = {.lex_state = 0, .external_lex_state = 4},
  [576] = {.lex_state = 0, .external_lex_state = 4},
  [577] = {.lex_state = 5, .external_lex_state = 4},
  [578] = {.lex_state = 0, .external_lex_state = 4},
  [579] = {.lex_state = 0, .external_lex_state = 10},
  [580] = {.lex_state = 0, .external_lex_state = 4},
  [581] = {.lex_state = 0, .external_lex_state = 8},
  [582] = {.lex_state = 0, .external_lex_state = 8},
  [583] = {.lex_state = 0, .external_lex_state = 4},
  [584] = {.lex_state = 5, .external_lex_state = 4},
  [585] = {.lex_state = 0, .external_lex_state = 4},
  [586] = {.lex_state = 0, .external_lex_state = 4},
  [587] = {.lex_state = 5, .external_lex_state = 4},
  [588] = {.lex_state = 5, .external_lex_state = 4},
  [589] = {.lex_state = 0, .external_lex_state = 4},
  [590] = {.lex_state = 0, .external_lex_state = 4},
  [591] = {.lex_state = 0, .external_lex_state = 8},
  [592] = {.lex_state = 0, .external_lex_state = 4},
  [593] = {.lex_state = 0, .external_lex_state = 8},
  [594] = {.lex_state = 0, .external_lex_state = 4},
  [595] = {.lex_state = 0, .external_lex_state = 4},
  [596] = {.lex_state = 5, .external_lex_state = 4},
  [597] = {.lex_state = 5, .external_lex_state = 4},
  [598] = {.lex_state = 5, .external_lex_state = 4},
  [599] = {.lex_state = 28, .external_lex_state = 4},
  [600] = {.lex_state = 78, .external_lex_state = 4},
  [601] = {.lex_state = 0, .external_lex_state = 4},
  [602] = {.lex_state = 5, .external_lex_state = 4},
  [603] = {.lex_state = 0, .external_lex_state = 10},
  [604] = {.lex_state = 0, .external_lex_state = 4},
  [605] = {.lex_state = 0, .external_lex_state = 4},
  [606] = {.lex_state = 0, .external_lex_state = 4},
  [607] = {.lex_state = 0, .external_lex_state = 4},
  [608] = {.lex_state = 5, .external_lex_state = 4},
  [609] = {.lex_state = 0, .external_lex_state = 4},
  [610] = {.lex_state = 0, .external_lex_state = 4},
  [611] = {.lex_state = 0, .external_lex_state = 4},
  [612] = {.lex_state = 17, .external_lex_state = 4},
  [613] = {.lex_state = 11, .external_lex_state = 4},
  [614] = {.lex_state = 0, .external_lex_state = 4},
  [615] = {.lex_state = 0, .external_lex_state = 4},
  [616] = {.lex_state = 0, .external_lex_state = 4},
  [617] = {.lex_state = 0, .external_lex_state = 4},
  [618] = {.lex_state = 0, .external_lex_state = 4},
  [619] = {.lex_state = 0, .external_lex_state = 4},
  [620] = {.lex_state = 0, .external_lex_state = 4},
  [621] = {.lex_state = 0, .external_lex_state = 4},
  [622] = {.lex_state = 0, .external_lex_state = 4},
  [623] = {.lex_state = 0, .external_lex_state = 4},
  [624] = {.lex_state = 0, .external_lex_state = 4},
  [625] = {.lex_state = 0, .external_lex_state = 4},
  [626] = {.lex_state = 0, .external_lex_state = 4},
  [627] = {.lex_state = 0, .external_lex_state = 4},
  [628] = {.lex_state = 0, .external_lex_state = 4},
  [629] = {.lex_state = 0, .external_lex_state = 4},
  [630] = {.lex_state = 0, .external_lex_state = 4},
  [631] = {.lex_state = 88, .external_lex_state = 4},
  [632] = {.lex_state = 5, .external_lex_state = 4},
  [633] = {.lex_state = 0, .external_lex_state = 4},
  [634] = {.lex_state = 0, .external_lex_state = 4},
  [635] = {.lex_state = 0, .external_lex_state = 4},
  [636] = {.lex_state = 0, .external_lex_state = 4},
  [637] = {.lex_state = 0, .external_lex_state = 4},
  [638] = {.lex_state = 5, .external_lex_state = 4},
  [639] = {.lex_state = 0, .external_lex_state = 4},
  [640] = {.lex_state = 0, .external_lex_state = 4},
  [641] = {.lex_state = 0, .external_lex_state = 4},
  [642] = {.lex_state = 5, .external_lex_state = 4},
  [643] = {.lex_state = 0, .external_lex_state = 4},
  [644] = {.lex_state = 0, .external_lex_state = 4},
  [645] = {.lex_state = 0, .external_lex_state = 4},
  [646] = {.lex_state = 0, .external_lex_state = 4},
  [647] = {.lex_state = 0, .external_lex_state = 4},
  [648] = {.lex_state = 0, .external_lex_state = 4},
  [649] = {.lex_state = 0, .external_lex_state = 4},
  [650] = {.lex_state = 0, .external_lex_state = 4},
  [651] = {.lex_state = 0, .external_lex_state = 4},
  [652] = {.lex_state = 0, .external_lex_state = 4},
  [653] = {.lex_state = 0, .external_lex_state = 4},
  [654] = {.lex_state = 0, .external_lex_state = 4},
  [655] = {.lex_state = 0, .external_lex_state = 4},
  [656] = {.lex_state = 95, .external_lex_state = 4},
  [657] = {.lex_state = 95, .external_lex_state = 4},
  [658] = {.lex_state = 0, .external_lex_state = 4},
  [659] = {.lex_state = 0, .external_lex_state = 4},
  [660] = {.lex_state = 95, .external_lex_state = 4},
  [661] = {.lex_state = 0, .external_lex_state = 4},
  [662] = {.lex_state = 0, .external_lex_state = 4},
  [663] = {.lex_state = 0, .external_lex_state = 11},
  [664] = {.lex_state = 0, .external_lex_state = 4},
  [665] = {.lex_state = 0, .external_lex_state = 5},
  [666] = {.lex_state = 88, .external_lex_state = 4},
  [667] = {.lex_state = 0, .external_lex_state = 4},
  [668] = {.lex_state = 0, .external_lex_state = 12},
  [669] = {.lex_state = 0, .external_lex_state = 4},
  [670] = {.lex_state = 0, .external_lex_state = 4},
  [671] = {.lex_state = 0, .external_lex_state = 4},
  [672] = {.lex_state = 5, .external_lex_state = 4},
  [673] = {.lex_state = 0, .external_lex_state = 4},
  [674] = {.lex_state = 0, .external_lex_state = 4},
  [675] = {.lex_state = 0, .external_lex_state = 4},
  [676] = {.lex_state = 95, .external_lex_state = 4},
  [677] = {.lex_state = 1, .external_lex_state = 4},
  [678] = {.lex_state = 0, .external_lex_state = 5},
  [679] = {.lex_state = 0, .external_lex_state = 4},
  [680] = {.lex_state = 0, .external_lex_state = 4},
  [681] = {.lex_state = 0, .external_lex_state = 4},
  [682] = {.lex_state = 0, .external_lex_state = 4},
  [683] = {.lex_state = 1, .external_lex_state = 4},
  [684] = {.lex_state = 0, .external_lex_state = 4},
  [685] = {.lex_state = 0, .external_lex_state = 4},
  [686] = {.lex_state = 95, .external_lex_state = 4},
  [687] = {.lex_state = 0, .external_lex_state = 4},
  [688] = {.lex_state = 0, .external_lex_state = 4},
  [689] = {.lex_state = 0, .external_lex_state = 4},
  [690] = {.lex_state = 0, .external_lex_state = 4},
  [691] = {.lex_state = 0, .external_lex_state = 4},
  [692] = {.lex_state = 0, .external_lex_state = 4},
  [693] = {.lex_state = 0, .external_lex_state = 4},
  [694] = {.lex_state = 0, .external_lex_state = 12},
  [695] = {.lex_state = 0, .external_lex_state = 4},
  [696] = {.lex_state = 5, .external_lex_state = 4},
  [697] = {.lex_state = 5, .external_lex_state = 4},
  [698] = {.lex_state = 0, .external_lex_state = 4},
  [699] = {.lex_state = 0, .external_lex_state = 4},
  [700] = {.lex_state = 0, .external_lex_state = 4},
  [701] = {.lex_state = 95, .external_lex_state = 4},
  [702] = {.lex_state = 5, .external_lex_state = 4},
  [703] = {.lex_state = 0, .external_lex_state = 4},
  [704] = {.lex_state = 0, .external_lex_state = 4},
  [705] = {.lex_state = 0, .external_lex_state = 4},
  [706] = {.lex_state = 0, .external_lex_state = 4},
  [707] = {.lex_state = 0, .external_lex_state = 4},
  [708] = {.lex_state = 0, .external_lex_state = 4},
  [709] = {.lex_state = 0, .external_lex_state = 4},
  [710] = {.lex_state = 0, .external_lex_state = 4},
  [711] = {.lex_state = 0, .external_lex_state = 11},
  [712] = {.lex_state = 0, .external_lex_state = 4},
  [713] = {.lex_state = 0, .external_lex_state = 4},
  [714] = {.lex_state = 0, .external_lex_state = 4},
  [715] = {.lex_state = 0, .external_lex_state = 4},
  [716] = {.lex_state = 0, .external_lex_state = 4},
  [717] = {.lex_state = 0, .external_lex_state = 4},
  [718] = {.lex_state = 0, .external_lex_state = 4},
  [719] = {.lex_state = 0, .external_lex_state = 4},
  [720] = {.lex_state = 0, .external_lex_state = 4},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [anon_sym_LT_BANG] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [sym__doctype] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_SLASH_GT] = ACTIONS(1),
    [anon_sym_LT_SLASH] = ACTIONS(1),
    [sym_entity] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_prefetch] = ACTIONS(1),
    [anon_sym_when] = ACTIONS(1),
    [anon_sym_on] = ACTIONS(1),
    [anon_sym_after] = ACTIONS(1),
    [anon_sym_minimum] = ACTIONS(1),
    [anon_sym_ms] = ACTIONS(1),
    [anon_sym_s] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_track] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_plural] = ACTIONS(1),
    [anon_sym_select] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_context] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LBRACK_LPAREN] = ACTIONS(1),
    [anon_sym_LBRACK_AT] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [sym__escape_sequence] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_QMARK_DOT] = ACTIONS(1),
    [anon_sym_BANG_DOT] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [sym__start_tag_name] = ACTIONS(1),
    [sym__script_start_tag_name] = ACTIONS(1),
    [sym__style_start_tag_name] = ACTIONS(1),
    [sym__end_tag_name] = ACTIONS(1),
    [sym_erroneous_end_tag_name] = ACTIONS(1),
    [sym__implicit_end_tag] = ACTIONS(1),
    [sym_raw_text] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym__interpolation_start] = ACTIONS(1),
    [sym__interpolation_end] = ACTIONS(1),
    [sym_if_start] = ACTIONS(1),
    [sym_else_start] = ACTIONS(1),
    [sym_for_start] = ACTIONS(1),
    [sym_switch_start] = ACTIONS(1),
    [sym_case_start] = ACTIONS(1),
    [sym_default_start] = ACTIONS(1),
    [sym_defer_start] = ACTIONS(1),
    [sym_let_start] = ACTIONS(1),
    [sym_empty_start] = ACTIONS(1),
    [sym_placeholder_start] = ACTIONS(1),
    [sym_loading_start] = ACTIONS(1),
    [sym_error_start] = ACTIONS(1),
    [sym_else_if_start] = ACTIONS(1),
    [sym_at_sign] = ACTIONS(1),
  },
  [1] = {
    [sym_document] = STATE(716),
    [sym_doctype] = STATE(187),
    [sym__node] = STATE(187),
    [sym_element] = STATE(187),
    [sym_script_element] = STATE(187),
    [sym_style_element] = STATE(187),
    [sym_start_tag] = STATE(2),
    [sym_script_start_tag] = STATE(497),
    [sym_style_start_tag] = STATE(506),
    [sym_self_closing_tag] = STATE(157),
    [sym_erroneous_end_tag] = STATE(187),
    [sym__any_statement] = STATE(148),
    [sym__alternative_statement] = STATE(176),
    [sym_let_statement] = STATE(148),
    [sym_switch_statement] = STATE(148),
    [sym_defer_statement] = STATE(148),
    [sym_placeholder_statement] = STATE(180),
    [sym_loading_statement] = STATE(188),
    [sym_error_statement] = STATE(147),
    [sym_for_statement] = STATE(148),
    [sym_empty_statement] = STATE(149),
    [sym_if_statement] = STATE(148),
    [sym_else_if_statement] = STATE(158),
    [sym_else_statement] = STATE(173),
    [sym_icu_expression] = STATE(187),
    [sym_interpolation] = STATE(187),
    [aux_sym_document_repeat1] = STATE(13),
    [ts_builtin_sym_end] = ACTIONS(5),
    [anon_sym_LT_BANG] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(9),
    [anon_sym_LT_SLASH] = ACTIONS(11),
    [sym_entity] = ACTIONS(13),
    [sym_text] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [sym_comment] = ACTIONS(3),
    [sym__interpolation_start] = ACTIONS(17),
    [sym_if_start] = ACTIONS(19),
    [sym_else_start] = ACTIONS(21),
    [sym_for_start] = ACTIONS(23),
    [sym_switch_start] = ACTIONS(25),
    [sym_defer_start] = ACTIONS(27),
    [sym_let_start] = ACTIONS(29),
    [sym_empty_start] = ACTIONS(31),
    [sym_placeholder_start] = ACTIONS(33),
    [sym_loading_start] = ACTIONS(35),
    [sym_error_start] = ACTIONS(37),
    [sym_else_if_start] = ACTIONS(39),
    [sym_at_sign] = ACTIONS(13),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LT_BANG,
    ACTIONS(43), 1,
      anon_sym_LT,
    ACTIONS(45), 1,
      anon_sym_LT_SLASH,
    ACTIONS(49), 1,
      anon_sym_LBRACE,
    ACTIONS(51), 1,
      sym__implicit_end_tag,
    ACTIONS(53), 1,
      sym__interpolation_start,
    ACTIONS(55), 1,
      sym_if_start,
    ACTIONS(57), 1,
      sym_else_start,
    ACTIONS(59), 1,
      sym_for_start,
    ACTIONS(61), 1,
      sym_switch_start,
    ACTIONS(63), 1,
      sym_defer_start,
    ACTIONS(65), 1,
      sym_let_start,
    ACTIONS(67), 1,
      sym_empty_start,
    ACTIONS(69), 1,
      sym_placeholder_start,
    ACTIONS(71), 1,
      sym_loading_start,
    ACTIONS(73), 1,
      sym_error_start,
    ACTIONS(75), 1,
      sym_else_if_start,
    STATE(3), 1,
      aux_sym_document_repeat1,
    STATE(5), 1,
      sym_start_tag,
    STATE(179), 1,
      sym_end_tag,
    STATE(191), 1,
      sym_empty_statement,
    STATE(192), 1,
      sym_else_if_statement,
    STATE(193), 1,
      sym_else_statement,
    STATE(235), 1,
      sym_self_closing_tag,
    STATE(238), 1,
      sym__alternative_statement,
    STATE(239), 1,
      sym_loading_statement,
    STATE(240), 1,
      sym_placeholder_statement,
    STATE(241), 1,
      sym_error_statement,
    STATE(495), 1,
      sym_script_start_tag,
    STATE(496), 1,
      sym_style_start_tag,
    ACTIONS(47), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(237), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(233), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [117] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LT_BANG,
    ACTIONS(43), 1,
      anon_sym_LT,
    ACTIONS(45), 1,
      anon_sym_LT_SLASH,
    ACTIONS(49), 1,
      anon_sym_LBRACE,
    ACTIONS(53), 1,
      sym__interpolation_start,
    ACTIONS(55), 1,
      sym_if_start,
    ACTIONS(57), 1,
      sym_else_start,
    ACTIONS(59), 1,
      sym_for_start,
    ACTIONS(61), 1,
      sym_switch_start,
    ACTIONS(63), 1,
      sym_defer_start,
    ACTIONS(65), 1,
      sym_let_start,
    ACTIONS(67), 1,
      sym_empty_start,
    ACTIONS(69), 1,
      sym_placeholder_start,
    ACTIONS(71), 1,
      sym_loading_start,
    ACTIONS(73), 1,
      sym_error_start,
    ACTIONS(75), 1,
      sym_else_if_start,
    ACTIONS(77), 1,
      sym__implicit_end_tag,
    STATE(5), 1,
      sym_start_tag,
    STATE(12), 1,
      aux_sym_document_repeat1,
    STATE(178), 1,
      sym_end_tag,
    STATE(191), 1,
      sym_empty_statement,
    STATE(192), 1,
      sym_else_if_statement,
    STATE(193), 1,
      sym_else_statement,
    STATE(235), 1,
      sym_self_closing_tag,
    STATE(238), 1,
      sym__alternative_statement,
    STATE(239), 1,
      sym_loading_statement,
    STATE(240), 1,
      sym_placeholder_statement,
    STATE(241), 1,
      sym_error_statement,
    STATE(495), 1,
      sym_script_start_tag,
    STATE(496), 1,
      sym_style_start_tag,
    ACTIONS(47), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(237), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(233), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [234] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_LT_BANG,
    ACTIONS(84), 1,
      anon_sym_LT,
    ACTIONS(87), 1,
      anon_sym_LT_SLASH,
    ACTIONS(93), 1,
      anon_sym_LBRACE,
    ACTIONS(96), 1,
      sym__interpolation_start,
    ACTIONS(99), 1,
      sym_if_start,
    ACTIONS(102), 1,
      sym_else_start,
    ACTIONS(105), 1,
      sym_for_start,
    ACTIONS(108), 1,
      sym_switch_start,
    ACTIONS(111), 1,
      sym_defer_start,
    ACTIONS(114), 1,
      sym_let_start,
    ACTIONS(117), 1,
      sym_empty_start,
    ACTIONS(120), 1,
      sym_placeholder_start,
    ACTIONS(123), 1,
      sym_loading_start,
    ACTIONS(126), 1,
      sym_error_start,
    ACTIONS(129), 1,
      sym_else_if_start,
    STATE(2), 1,
      sym_start_tag,
    STATE(4), 1,
      aux_sym_document_repeat1,
    STATE(147), 1,
      sym_error_statement,
    STATE(149), 1,
      sym_empty_statement,
    STATE(157), 1,
      sym_self_closing_tag,
    STATE(158), 1,
      sym_else_if_statement,
    STATE(173), 1,
      sym_else_statement,
    STATE(176), 1,
      sym__alternative_statement,
    STATE(180), 1,
      sym_placeholder_statement,
    STATE(188), 1,
      sym_loading_statement,
    STATE(497), 1,
      sym_script_start_tag,
    STATE(506), 1,
      sym_style_start_tag,
    ACTIONS(79), 2,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
    ACTIONS(90), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(148), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(187), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [349] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LT_BANG,
    ACTIONS(43), 1,
      anon_sym_LT,
    ACTIONS(49), 1,
      anon_sym_LBRACE,
    ACTIONS(53), 1,
      sym__interpolation_start,
    ACTIONS(55), 1,
      sym_if_start,
    ACTIONS(57), 1,
      sym_else_start,
    ACTIONS(59), 1,
      sym_for_start,
    ACTIONS(61), 1,
      sym_switch_start,
    ACTIONS(63), 1,
      sym_defer_start,
    ACTIONS(65), 1,
      sym_let_start,
    ACTIONS(67), 1,
      sym_empty_start,
    ACTIONS(69), 1,
      sym_placeholder_start,
    ACTIONS(71), 1,
      sym_loading_start,
    ACTIONS(73), 1,
      sym_error_start,
    ACTIONS(75), 1,
      sym_else_if_start,
    ACTIONS(132), 1,
      anon_sym_LT_SLASH,
    ACTIONS(134), 1,
      sym__implicit_end_tag,
    STATE(5), 1,
      sym_start_tag,
    STATE(6), 1,
      aux_sym_document_repeat1,
    STATE(191), 1,
      sym_empty_statement,
    STATE(192), 1,
      sym_else_if_statement,
    STATE(193), 1,
      sym_else_statement,
    STATE(200), 1,
      sym_end_tag,
    STATE(235), 1,
      sym_self_closing_tag,
    STATE(238), 1,
      sym__alternative_statement,
    STATE(239), 1,
      sym_loading_statement,
    STATE(240), 1,
      sym_placeholder_statement,
    STATE(241), 1,
      sym_error_statement,
    STATE(495), 1,
      sym_script_start_tag,
    STATE(496), 1,
      sym_style_start_tag,
    ACTIONS(47), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(237), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(233), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [466] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LT_BANG,
    ACTIONS(43), 1,
      anon_sym_LT,
    ACTIONS(49), 1,
      anon_sym_LBRACE,
    ACTIONS(53), 1,
      sym__interpolation_start,
    ACTIONS(55), 1,
      sym_if_start,
    ACTIONS(57), 1,
      sym_else_start,
    ACTIONS(59), 1,
      sym_for_start,
    ACTIONS(61), 1,
      sym_switch_start,
    ACTIONS(63), 1,
      sym_defer_start,
    ACTIONS(65), 1,
      sym_let_start,
    ACTIONS(67), 1,
      sym_empty_start,
    ACTIONS(69), 1,
      sym_placeholder_start,
    ACTIONS(71), 1,
      sym_loading_start,
    ACTIONS(73), 1,
      sym_error_start,
    ACTIONS(75), 1,
      sym_else_if_start,
    ACTIONS(132), 1,
      anon_sym_LT_SLASH,
    ACTIONS(136), 1,
      sym__implicit_end_tag,
    STATE(5), 1,
      sym_start_tag,
    STATE(12), 1,
      aux_sym_document_repeat1,
    STATE(191), 1,
      sym_empty_statement,
    STATE(192), 1,
      sym_else_if_statement,
    STATE(193), 1,
      sym_else_statement,
    STATE(211), 1,
      sym_end_tag,
    STATE(235), 1,
      sym_self_closing_tag,
    STATE(238), 1,
      sym__alternative_statement,
    STATE(239), 1,
      sym_loading_statement,
    STATE(240), 1,
      sym_placeholder_statement,
    STATE(241), 1,
      sym_error_statement,
    STATE(495), 1,
      sym_script_start_tag,
    STATE(496), 1,
      sym_style_start_tag,
    ACTIONS(47), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(237), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(233), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [583] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(138), 1,
      anon_sym_RBRACE,
    STATE(2), 1,
      sym_start_tag,
    STATE(4), 1,
      aux_sym_document_repeat1,
    STATE(147), 1,
      sym_error_statement,
    STATE(149), 1,
      sym_empty_statement,
    STATE(157), 1,
      sym_self_closing_tag,
    STATE(158), 1,
      sym_else_if_statement,
    STATE(173), 1,
      sym_else_statement,
    STATE(176), 1,
      sym__alternative_statement,
    STATE(180), 1,
      sym_placeholder_statement,
    STATE(188), 1,
      sym_loading_statement,
    STATE(497), 1,
      sym_script_start_tag,
    STATE(506), 1,
      sym_style_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(148), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(187), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [697] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(140), 1,
      anon_sym_RBRACE,
    STATE(2), 1,
      sym_start_tag,
    STATE(7), 1,
      aux_sym_document_repeat1,
    STATE(147), 1,
      sym_error_statement,
    STATE(149), 1,
      sym_empty_statement,
    STATE(157), 1,
      sym_self_closing_tag,
    STATE(158), 1,
      sym_else_if_statement,
    STATE(173), 1,
      sym_else_statement,
    STATE(176), 1,
      sym__alternative_statement,
    STATE(180), 1,
      sym_placeholder_statement,
    STATE(188), 1,
      sym_loading_statement,
    STATE(497), 1,
      sym_script_start_tag,
    STATE(506), 1,
      sym_style_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(148), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(187), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [811] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(142), 1,
      anon_sym_RBRACE,
    STATE(2), 1,
      sym_start_tag,
    STATE(14), 1,
      aux_sym_document_repeat1,
    STATE(147), 1,
      sym_error_statement,
    STATE(149), 1,
      sym_empty_statement,
    STATE(157), 1,
      sym_self_closing_tag,
    STATE(158), 1,
      sym_else_if_statement,
    STATE(173), 1,
      sym_else_statement,
    STATE(176), 1,
      sym__alternative_statement,
    STATE(180), 1,
      sym_placeholder_statement,
    STATE(188), 1,
      sym_loading_statement,
    STATE(497), 1,
      sym_script_start_tag,
    STATE(506), 1,
      sym_style_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(148), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(187), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [925] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(144), 1,
      anon_sym_RBRACE,
    STATE(2), 1,
      sym_start_tag,
    STATE(4), 1,
      aux_sym_document_repeat1,
    STATE(147), 1,
      sym_error_statement,
    STATE(149), 1,
      sym_empty_statement,
    STATE(157), 1,
      sym_self_closing_tag,
    STATE(158), 1,
      sym_else_if_statement,
    STATE(173), 1,
      sym_else_statement,
    STATE(176), 1,
      sym__alternative_statement,
    STATE(180), 1,
      sym_placeholder_statement,
    STATE(188), 1,
      sym_loading_statement,
    STATE(497), 1,
      sym_script_start_tag,
    STATE(506), 1,
      sym_style_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(148), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(187), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [1039] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(146), 1,
      anon_sym_RBRACE,
    STATE(2), 1,
      sym_start_tag,
    STATE(15), 1,
      aux_sym_document_repeat1,
    STATE(147), 1,
      sym_error_statement,
    STATE(149), 1,
      sym_empty_statement,
    STATE(157), 1,
      sym_self_closing_tag,
    STATE(158), 1,
      sym_else_if_statement,
    STATE(173), 1,
      sym_else_statement,
    STATE(176), 1,
      sym__alternative_statement,
    STATE(180), 1,
      sym_placeholder_statement,
    STATE(188), 1,
      sym_loading_statement,
    STATE(497), 1,
      sym_script_start_tag,
    STATE(506), 1,
      sym_style_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(148), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(187), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [1153] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      sym__implicit_end_tag,
    ACTIONS(148), 1,
      anon_sym_LT_BANG,
    ACTIONS(151), 1,
      anon_sym_LT,
    ACTIONS(154), 1,
      anon_sym_LT_SLASH,
    ACTIONS(160), 1,
      anon_sym_LBRACE,
    ACTIONS(163), 1,
      sym__interpolation_start,
    ACTIONS(166), 1,
      sym_if_start,
    ACTIONS(169), 1,
      sym_else_start,
    ACTIONS(172), 1,
      sym_for_start,
    ACTIONS(175), 1,
      sym_switch_start,
    ACTIONS(178), 1,
      sym_defer_start,
    ACTIONS(181), 1,
      sym_let_start,
    ACTIONS(184), 1,
      sym_empty_start,
    ACTIONS(187), 1,
      sym_placeholder_start,
    ACTIONS(190), 1,
      sym_loading_start,
    ACTIONS(193), 1,
      sym_error_start,
    ACTIONS(196), 1,
      sym_else_if_start,
    STATE(5), 1,
      sym_start_tag,
    STATE(12), 1,
      aux_sym_document_repeat1,
    STATE(191), 1,
      sym_empty_statement,
    STATE(192), 1,
      sym_else_if_statement,
    STATE(193), 1,
      sym_else_statement,
    STATE(235), 1,
      sym_self_closing_tag,
    STATE(238), 1,
      sym__alternative_statement,
    STATE(239), 1,
      sym_loading_statement,
    STATE(240), 1,
      sym_placeholder_statement,
    STATE(241), 1,
      sym_error_statement,
    STATE(495), 1,
      sym_script_start_tag,
    STATE(496), 1,
      sym_style_start_tag,
    ACTIONS(157), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(237), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(233), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [1267] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(199), 1,
      ts_builtin_sym_end,
    STATE(2), 1,
      sym_start_tag,
    STATE(4), 1,
      aux_sym_document_repeat1,
    STATE(147), 1,
      sym_error_statement,
    STATE(149), 1,
      sym_empty_statement,
    STATE(157), 1,
      sym_self_closing_tag,
    STATE(158), 1,
      sym_else_if_statement,
    STATE(173), 1,
      sym_else_statement,
    STATE(176), 1,
      sym__alternative_statement,
    STATE(180), 1,
      sym_placeholder_statement,
    STATE(188), 1,
      sym_loading_statement,
    STATE(497), 1,
      sym_script_start_tag,
    STATE(506), 1,
      sym_style_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(148), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(187), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [1381] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(201), 1,
      anon_sym_RBRACE,
    STATE(2), 1,
      sym_start_tag,
    STATE(4), 1,
      aux_sym_document_repeat1,
    STATE(147), 1,
      sym_error_statement,
    STATE(149), 1,
      sym_empty_statement,
    STATE(157), 1,
      sym_self_closing_tag,
    STATE(158), 1,
      sym_else_if_statement,
    STATE(173), 1,
      sym_else_statement,
    STATE(176), 1,
      sym__alternative_statement,
    STATE(180), 1,
      sym_placeholder_statement,
    STATE(188), 1,
      sym_loading_statement,
    STATE(497), 1,
      sym_script_start_tag,
    STATE(506), 1,
      sym_style_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(148), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(187), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [1495] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(203), 1,
      anon_sym_RBRACE,
    STATE(2), 1,
      sym_start_tag,
    STATE(4), 1,
      aux_sym_document_repeat1,
    STATE(147), 1,
      sym_error_statement,
    STATE(149), 1,
      sym_empty_statement,
    STATE(157), 1,
      sym_self_closing_tag,
    STATE(158), 1,
      sym_else_if_statement,
    STATE(173), 1,
      sym_else_statement,
    STATE(176), 1,
      sym__alternative_statement,
    STATE(180), 1,
      sym_placeholder_statement,
    STATE(188), 1,
      sym_loading_statement,
    STATE(497), 1,
      sym_script_start_tag,
    STATE(506), 1,
      sym_style_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(148), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(187), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [1609] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    STATE(2), 1,
      sym_start_tag,
    STATE(10), 1,
      aux_sym_document_repeat1,
    STATE(147), 1,
      sym_error_statement,
    STATE(149), 1,
      sym_empty_statement,
    STATE(157), 1,
      sym_self_closing_tag,
    STATE(158), 1,
      sym_else_if_statement,
    STATE(173), 1,
      sym_else_statement,
    STATE(176), 1,
      sym__alternative_statement,
    STATE(180), 1,
      sym_placeholder_statement,
    STATE(188), 1,
      sym_loading_statement,
    STATE(497), 1,
      sym_script_start_tag,
    STATE(506), 1,
      sym_style_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(148), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(187), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [1720] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [1760] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(217), 1,
      anon_sym_PIPE,
    STATE(91), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(127), 1,
      sym_pipe_sequence,
    ACTIONS(219), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(211), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(213), 18,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [1808] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(223), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [1848] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(225), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 21,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RPAREN_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [1888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(227), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(229), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [1925] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(233), 1,
      anon_sym_LT,
    STATE(42), 1,
      aux_sym_if_statement_repeat1,
    STATE(147), 1,
      sym_error_statement,
    STATE(149), 1,
      sym_empty_statement,
    STATE(158), 1,
      sym_else_if_statement,
    STATE(173), 1,
      sym_else_statement,
    STATE(180), 1,
      sym_placeholder_statement,
    STATE(186), 1,
      sym__alternative_statement,
    STATE(188), 1,
      sym_loading_statement,
    ACTIONS(231), 14,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [1990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(235), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(237), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2027] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(241), 1,
      anon_sym_LT,
    STATE(22), 1,
      aux_sym_if_statement_repeat1,
    STATE(147), 1,
      sym_error_statement,
    STATE(149), 1,
      sym_empty_statement,
    STATE(158), 1,
      sym_else_if_statement,
    STATE(173), 1,
      sym_else_statement,
    STATE(180), 1,
      sym_placeholder_statement,
    STATE(186), 1,
      sym__alternative_statement,
    STATE(188), 1,
      sym_loading_statement,
    ACTIONS(239), 14,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [2092] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(245), 1,
      anon_sym_LT,
    STATE(42), 1,
      aux_sym_if_statement_repeat1,
    STATE(147), 1,
      sym_error_statement,
    STATE(149), 1,
      sym_empty_statement,
    STATE(158), 1,
      sym_else_if_statement,
    STATE(173), 1,
      sym_else_statement,
    STATE(180), 1,
      sym_placeholder_statement,
    STATE(186), 1,
      sym__alternative_statement,
    STATE(188), 1,
      sym_loading_statement,
    ACTIONS(243), 14,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [2157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(247), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(249), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(251), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(253), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(255), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(257), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(259), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(261), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(263), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(265), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2342] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(219), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(267), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(269), 19,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2383] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(273), 1,
      anon_sym_LT,
    STATE(25), 1,
      aux_sym_if_statement_repeat1,
    STATE(147), 1,
      sym_error_statement,
    STATE(149), 1,
      sym_empty_statement,
    STATE(158), 1,
      sym_else_if_statement,
    STATE(173), 1,
      sym_else_statement,
    STATE(180), 1,
      sym_placeholder_statement,
    STATE(186), 1,
      sym__alternative_statement,
    STATE(188), 1,
      sym_loading_statement,
    ACTIONS(271), 14,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [2448] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(225), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(223), 20,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(227), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(229), 21,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RPAREN_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2524] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_PIPE,
    ACTIONS(277), 1,
      anon_sym_LBRACK,
    STATE(91), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(127), 1,
      sym_pipe_sequence,
    ACTIONS(279), 2,
      anon_sym_QMARK,
      sym_identifier,
    ACTIONS(281), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(283), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(211), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(275), 5,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
    ACTIONS(213), 8,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(287), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(247), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(249), 21,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RPAREN_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(259), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(261), 21,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RPAREN_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2688] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(277), 1,
      anon_sym_LBRACK,
    ACTIONS(289), 1,
      anon_sym_PIPE,
    STATE(110), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(137), 1,
      sym_pipe_sequence,
    ACTIONS(283), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(211), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(213), 15,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2735] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(277), 1,
      anon_sym_LBRACK,
    ACTIONS(289), 1,
      anon_sym_PIPE,
    STATE(110), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(137), 1,
      sym_pipe_sequence,
    ACTIONS(281), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(283), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(211), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(213), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(293), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2821] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LT,
    ACTIONS(299), 1,
      sym_else_start,
    ACTIONS(302), 1,
      sym_empty_start,
    ACTIONS(305), 1,
      sym_placeholder_start,
    ACTIONS(308), 1,
      sym_loading_start,
    ACTIONS(311), 1,
      sym_error_start,
    ACTIONS(314), 1,
      sym_else_if_start,
    STATE(42), 1,
      aux_sym_if_statement_repeat1,
    STATE(147), 1,
      sym_error_statement,
    STATE(149), 1,
      sym_empty_statement,
    STATE(158), 1,
      sym_else_if_statement,
    STATE(173), 1,
      sym_else_statement,
    STATE(180), 1,
      sym_placeholder_statement,
    STATE(186), 1,
      sym__alternative_statement,
    STATE(188), 1,
      sym_loading_statement,
    ACTIONS(295), 14,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [2886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(317), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(319), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(321), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(323), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2960] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_else_start,
    ACTIONS(67), 1,
      sym_empty_start,
    ACTIONS(69), 1,
      sym_placeholder_start,
    ACTIONS(71), 1,
      sym_loading_start,
    ACTIONS(73), 1,
      sym_error_start,
    ACTIONS(75), 1,
      sym_else_if_start,
    ACTIONS(233), 1,
      anon_sym_LT,
    STATE(57), 1,
      aux_sym_if_statement_repeat1,
    STATE(191), 1,
      sym_empty_statement,
    STATE(192), 1,
      sym_else_if_statement,
    STATE(193), 1,
      sym_else_statement,
    STATE(225), 1,
      sym__alternative_statement,
    STATE(239), 1,
      sym_loading_statement,
    STATE(240), 1,
      sym_placeholder_statement,
    STATE(241), 1,
      sym_error_statement,
    ACTIONS(231), 13,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [3024] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_else_start,
    ACTIONS(67), 1,
      sym_empty_start,
    ACTIONS(69), 1,
      sym_placeholder_start,
    ACTIONS(71), 1,
      sym_loading_start,
    ACTIONS(73), 1,
      sym_error_start,
    ACTIONS(75), 1,
      sym_else_if_start,
    ACTIONS(245), 1,
      anon_sym_LT,
    STATE(57), 1,
      aux_sym_if_statement_repeat1,
    STATE(191), 1,
      sym_empty_statement,
    STATE(192), 1,
      sym_else_if_statement,
    STATE(193), 1,
      sym_else_statement,
    STATE(225), 1,
      sym__alternative_statement,
    STATE(239), 1,
      sym_loading_statement,
    STATE(240), 1,
      sym_placeholder_statement,
    STATE(241), 1,
      sym_error_statement,
    ACTIONS(243), 13,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [3088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(287), 20,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(293), 20,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(317), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(319), 20,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(321), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(323), 20,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(235), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(237), 20,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3268] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(217), 1,
      anon_sym_PIPE,
    ACTIONS(279), 1,
      anon_sym_QMARK,
    STATE(91), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(127), 1,
      sym_pipe_sequence,
    ACTIONS(325), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(219), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(211), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(275), 5,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
    ACTIONS(213), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3320] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(335), 1,
      anon_sym_let,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      anon_sym_BANG,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(343), 1,
      sym_number,
    STATE(183), 1,
      sym_expression,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(376), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(604), 2,
      sym_structural_expression,
      sym_structural_declaration,
    STATE(360), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(70), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [3384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(251), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(253), 20,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(255), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(257), 20,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(263), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(265), 20,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3492] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_LT,
    ACTIONS(345), 1,
      sym_else_start,
    ACTIONS(348), 1,
      sym_empty_start,
    ACTIONS(351), 1,
      sym_placeholder_start,
    ACTIONS(354), 1,
      sym_loading_start,
    ACTIONS(357), 1,
      sym_error_start,
    ACTIONS(360), 1,
      sym_else_if_start,
    STATE(57), 1,
      aux_sym_if_statement_repeat1,
    STATE(191), 1,
      sym_empty_statement,
    STATE(192), 1,
      sym_else_if_statement,
    STATE(193), 1,
      sym_else_statement,
    STATE(225), 1,
      sym__alternative_statement,
    STATE(239), 1,
      sym_loading_statement,
    STATE(240), 1,
      sym_placeholder_statement,
    STATE(241), 1,
      sym_error_statement,
    ACTIONS(295), 13,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [3556] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(277), 1,
      anon_sym_LBRACK,
    ACTIONS(283), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(267), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(269), 16,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3596] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_else_start,
    ACTIONS(67), 1,
      sym_empty_start,
    ACTIONS(69), 1,
      sym_placeholder_start,
    ACTIONS(71), 1,
      sym_loading_start,
    ACTIONS(73), 1,
      sym_error_start,
    ACTIONS(75), 1,
      sym_else_if_start,
    ACTIONS(241), 1,
      anon_sym_LT,
    STATE(45), 1,
      aux_sym_if_statement_repeat1,
    STATE(191), 1,
      sym_empty_statement,
    STATE(192), 1,
      sym_else_if_statement,
    STATE(193), 1,
      sym_else_statement,
    STATE(225), 1,
      sym__alternative_statement,
    STATE(239), 1,
      sym_loading_statement,
    STATE(240), 1,
      sym_placeholder_statement,
    STATE(241), 1,
      sym_error_statement,
    ACTIONS(239), 13,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [3660] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(217), 1,
      anon_sym_PIPE,
    STATE(91), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(127), 1,
      sym_pipe_sequence,
    ACTIONS(325), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(219), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(211), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(213), 14,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3708] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_COLON,
    STATE(122), 1,
      sym_pipe_arguments,
    STATE(65), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(363), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(365), 18,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3750] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_else_start,
    ACTIONS(67), 1,
      sym_empty_start,
    ACTIONS(69), 1,
      sym_placeholder_start,
    ACTIONS(71), 1,
      sym_loading_start,
    ACTIONS(73), 1,
      sym_error_start,
    ACTIONS(75), 1,
      sym_else_if_start,
    ACTIONS(273), 1,
      anon_sym_LT,
    STATE(46), 1,
      aux_sym_if_statement_repeat1,
    STATE(191), 1,
      sym_empty_statement,
    STATE(192), 1,
      sym_else_if_statement,
    STATE(193), 1,
      sym_else_statement,
    STATE(225), 1,
      sym__alternative_statement,
    STATE(239), 1,
      sym_loading_statement,
    STATE(240), 1,
      sym_placeholder_statement,
    STATE(241), 1,
      sym_error_statement,
    ACTIONS(271), 13,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [3814] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(335), 1,
      anon_sym_let,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      anon_sym_BANG,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(343), 1,
      sym_number,
    STATE(183), 1,
      sym_expression,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(376), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(576), 2,
      sym_structural_expression,
      sym_structural_declaration,
    STATE(360), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(70), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [3878] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(369), 1,
      anon_sym_COLON,
    STATE(135), 1,
      sym_pipe_arguments,
    STATE(75), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(363), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(365), 15,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3919] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_COLON,
    STATE(67), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(371), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(373), 18,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3958] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(377), 1,
      anon_sym_QMARK,
    ACTIONS(221), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(375), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
    ACTIONS(223), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3997] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(383), 1,
      anon_sym_COLON,
    STATE(67), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(379), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(381), 18,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4036] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(377), 2,
      anon_sym_QMARK,
      sym_identifier,
    ACTIONS(375), 5,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
    ACTIONS(221), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(223), 14,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4075] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(217), 1,
      anon_sym_PIPE,
    ACTIONS(279), 1,
      anon_sym_QMARK,
    STATE(91), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(127), 1,
      sym_pipe_sequence,
    ACTIONS(386), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(219), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(211), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(275), 4,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
    ACTIONS(213), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4126] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(217), 1,
      anon_sym_PIPE,
    STATE(91), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(127), 1,
      sym_pipe_sequence,
    ACTIONS(386), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(219), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(211), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(213), 13,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4173] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(388), 1,
      anon_sym_SQUOTE,
    ACTIONS(390), 1,
      anon_sym_DQUOTE,
    ACTIONS(392), 1,
      anon_sym_LBRACE,
    ACTIONS(394), 1,
      anon_sym_LPAREN,
    ACTIONS(396), 1,
      anon_sym_LBRACK,
    ACTIONS(398), 1,
      anon_sym_BANG,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(402), 1,
      sym_number,
    STATE(249), 1,
      sym_expression,
    STATE(431), 1,
      sym__single_quote,
    STATE(439), 1,
      sym__double_quote,
    STATE(665), 1,
      sym_concatenation_expression,
    STATE(430), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(505), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(84), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [4233] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(404), 1,
      anon_sym_DQUOTE,
    ACTIONS(406), 1,
      anon_sym_BANG,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(410), 1,
      sym_number,
    STATE(144), 1,
      sym_expression,
    STATE(329), 1,
      sym__double_quote,
    STATE(410), 1,
      sym__single_quote,
    STATE(578), 1,
      sym_assignment_expression,
    STATE(370), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(472), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(60), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [4293] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_BANG,
    ACTIONS(410), 1,
      sym_number,
    STATE(144), 1,
      sym_expression,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(486), 1,
      sym_if_condition,
    STATE(370), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(452), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(60), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [4353] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_BANG,
    ACTIONS(412), 1,
      sym_number,
    STATE(144), 1,
      sym_expression,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(708), 1,
      sym_concatenation_expression,
    STATE(370), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(494), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(89), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [4413] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(369), 1,
      anon_sym_COLON,
    STATE(79), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(371), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(373), 15,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4451] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(406), 1,
      anon_sym_BANG,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(410), 1,
      sym_number,
    ACTIONS(414), 1,
      anon_sym_DQUOTE,
    STATE(144), 1,
      sym_expression,
    STATE(327), 1,
      sym__double_quote,
    STATE(410), 1,
      sym__single_quote,
    STATE(547), 1,
      sym_assignment_expression,
    STATE(370), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(457), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(60), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [4511] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(388), 1,
      anon_sym_SQUOTE,
    ACTIONS(390), 1,
      anon_sym_DQUOTE,
    ACTIONS(392), 1,
      anon_sym_LBRACE,
    ACTIONS(394), 1,
      anon_sym_LPAREN,
    ACTIONS(396), 1,
      anon_sym_LBRACK,
    ACTIONS(398), 1,
      anon_sym_BANG,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(402), 1,
      sym_number,
    STATE(249), 1,
      sym_expression,
    STATE(431), 1,
      sym__single_quote,
    STATE(439), 1,
      sym__double_quote,
    STATE(678), 1,
      sym_concatenation_expression,
    STATE(430), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(498), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(84), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [4571] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_BANG,
    ACTIONS(410), 1,
      sym_number,
    STATE(144), 1,
      sym_expression,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(507), 1,
      sym_if_condition,
    STATE(370), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(452), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(60), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [4631] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(416), 1,
      anon_sym_COLON,
    STATE(79), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(379), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(381), 15,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4669] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_BANG,
    ACTIONS(410), 1,
      sym_number,
    STATE(144), 1,
      sym_expression,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(529), 1,
      sym_if_condition,
    STATE(370), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(452), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(60), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [4729] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_BANG,
    ACTIONS(410), 1,
      sym_number,
    STATE(144), 1,
      sym_expression,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(530), 1,
      sym_if_condition,
    STATE(370), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(452), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(60), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [4789] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_BANG,
    ACTIONS(412), 1,
      sym_number,
    STATE(144), 1,
      sym_expression,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(718), 1,
      sym_concatenation_expression,
    STATE(370), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(543), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(89), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [4849] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      anon_sym_BANG,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(343), 1,
      sym_number,
    STATE(66), 1,
      sym_group,
    STATE(183), 1,
      sym_expression,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(376), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(412), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(70), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [4908] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(419), 1,
      anon_sym_PLUS,
    ACTIONS(421), 1,
      anon_sym_LBRACK,
    ACTIONS(425), 1,
      anon_sym_PIPE,
    STATE(231), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(263), 1,
      sym_pipe_sequence,
    ACTIONS(423), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(427), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(211), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(213), 10,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4955] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_BANG,
    ACTIONS(410), 1,
      sym_number,
    STATE(144), 1,
      sym_expression,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(370), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(455), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(60), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [5012] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LPAREN,
    ACTIONS(429), 1,
      anon_sym_EQ,
    ACTIONS(221), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(223), 17,
      anon_sym_DQUOTE,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5049] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_BANG,
    ACTIONS(410), 1,
      sym_number,
    STATE(144), 1,
      sym_expression,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(370), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(488), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(60), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [5106] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_BANG,
    ACTIONS(410), 1,
      sym_number,
    STATE(144), 1,
      sym_expression,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(370), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(489), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(60), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [5163] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(217), 1,
      anon_sym_PIPE,
    ACTIONS(431), 1,
      anon_sym_PLUS,
    STATE(91), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(127), 1,
      sym_pipe_sequence,
    ACTIONS(325), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(219), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(211), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(213), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5210] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(421), 1,
      anon_sym_LBRACK,
    ACTIONS(425), 1,
      anon_sym_PIPE,
    STATE(231), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(263), 1,
      sym_pipe_sequence,
    ACTIONS(427), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(211), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(213), 13,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5253] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_PIPE,
    STATE(92), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(433), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(435), 18,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5290] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_PIPE,
    STATE(92), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(437), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(439), 18,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5327] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_BANG,
    ACTIONS(410), 1,
      sym_number,
    STATE(66), 1,
      sym_group,
    STATE(144), 1,
      sym_expression,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(370), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(402), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(60), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [5386] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_BANG,
    ACTIONS(410), 1,
      sym_number,
    STATE(144), 1,
      sym_expression,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(370), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(467), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(60), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [5443] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_BANG,
    ACTIONS(410), 1,
      sym_number,
    STATE(144), 1,
      sym_expression,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(370), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(391), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(60), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [5500] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(421), 1,
      anon_sym_LBRACK,
    ACTIONS(425), 1,
      anon_sym_PIPE,
    STATE(231), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(263), 1,
      sym_pipe_sequence,
    ACTIONS(423), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(427), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(211), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(213), 11,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5545] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(444), 1,
      anon_sym_SQUOTE,
    ACTIONS(446), 1,
      anon_sym_DQUOTE,
    ACTIONS(448), 1,
      anon_sym_LBRACE,
    ACTIONS(450), 1,
      anon_sym_LPAREN,
    ACTIONS(452), 1,
      anon_sym_LBRACK,
    ACTIONS(454), 1,
      anon_sym_BANG,
    ACTIONS(456), 1,
      sym_identifier,
    ACTIONS(458), 1,
      sym_number,
    STATE(134), 1,
      sym_expression,
    STATE(416), 1,
      sym__single_quote,
    STATE(447), 1,
      sym__double_quote,
    STATE(352), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(380), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(40), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [5602] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(217), 1,
      anon_sym_PIPE,
    ACTIONS(460), 1,
      anon_sym_RPAREN,
    ACTIONS(462), 1,
      anon_sym_COMMA,
    STATE(91), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(127), 1,
      sym_pipe_sequence,
    STATE(514), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(219), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(211), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(213), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5651] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_PIPE,
    ACTIONS(279), 1,
      anon_sym_QMARK,
    ACTIONS(421), 1,
      anon_sym_LBRACK,
    STATE(91), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(127), 1,
      sym_pipe_sequence,
    ACTIONS(275), 2,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
    ACTIONS(423), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(427), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(211), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(213), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5700] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(464), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5735] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(444), 1,
      anon_sym_SQUOTE,
    ACTIONS(446), 1,
      anon_sym_DQUOTE,
    ACTIONS(448), 1,
      anon_sym_LBRACE,
    ACTIONS(450), 1,
      anon_sym_LPAREN,
    ACTIONS(452), 1,
      anon_sym_LBRACK,
    ACTIONS(454), 1,
      anon_sym_BANG,
    ACTIONS(456), 1,
      sym_identifier,
    ACTIONS(458), 1,
      sym_number,
    STATE(68), 1,
      sym_group,
    STATE(134), 1,
      sym_expression,
    STATE(416), 1,
      sym__single_quote,
    STATE(447), 1,
      sym__double_quote,
    STATE(352), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(390), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(40), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [5794] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_BANG,
    ACTIONS(410), 1,
      sym_number,
    STATE(144), 1,
      sym_expression,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(370), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(475), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(60), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [5851] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(388), 1,
      anon_sym_SQUOTE,
    ACTIONS(390), 1,
      anon_sym_DQUOTE,
    ACTIONS(392), 1,
      anon_sym_LBRACE,
    ACTIONS(394), 1,
      anon_sym_LPAREN,
    ACTIONS(396), 1,
      anon_sym_LBRACK,
    ACTIONS(398), 1,
      anon_sym_BANG,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(466), 1,
      sym_number,
    STATE(131), 1,
      sym_group,
    STATE(249), 1,
      sym_expression,
    STATE(431), 1,
      sym__single_quote,
    STATE(439), 1,
      sym__double_quote,
    STATE(430), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(538), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(96), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [5910] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_BANG,
    ACTIONS(410), 1,
      sym_number,
    STATE(144), 1,
      sym_expression,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(370), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(501), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(60), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [5967] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_BANG,
    ACTIONS(410), 1,
      sym_number,
    STATE(144), 1,
      sym_expression,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(370), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(512), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(60), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6024] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_BANG,
    ACTIONS(410), 1,
      sym_number,
    STATE(144), 1,
      sym_expression,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(370), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(520), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(60), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6081] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_BANG,
    ACTIONS(410), 1,
      sym_number,
    STATE(144), 1,
      sym_expression,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(370), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(519), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(60), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6138] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(464), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(223), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(287), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6205] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_PIPE,
    STATE(116), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(433), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(435), 15,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(437), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(439), 18,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(317), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(319), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(321), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(323), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(235), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(237), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(227), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(229), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6401] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(468), 1,
      anon_sym_PIPE,
    STATE(116), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(437), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(439), 15,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(247), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(249), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(293), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(251), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(253), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(255), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(257), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(259), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(261), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(471), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(473), 18,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(263), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(265), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6661] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(421), 1,
      anon_sym_LBRACK,
    ACTIONS(427), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(267), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(269), 14,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6697] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_BANG,
    ACTIONS(475), 1,
      anon_sym_RPAREN,
    ACTIONS(477), 1,
      sym_number,
    STATE(294), 1,
      sym_expression,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(654), 1,
      sym_arguments,
    STATE(493), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(98), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6754] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(479), 1,
      anon_sym_COLON,
    STATE(246), 1,
      sym_pipe_arguments,
    STATE(139), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(363), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(365), 13,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(481), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(483), 18,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6822] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(244), 1,
      sym__binary_op,
    ACTIONS(491), 2,
      anon_sym_QMARK,
      sym_identifier,
    ACTIONS(485), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(487), 7,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(489), 8,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6859] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_BANG,
    ACTIONS(477), 1,
      sym_number,
    ACTIONS(493), 1,
      anon_sym_RPAREN,
    STATE(294), 1,
      sym_expression,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(690), 1,
      sym_arguments,
    STATE(493), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(98), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6916] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_BANG,
    ACTIONS(477), 1,
      sym_number,
    ACTIONS(495), 1,
      anon_sym_RPAREN,
    STATE(294), 1,
      sym_expression,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(698), 1,
      sym_arguments,
    STATE(493), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(98), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6973] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(377), 1,
      anon_sym_QMARK,
    ACTIONS(375), 2,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
    ACTIONS(221), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(223), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [7008] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_BANG,
    ACTIONS(477), 1,
      sym_number,
    ACTIONS(497), 1,
      anon_sym_RPAREN,
    STATE(294), 1,
      sym_expression,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(634), 1,
      sym_arguments,
    STATE(493), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(98), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(437), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(439), 15,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [7096] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(244), 1,
      sym__binary_op,
    ACTIONS(501), 2,
      anon_sym_QMARK,
      sym_identifier,
    ACTIONS(485), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(499), 5,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
    ACTIONS(489), 10,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [7133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(471), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(473), 15,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [7164] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(388), 1,
      anon_sym_SQUOTE,
    ACTIONS(390), 1,
      anon_sym_DQUOTE,
    ACTIONS(392), 1,
      anon_sym_LBRACE,
    ACTIONS(394), 1,
      anon_sym_LPAREN,
    ACTIONS(396), 1,
      anon_sym_LBRACK,
    ACTIONS(398), 1,
      anon_sym_BANG,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(503), 1,
      sym_number,
    STATE(301), 1,
      sym_expression,
    STATE(431), 1,
      sym__single_quote,
    STATE(439), 1,
      sym__double_quote,
    STATE(491), 1,
      sym_conditional_expression,
    STATE(423), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(99), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(481), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(483), 15,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [7248] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_BANG,
    ACTIONS(505), 1,
      sym_number,
    STATE(306), 1,
      sym_expression,
    STATE(353), 1,
      sym_conditional_expression,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(365), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(52), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7302] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(479), 1,
      anon_sym_COLON,
    STATE(142), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(371), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(373), 13,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [7336] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      anon_sym_BANG,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(507), 1,
      sym_number,
    STATE(295), 1,
      sym_expression,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(435), 1,
      sym_conditional_expression,
    STATE(378), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(69), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7390] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(444), 1,
      anon_sym_SQUOTE,
    ACTIONS(446), 1,
      anon_sym_DQUOTE,
    ACTIONS(448), 1,
      anon_sym_LBRACE,
    ACTIONS(450), 1,
      anon_sym_LPAREN,
    ACTIONS(452), 1,
      anon_sym_LBRACK,
    ACTIONS(454), 1,
      anon_sym_BANG,
    ACTIONS(456), 1,
      sym_identifier,
    ACTIONS(509), 1,
      sym_number,
    STATE(304), 1,
      sym_expression,
    STATE(353), 1,
      sym_conditional_expression,
    STATE(416), 1,
      sym__single_quote,
    STATE(447), 1,
      sym__double_quote,
    STATE(345), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(35), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7444] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(511), 1,
      anon_sym_COLON,
    STATE(142), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(379), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(381), 13,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [7478] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(491), 1,
      anon_sym_QMARK,
    STATE(243), 1,
      sym__binary_op,
    ACTIONS(514), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(487), 7,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(516), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [7514] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      anon_sym_QMARK,
    STATE(243), 1,
      sym__binary_op,
    ACTIONS(514), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(499), 5,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
    ACTIONS(516), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [7550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(520), 1,
      anon_sym_LT,
    ACTIONS(518), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [7579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(524), 1,
      anon_sym_LT,
    ACTIONS(522), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [7608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(528), 1,
      anon_sym_LT,
    ACTIONS(526), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [7637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(532), 1,
      anon_sym_LT,
    ACTIONS(530), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [7666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(536), 1,
      anon_sym_LT,
    ACTIONS(534), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [7695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LT,
    ACTIONS(538), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [7724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(544), 1,
      anon_sym_LT,
    ACTIONS(542), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [7753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(548), 1,
      anon_sym_LT,
    ACTIONS(546), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [7782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(552), 1,
      anon_sym_LT,
    ACTIONS(550), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [7811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(556), 1,
      anon_sym_LT,
    ACTIONS(554), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [7840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(560), 1,
      anon_sym_LT,
    ACTIONS(558), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [7869] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(564), 1,
      anon_sym_LT,
    ACTIONS(562), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [7898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(568), 1,
      anon_sym_LT,
    ACTIONS(566), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [7927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(572), 1,
      anon_sym_LT,
    ACTIONS(570), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [7956] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(576), 1,
      anon_sym_LT,
    ACTIONS(574), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [7985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(580), 1,
      anon_sym_LT,
    ACTIONS(578), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [8014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(584), 1,
      anon_sym_LT,
    ACTIONS(582), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [8043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(588), 1,
      anon_sym_LT,
    ACTIONS(586), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [8072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(592), 1,
      anon_sym_LT,
    ACTIONS(590), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [8101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(596), 1,
      anon_sym_LT,
    ACTIONS(594), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [8130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(600), 1,
      anon_sym_LT,
    ACTIONS(598), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [8159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(604), 1,
      anon_sym_LT,
    ACTIONS(602), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [8188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(608), 1,
      anon_sym_LT,
    ACTIONS(606), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [8217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(612), 1,
      anon_sym_LT,
    ACTIONS(610), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [8246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(616), 1,
      anon_sym_LT,
    ACTIONS(614), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [8275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(620), 1,
      anon_sym_LT,
    ACTIONS(618), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [8304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(624), 1,
      anon_sym_LT,
    ACTIONS(622), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [8333] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(491), 1,
      anon_sym_QMARK,
    STATE(250), 1,
      sym__binary_op,
    ACTIONS(626), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(487), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(628), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [8368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(632), 1,
      anon_sym_LT,
    ACTIONS(630), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [8397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(636), 1,
      anon_sym_LT,
    ACTIONS(634), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [8426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(640), 1,
      anon_sym_LT,
    ACTIONS(638), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [8455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(644), 1,
      anon_sym_LT,
    ACTIONS(642), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [8484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(648), 1,
      anon_sym_LT,
    ACTIONS(646), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [8513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(624), 1,
      anon_sym_LT,
    ACTIONS(622), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [8542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(652), 1,
      anon_sym_LT,
    ACTIONS(650), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [8571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(656), 1,
      anon_sym_LT,
    ACTIONS(654), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [8600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(660), 1,
      anon_sym_LT,
    ACTIONS(658), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [8629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(664), 1,
      anon_sym_LT,
    ACTIONS(662), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [8658] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      anon_sym_QMARK,
    STATE(250), 1,
      sym__binary_op,
    ACTIONS(499), 4,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
    ACTIONS(626), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(628), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [8693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(668), 1,
      anon_sym_LT,
    ACTIONS(666), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [8722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(672), 1,
      anon_sym_LT,
    ACTIONS(670), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [8751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(676), 1,
      anon_sym_LT,
    ACTIONS(674), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [8780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(680), 1,
      anon_sym_LT,
    ACTIONS(678), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [8809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(684), 1,
      anon_sym_LT,
    ACTIONS(682), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [8838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(688), 1,
      anon_sym_LT,
    ACTIONS(686), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [8867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(604), 1,
      anon_sym_LT,
    ACTIONS(602), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [8895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(536), 1,
      anon_sym_LT,
    ACTIONS(534), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [8923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(572), 1,
      anon_sym_LT,
    ACTIONS(570), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [8951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(632), 1,
      anon_sym_LT,
    ACTIONS(630), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [8979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LT,
    ACTIONS(538), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [9007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(580), 1,
      anon_sym_LT,
    ACTIONS(578), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [9035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(524), 1,
      anon_sym_LT,
    ACTIONS(522), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [9063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(544), 1,
      anon_sym_LT,
    ACTIONS(542), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [9091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(552), 1,
      anon_sym_LT,
    ACTIONS(550), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [9119] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(556), 1,
      anon_sym_LT,
    ACTIONS(554), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [9147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(652), 1,
      anon_sym_LT,
    ACTIONS(650), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [9175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(660), 1,
      anon_sym_LT,
    ACTIONS(658), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [9203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(664), 1,
      anon_sym_LT,
    ACTIONS(662), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [9231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(548), 1,
      anon_sym_LT,
    ACTIONS(546), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [9259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(564), 1,
      anon_sym_LT,
    ACTIONS(562), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [9287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(596), 1,
      anon_sym_LT,
    ACTIONS(594), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [9315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(608), 1,
      anon_sym_LT,
    ACTIONS(606), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [9343] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(612), 1,
      anon_sym_LT,
    ACTIONS(610), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [9371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(616), 1,
      anon_sym_LT,
    ACTIONS(614), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [9399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(620), 1,
      anon_sym_LT,
    ACTIONS(618), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [9427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(624), 1,
      anon_sym_LT,
    ACTIONS(622), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [9455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(624), 1,
      anon_sym_LT,
    ACTIONS(622), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [9483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(520), 1,
      anon_sym_LT,
    ACTIONS(518), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [9511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(672), 1,
      anon_sym_LT,
    ACTIONS(670), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [9539] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(690), 1,
      anon_sym_PIPE,
    STATE(214), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(437), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(439), 13,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9571] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_BANG,
    ACTIONS(693), 1,
      sym_number,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(525), 2,
      sym_expression,
      sym_unary_expression,
    STATE(18), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [9619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(576), 1,
      anon_sym_LT,
    ACTIONS(574), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [9647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(584), 1,
      anon_sym_LT,
    ACTIONS(582), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [9675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(588), 1,
      anon_sym_LT,
    ACTIONS(586), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [9703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(592), 1,
      anon_sym_LT,
    ACTIONS(590), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [9731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(697), 1,
      anon_sym_LT,
    ACTIONS(695), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [9759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(636), 1,
      anon_sym_LT,
    ACTIONS(634), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [9787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(640), 1,
      anon_sym_LT,
    ACTIONS(638), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [9815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(648), 1,
      anon_sym_LT,
    ACTIONS(646), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [9843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 1,
      anon_sym_LT,
    ACTIONS(699), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [9871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(676), 1,
      anon_sym_LT,
    ACTIONS(674), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [9899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(668), 1,
      anon_sym_LT,
    ACTIONS(666), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [9927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(688), 1,
      anon_sym_LT,
    ACTIONS(686), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [9955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(600), 1,
      anon_sym_LT,
    ACTIONS(598), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [9983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(560), 1,
      anon_sym_LT,
    ACTIONS(558), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [10011] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_BANG,
    ACTIONS(693), 1,
      sym_number,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(583), 2,
      sym_expression,
      sym_unary_expression,
    STATE(18), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10059] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(425), 1,
      anon_sym_PIPE,
    STATE(214), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(433), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(435), 13,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10091] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_BANG,
    ACTIONS(693), 1,
      sym_number,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(502), 2,
      sym_expression,
      sym_unary_expression,
    STATE(18), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(680), 1,
      anon_sym_LT,
    ACTIONS(678), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [10167] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_BANG,
    ACTIONS(693), 1,
      sym_number,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(513), 2,
      sym_expression,
      sym_unary_expression,
    STATE(18), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(568), 1,
      anon_sym_LT,
    ACTIONS(566), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [10243] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_BANG,
    ACTIONS(693), 1,
      sym_number,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(521), 2,
      sym_expression,
      sym_unary_expression,
    STATE(18), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(532), 1,
      anon_sym_LT,
    ACTIONS(530), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [10319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(644), 1,
      anon_sym_LT,
    ACTIONS(642), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [10347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(684), 1,
      anon_sym_LT,
    ACTIONS(682), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [10375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(656), 1,
      anon_sym_LT,
    ACTIONS(654), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [10403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(528), 1,
      anon_sym_LT,
    ACTIONS(526), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [10431] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(491), 1,
      anon_sym_QMARK,
    STATE(245), 1,
      sym__binary_op,
    ACTIONS(487), 4,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(703), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(705), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10464] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(693), 1,
      sym_number,
    STATE(143), 1,
      sym_expression,
    STATE(333), 1,
      sym_binary_expression,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(18), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10511] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(444), 1,
      anon_sym_SQUOTE,
    ACTIONS(446), 1,
      anon_sym_DQUOTE,
    ACTIONS(448), 1,
      anon_sym_LBRACE,
    ACTIONS(450), 1,
      anon_sym_LPAREN,
    ACTIONS(452), 1,
      anon_sym_LBRACK,
    ACTIONS(456), 1,
      sym_identifier,
    ACTIONS(707), 1,
      sym_number,
    STATE(128), 1,
      sym_expression,
    STATE(333), 1,
      sym_binary_expression,
    STATE(416), 1,
      sym__single_quote,
    STATE(447), 1,
      sym__double_quote,
    STATE(39), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10558] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(388), 1,
      anon_sym_SQUOTE,
    ACTIONS(390), 1,
      anon_sym_DQUOTE,
    ACTIONS(392), 1,
      anon_sym_LBRACE,
    ACTIONS(394), 1,
      anon_sym_LPAREN,
    ACTIONS(396), 1,
      anon_sym_LBRACK,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(709), 1,
      sym_number,
    STATE(242), 1,
      sym_expression,
    STATE(431), 1,
      sym__single_quote,
    STATE(439), 1,
      sym__double_quote,
    STATE(442), 1,
      sym_binary_expression,
    STATE(90), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(471), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(473), 13,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(437), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(439), 13,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10659] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(693), 1,
      sym_number,
    STATE(259), 1,
      sym_expression,
    STATE(333), 1,
      sym_binary_expression,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(18), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10706] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      anon_sym_QMARK,
    STATE(245), 1,
      sym__binary_op,
    ACTIONS(499), 2,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
    ACTIONS(703), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(705), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10739] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(693), 1,
      sym_number,
    STATE(172), 1,
      sym_expression,
    STATE(373), 1,
      sym_binary_expression,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(18), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10786] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(711), 1,
      sym_identifier,
    ACTIONS(713), 1,
      sym_number,
    STATE(405), 1,
      sym_member_expression,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(681), 1,
      sym_binding_name,
    STATE(453), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [10832] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(715), 1,
      sym_identifier,
    ACTIONS(717), 1,
      sym_number,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(422), 1,
      sym_member_expression,
    STATE(683), 1,
      sym_binding_name,
    STATE(476), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [10878] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(388), 1,
      anon_sym_SQUOTE,
    ACTIONS(390), 1,
      anon_sym_DQUOTE,
    ACTIONS(392), 1,
      anon_sym_LBRACE,
    ACTIONS(394), 1,
      anon_sym_LPAREN,
    ACTIONS(396), 1,
      anon_sym_LBRACK,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(709), 1,
      sym_number,
    STATE(431), 1,
      sym__single_quote,
    STATE(439), 1,
      sym__double_quote,
    STATE(444), 1,
      sym_expression,
    STATE(90), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10922] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(711), 1,
      sym_identifier,
    ACTIONS(713), 1,
      sym_number,
    STATE(405), 1,
      sym_member_expression,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(699), 1,
      sym_binding_name,
    STATE(453), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [10968] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(693), 1,
      sym_number,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(527), 1,
      sym_expression,
    STATE(18), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [11012] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(711), 1,
      sym_identifier,
    ACTIONS(713), 1,
      sym_number,
    STATE(405), 1,
      sym_member_expression,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(670), 1,
      sym_binding_name,
    STATE(453), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [11058] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(715), 1,
      sym_identifier,
    ACTIONS(717), 1,
      sym_number,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(422), 1,
      sym_member_expression,
    STATE(677), 1,
      sym_binding_name,
    STATE(476), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [11104] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(711), 1,
      sym_identifier,
    ACTIONS(713), 1,
      sym_number,
    STATE(405), 1,
      sym_member_expression,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(720), 1,
      sym_binding_name,
    STATE(453), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [11150] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(248), 1,
      sym__binary_op,
    ACTIONS(487), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(719), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(721), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11180] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(388), 1,
      anon_sym_SQUOTE,
    ACTIONS(390), 1,
      anon_sym_DQUOTE,
    ACTIONS(392), 1,
      anon_sym_LBRACE,
    ACTIONS(394), 1,
      anon_sym_LPAREN,
    ACTIONS(396), 1,
      anon_sym_LBRACK,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(709), 1,
      sym_number,
    STATE(431), 1,
      sym__single_quote,
    STATE(439), 1,
      sym__double_quote,
    STATE(509), 1,
      sym_expression,
    STATE(90), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [11224] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(713), 1,
      sym_number,
    ACTIONS(723), 1,
      anon_sym_SQUOTE,
    ACTIONS(725), 1,
      sym_identifier,
    STATE(404), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(630), 1,
      sym_static_member_expression,
    STATE(418), 2,
      sym_member_expression,
      sym_bracket_expression,
    STATE(453), 6,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
  [11270] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(693), 1,
      sym_number,
    STATE(328), 1,
      sym_expression,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(18), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [11314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(481), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(483), 13,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11340] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(693), 1,
      sym_number,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(645), 1,
      sym_expression,
    STATE(18), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [11384] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(731), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(735), 1,
      anon_sym_LBRACK,
    ACTIONS(737), 1,
      sym_identifier,
    ACTIONS(739), 1,
      sym_number,
    STATE(328), 1,
      sym_expression,
    STATE(409), 1,
      sym__double_quote,
    STATE(424), 1,
      sym__single_quote,
    STATE(302), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [11428] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(693), 1,
      sym_number,
    STATE(383), 1,
      sym_expression,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(18), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [11472] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(693), 1,
      sym_number,
    STATE(410), 1,
      sym__single_quote,
    STATE(419), 1,
      sym_expression,
    STATE(420), 1,
      sym__double_quote,
    STATE(18), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [11516] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(693), 1,
      sym_number,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(428), 1,
      sym_expression,
    STATE(18), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [11560] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(713), 1,
      sym_number,
    ACTIONS(723), 1,
      anon_sym_SQUOTE,
    ACTIONS(741), 1,
      sym_identifier,
    STATE(404), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(705), 1,
      sym_static_member_expression,
    STATE(411), 2,
      sym_member_expression,
      sym_bracket_expression,
    STATE(453), 6,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
  [11606] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(711), 1,
      sym_identifier,
    ACTIONS(713), 1,
      sym_number,
    STATE(405), 1,
      sym_member_expression,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(640), 1,
      sym_binding_name,
    STATE(453), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [11652] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(693), 1,
      sym_number,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(675), 1,
      sym_expression,
    STATE(18), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [11696] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(713), 1,
      sym_number,
    ACTIONS(723), 1,
      anon_sym_SQUOTE,
    ACTIONS(743), 1,
      sym_identifier,
    STATE(404), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(639), 1,
      sym_static_member_expression,
    STATE(441), 2,
      sym_member_expression,
      sym_bracket_expression,
    STATE(453), 6,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
  [11742] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(713), 1,
      sym_number,
    ACTIONS(723), 1,
      anon_sym_SQUOTE,
    ACTIONS(745), 1,
      sym_identifier,
    STATE(404), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(659), 1,
      sym_static_member_expression,
    STATE(417), 2,
      sym_member_expression,
      sym_bracket_expression,
    STATE(453), 6,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
  [11788] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(693), 1,
      sym_number,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(674), 1,
      sym_expression,
    STATE(18), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [11832] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(711), 1,
      sym_identifier,
    ACTIONS(713), 1,
      sym_number,
    STATE(405), 1,
      sym_member_expression,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(682), 1,
      sym_binding_name,
    STATE(453), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [11878] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(747), 1,
      sym_number,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(395), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [11919] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(388), 1,
      anon_sym_SQUOTE,
    ACTIONS(390), 1,
      anon_sym_DQUOTE,
    ACTIONS(392), 1,
      anon_sym_LBRACE,
    ACTIONS(394), 1,
      anon_sym_LPAREN,
    ACTIONS(396), 1,
      anon_sym_LBRACK,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(749), 1,
      sym_number,
    STATE(431), 1,
      sym__single_quote,
    STATE(439), 1,
      sym__double_quote,
    STATE(124), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [11960] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(751), 1,
      sym_number,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(337), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12001] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(731), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(735), 1,
      anon_sym_LBRACK,
    ACTIONS(737), 1,
      sym_identifier,
    ACTIONS(753), 1,
      sym_number,
    STATE(409), 1,
      sym__double_quote,
    STATE(424), 1,
      sym__single_quote,
    STATE(332), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12042] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(755), 1,
      sym_number,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(427), 1,
      sym_group,
    STATE(421), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12085] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(388), 1,
      anon_sym_SQUOTE,
    ACTIONS(390), 1,
      anon_sym_DQUOTE,
    ACTIONS(392), 1,
      anon_sym_LBRACE,
    ACTIONS(394), 1,
      anon_sym_LPAREN,
    ACTIONS(396), 1,
      anon_sym_LBRACK,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(757), 1,
      sym_number,
    STATE(431), 1,
      sym__single_quote,
    STATE(439), 1,
      sym__double_quote,
    STATE(382), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12126] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(444), 1,
      anon_sym_SQUOTE,
    ACTIONS(446), 1,
      anon_sym_DQUOTE,
    ACTIONS(448), 1,
      anon_sym_LBRACE,
    ACTIONS(450), 1,
      anon_sym_LPAREN,
    ACTIONS(452), 1,
      anon_sym_LBRACK,
    ACTIONS(456), 1,
      sym_identifier,
    ACTIONS(759), 1,
      sym_number,
    STATE(416), 1,
      sym__single_quote,
    STATE(447), 1,
      sym__double_quote,
    STATE(58), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12167] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(761), 1,
      sym_number,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(425), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12208] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_SQUOTE,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(731), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(735), 1,
      anon_sym_LBRACK,
    ACTIONS(737), 1,
      sym_identifier,
    ACTIONS(763), 1,
      sym_number,
    STATE(409), 1,
      sym__double_quote,
    STATE(424), 1,
      sym__single_quote,
    STATE(310), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12249] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(765), 1,
      sym_number,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(406), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12290] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(767), 1,
      sym_number,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(400), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12331] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(769), 1,
      sym_number,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(31), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12372] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(771), 1,
      sym_number,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(343), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12413] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(388), 1,
      anon_sym_SQUOTE,
    ACTIONS(390), 1,
      anon_sym_DQUOTE,
    ACTIONS(392), 1,
      anon_sym_LBRACE,
    ACTIONS(394), 1,
      anon_sym_LPAREN,
    ACTIONS(396), 1,
      anon_sym_LBRACK,
    ACTIONS(400), 1,
      sym_identifier,
    ACTIONS(773), 1,
      sym_number,
    STATE(431), 1,
      sym__single_quote,
    STATE(439), 1,
      sym__double_quote,
    STATE(399), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12454] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(775), 1,
      sym_number,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(393), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12495] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(777), 1,
      sym_number,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(440), 1,
      sym_group,
    STATE(434), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12538] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(779), 1,
      sym_number,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(438), 1,
      sym_group,
    STATE(436), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12581] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_LBRACE,
    ACTIONS(333), 1,
      anon_sym_LPAREN,
    ACTIONS(337), 1,
      anon_sym_LBRACK,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(781), 1,
      sym_number,
    STATE(410), 1,
      sym__single_quote,
    STATE(415), 1,
      sym_group,
    STATE(420), 1,
      sym__double_quote,
    STATE(414), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12624] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(248), 1,
      sym__binary_op,
    ACTIONS(719), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(721), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [12650] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(250), 1,
      sym__binary_op,
    ACTIONS(626), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(628), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [12676] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(785), 1,
      sym_attribute_name,
    ACTIONS(788), 1,
      anon_sym_LPAREN,
    ACTIONS(791), 1,
      anon_sym_STAR,
    ACTIONS(794), 1,
      anon_sym_LBRACK,
    ACTIONS(797), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(800), 1,
      anon_sym_LBRACK_AT,
    STATE(357), 1,
      sym__normal_attribute,
    ACTIONS(783), 2,
      anon_sym_GT,
      anon_sym_SLASH_GT,
    STATE(296), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(369), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [12716] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(207), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [12742] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(805), 1,
      anon_sym_GT,
    ACTIONS(807), 1,
      anon_sym_SLASH_GT,
    ACTIONS(809), 1,
      sym_attribute_name,
    ACTIONS(811), 1,
      anon_sym_LPAREN,
    ACTIONS(813), 1,
      anon_sym_STAR,
    ACTIONS(815), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(819), 1,
      anon_sym_LBRACK_AT,
    STATE(357), 1,
      sym__normal_attribute,
    STATE(303), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(369), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [12784] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(805), 1,
      anon_sym_GT,
    ACTIONS(809), 1,
      sym_attribute_name,
    ACTIONS(811), 1,
      anon_sym_LPAREN,
    ACTIONS(813), 1,
      anon_sym_STAR,
    ACTIONS(815), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(819), 1,
      anon_sym_LBRACK_AT,
    ACTIONS(821), 1,
      anon_sym_SLASH_GT,
    STATE(357), 1,
      sym__normal_attribute,
    STATE(300), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(369), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [12826] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(809), 1,
      sym_attribute_name,
    ACTIONS(811), 1,
      anon_sym_LPAREN,
    ACTIONS(813), 1,
      anon_sym_STAR,
    ACTIONS(815), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(819), 1,
      anon_sym_LBRACK_AT,
    ACTIONS(823), 1,
      anon_sym_GT,
    ACTIONS(825), 1,
      anon_sym_SLASH_GT,
    STATE(357), 1,
      sym__normal_attribute,
    STATE(296), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(369), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [12868] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(245), 1,
      sym__binary_op,
    ACTIONS(703), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(705), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [12894] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_QMARK,
    ACTIONS(827), 1,
      anon_sym_LBRACK,
    ACTIONS(829), 1,
      anon_sym_PIPE,
    STATE(330), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(340), 1,
      sym_pipe_sequence,
    ACTIONS(831), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(213), 8,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [12928] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(809), 1,
      sym_attribute_name,
    ACTIONS(811), 1,
      anon_sym_LPAREN,
    ACTIONS(813), 1,
      anon_sym_STAR,
    ACTIONS(815), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(819), 1,
      anon_sym_LBRACK_AT,
    ACTIONS(823), 1,
      anon_sym_GT,
    ACTIONS(833), 1,
      anon_sym_SLASH_GT,
    STATE(357), 1,
      sym__normal_attribute,
    STATE(296), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(369), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [12970] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(244), 1,
      sym__binary_op,
    ACTIONS(485), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(489), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [12996] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(223), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [13022] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(243), 1,
      sym__binary_op,
    ACTIONS(514), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(516), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [13048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(293), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [13071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(317), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(319), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [13094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(235), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(237), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [13117] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(827), 1,
      anon_sym_LBRACK,
    ACTIONS(267), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(831), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(269), 9,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [13144] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(835), 1,
      anon_sym_GT,
    ACTIONS(837), 1,
      sym_attribute_name,
    ACTIONS(839), 1,
      anon_sym_LPAREN,
    ACTIONS(841), 1,
      anon_sym_STAR,
    ACTIONS(843), 1,
      anon_sym_LBRACK,
    ACTIONS(845), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(847), 1,
      anon_sym_LBRACK_AT,
    STATE(374), 1,
      sym__normal_attribute,
    STATE(323), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(388), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [13183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(227), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(229), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [13206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(321), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(323), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [13229] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(247), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(249), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [13252] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(783), 1,
      anon_sym_GT,
    ACTIONS(849), 1,
      sym_attribute_name,
    ACTIONS(852), 1,
      anon_sym_LPAREN,
    ACTIONS(855), 1,
      anon_sym_STAR,
    ACTIONS(858), 1,
      anon_sym_LBRACK,
    ACTIONS(861), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACK_AT,
    STATE(374), 1,
      sym__normal_attribute,
    STATE(315), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(388), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [13291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(251), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(253), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [13314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(259), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(261), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [13337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(255), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(257), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [13360] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(837), 1,
      sym_attribute_name,
    ACTIONS(839), 1,
      anon_sym_LPAREN,
    ACTIONS(841), 1,
      anon_sym_STAR,
    ACTIONS(843), 1,
      anon_sym_LBRACK,
    ACTIONS(845), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(847), 1,
      anon_sym_LBRACK_AT,
    ACTIONS(867), 1,
      anon_sym_GT,
    STATE(374), 1,
      sym__normal_attribute,
    STATE(321), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(388), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [13399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(263), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(265), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [13422] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(837), 1,
      sym_attribute_name,
    ACTIONS(839), 1,
      anon_sym_LPAREN,
    ACTIONS(841), 1,
      anon_sym_STAR,
    ACTIONS(843), 1,
      anon_sym_LBRACK,
    ACTIONS(845), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(847), 1,
      anon_sym_LBRACK_AT,
    ACTIONS(869), 1,
      anon_sym_GT,
    STATE(374), 1,
      sym__normal_attribute,
    STATE(315), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(388), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [13461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(287), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [13484] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(837), 1,
      sym_attribute_name,
    ACTIONS(839), 1,
      anon_sym_LPAREN,
    ACTIONS(841), 1,
      anon_sym_STAR,
    ACTIONS(843), 1,
      anon_sym_LBRACK,
    ACTIONS(845), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(847), 1,
      anon_sym_LBRACK_AT,
    ACTIONS(871), 1,
      anon_sym_GT,
    STATE(374), 1,
      sym__normal_attribute,
    STATE(315), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(388), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [13523] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(873), 1,
      anon_sym_COLON,
    STATE(334), 1,
      sym_pipe_arguments,
    ACTIONS(363), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    STATE(325), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(365), 8,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [13551] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(873), 1,
      anon_sym_COLON,
    ACTIONS(371), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    STATE(326), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(373), 8,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [13576] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(875), 1,
      anon_sym_COLON,
    ACTIONS(379), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    STATE(326), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(381), 8,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [13601] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(880), 1,
      anon_sym_DQUOTE,
    STATE(41), 1,
      sym__double_quote,
    STATE(446), 1,
      aux_sym_string_repeat1,
    ACTIONS(882), 2,
      sym__escape_sequence,
      aux_sym_string_token1,
    ACTIONS(878), 8,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [13628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(886), 1,
      anon_sym_QMARK,
    ACTIONS(884), 11,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [13648] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(880), 1,
      anon_sym_DQUOTE,
    STATE(41), 1,
      sym__double_quote,
    STATE(446), 1,
      aux_sym_string_repeat1,
    ACTIONS(882), 2,
      sym__escape_sequence,
      aux_sym_string_token1,
    ACTIONS(878), 7,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [13674] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_QMARK,
    ACTIONS(829), 1,
      anon_sym_PIPE,
    STATE(331), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(435), 8,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [13697] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(437), 1,
      anon_sym_QMARK,
    ACTIONS(888), 1,
      anon_sym_PIPE,
    STATE(331), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(439), 8,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [13720] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(827), 1,
      anon_sym_LBRACK,
    ACTIONS(893), 1,
      anon_sym_QMARK,
    ACTIONS(831), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(891), 6,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      sym_identifier,
  [13743] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(491), 1,
      anon_sym_QMARK,
    ACTIONS(487), 10,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [13762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(471), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(473), 8,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [13780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(437), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(439), 8,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [13798] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(899), 1,
      anon_sym_EQ,
    STATE(359), 1,
      sym__binding_assignment,
    ACTIONS(897), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(895), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [13820] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(893), 1,
      anon_sym_QMARK,
    ACTIONS(219), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(891), 5,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
  [13842] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      anon_sym_RBRACE,
    ACTIONS(903), 1,
      sym_identifier,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(636), 1,
      sym_string,
    STATE(341), 2,
      sym_pair,
      aux_sym_object_repeat1,
  [13871] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_EQ,
    ACTIONS(907), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(905), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [13890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(481), 1,
      anon_sym_QMARK,
    ACTIONS(483), 8,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [13907] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(911), 1,
      anon_sym_SQUOTE,
    ACTIONS(914), 1,
      anon_sym_DQUOTE,
    ACTIONS(917), 1,
      anon_sym_RBRACE,
    ACTIONS(919), 1,
      sym_identifier,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(636), 1,
      sym_string,
    STATE(341), 2,
      sym_pair,
      aux_sym_object_repeat1,
  [13936] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(903), 1,
      sym_identifier,
    ACTIONS(922), 1,
      anon_sym_RBRACE,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(636), 1,
      sym_string,
    STATE(344), 2,
      sym_pair,
      aux_sym_object_repeat1,
  [13965] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(893), 1,
      anon_sym_QMARK,
    ACTIONS(219), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(891), 4,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
  [13986] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(903), 1,
      sym_identifier,
    ACTIONS(924), 1,
      anon_sym_RBRACE,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(636), 1,
      sym_string,
    STATE(341), 2,
      sym_pair,
      aux_sym_object_repeat1,
  [14015] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(279), 1,
      anon_sym_QMARK,
    ACTIONS(281), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(275), 6,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      sym_identifier,
  [14034] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(903), 1,
      sym_identifier,
    ACTIONS(926), 1,
      anon_sym_RBRACE,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(636), 1,
      sym_string,
    STATE(341), 2,
      sym_pair,
      aux_sym_object_repeat1,
  [14063] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(932), 1,
      anon_sym_EQ,
    ACTIONS(930), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(928), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [14082] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(903), 1,
      sym_identifier,
    ACTIONS(934), 1,
      anon_sym_RBRACE,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(636), 1,
      sym_string,
    STATE(346), 2,
      sym_pair,
      aux_sym_object_repeat1,
  [14111] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(903), 1,
      sym_identifier,
    ACTIONS(936), 1,
      anon_sym_RBRACE,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(636), 1,
      sym_string,
    STATE(351), 2,
      sym_pair,
      aux_sym_object_repeat1,
  [14140] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(903), 1,
      sym_identifier,
    ACTIONS(938), 1,
      anon_sym_RBRACE,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(636), 1,
      sym_string,
    STATE(338), 2,
      sym_pair,
      aux_sym_object_repeat1,
  [14169] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      anon_sym_SQUOTE,
    ACTIONS(329), 1,
      anon_sym_DQUOTE,
    ACTIONS(903), 1,
      sym_identifier,
    ACTIONS(940), 1,
      anon_sym_RBRACE,
    STATE(410), 1,
      sym__single_quote,
    STATE(420), 1,
      sym__double_quote,
    STATE(636), 1,
      sym_string,
    STATE(341), 2,
      sym_pair,
      aux_sym_object_repeat1,
  [14198] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      anon_sym_QMARK,
    ACTIONS(281), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(499), 6,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      sym_identifier,
  [14217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(279), 1,
      anon_sym_QMARK,
    ACTIONS(275), 8,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      sym_identifier,
  [14234] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(897), 1,
      anon_sym_LBRACK,
    ACTIONS(942), 1,
      anon_sym_EQ,
    STATE(379), 1,
      sym__binding_assignment,
    ACTIONS(895), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [14255] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(946), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(944), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [14271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(950), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(948), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [14287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(954), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(952), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [14303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(958), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(956), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [14319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(962), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(960), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [14335] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(964), 1,
      anon_sym_DQUOTE,
    ACTIONS(966), 1,
      anon_sym_SEMI,
    ACTIONS(968), 1,
      anon_sym_as,
    ACTIONS(970), 1,
      anon_sym_QMARK,
    ACTIONS(972), 1,
      anon_sym_QMARK_QMARK,
    STATE(459), 1,
      sym__alias,
    STATE(517), 1,
      sym__else_template_expression,
    STATE(691), 1,
      sym__context_expression,
  [14363] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(976), 1,
      anon_sym_as,
    ACTIONS(978), 1,
      anon_sym_EQ,
    ACTIONS(980), 1,
      anon_sym_COLON,
    ACTIONS(982), 1,
      sym_identifier,
    STATE(535), 1,
      sym__alias,
    ACTIONS(974), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [14387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(986), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(984), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [14403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(990), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(988), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [14419] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(907), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_EQ,
    ACTIONS(905), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [14437] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(279), 1,
      anon_sym_QMARK,
    ACTIONS(325), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(275), 5,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
  [14455] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(930), 1,
      anon_sym_LBRACK,
    ACTIONS(994), 1,
      anon_sym_EQ,
    ACTIONS(928), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [14473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(998), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(996), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [14489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1002), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1000), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [14505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(954), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(952), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [14521] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      anon_sym_QMARK,
    ACTIONS(325), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(499), 5,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
  [14539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1006), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1004), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [14555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(958), 1,
      anon_sym_LBRACK,
    ACTIONS(956), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [14570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(491), 1,
      anon_sym_QMARK,
    ACTIONS(487), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [14585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(954), 1,
      anon_sym_LBRACK,
    ACTIONS(952), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [14600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1006), 1,
      anon_sym_LBRACK,
    ACTIONS(1004), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [14615] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      anon_sym_QMARK,
    ACTIONS(386), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(499), 4,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
  [14632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(946), 1,
      anon_sym_LBRACK,
    ACTIONS(944), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [14647] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(279), 1,
      anon_sym_QMARK,
    ACTIONS(386), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(275), 4,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
  [14664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(962), 1,
      anon_sym_LBRACK,
    ACTIONS(960), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [14679] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1010), 1,
      anon_sym_COMMA,
    ACTIONS(1012), 1,
      anon_sym_QMARK,
    ACTIONS(1014), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1008), 4,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      sym_identifier,
  [14698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1002), 1,
      anon_sym_LBRACK,
    ACTIONS(1000), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [14713] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(421), 1,
      anon_sym_LBRACK,
    ACTIONS(893), 1,
      anon_sym_QMARK,
    ACTIONS(891), 2,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
    ACTIONS(427), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [14732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(886), 1,
      anon_sym_QMARK,
    ACTIONS(884), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [14747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(998), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [14762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [14777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(950), 1,
      anon_sym_LBRACK,
    ACTIONS(948), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [14792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [14807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(954), 1,
      anon_sym_LBRACK,
    ACTIONS(952), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [14822] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LPAREN,
    ACTIONS(1016), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(223), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [14839] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1012), 1,
      anon_sym_QMARK,
    ACTIONS(375), 6,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      sym_identifier,
  [14854] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1020), 1,
      anon_sym_QMARK,
    ACTIONS(1022), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1018), 4,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [14870] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LPAREN,
    ACTIONS(1024), 1,
      anon_sym_RBRACK,
    ACTIONS(223), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [14886] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(1026), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(219), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [14902] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1028), 1,
      anon_sym_RBRACE,
    ACTIONS(1030), 1,
      sym_case_start,
    ACTIONS(1032), 1,
      sym_default_start,
    STATE(396), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_body_repeat1,
  [14920] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
    ACTIONS(219), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [14936] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1036), 1,
      anon_sym_RBRACE,
    ACTIONS(1038), 1,
      sym_case_start,
    ACTIONS(1041), 1,
      sym_default_start,
    STATE(396), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_body_repeat1,
  [14954] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LPAREN,
    ACTIONS(1044), 1,
      anon_sym_RBRACK,
    ACTIONS(223), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [14970] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LPAREN,
    ACTIONS(1046), 1,
      anon_sym_RBRACK,
    ACTIONS(223), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [14986] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(421), 1,
      anon_sym_LBRACK,
    ACTIONS(1048), 2,
      sym__interpolation_end,
      anon_sym_PLUS,
    ACTIONS(427), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [15002] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(1050), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
    ACTIONS(219), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [15018] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LPAREN,
    ACTIONS(1016), 1,
      anon_sym_RPAREN_RBRACK,
    ACTIONS(223), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [15034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1020), 1,
      anon_sym_QMARK,
    ACTIONS(375), 5,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
  [15048] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LPAREN,
    ACTIONS(1052), 1,
      anon_sym_RBRACK,
    ACTIONS(223), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [15064] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(880), 1,
      anon_sym_SQUOTE,
    ACTIONS(1054), 1,
      sym_identifier,
    ACTIONS(1056), 1,
      sym__escape_sequence,
    ACTIONS(1058), 1,
      aux_sym_string_token2,
    STATE(41), 1,
      sym__single_quote,
    STATE(437), 1,
      aux_sym_string_repeat2,
  [15086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1016), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(223), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [15100] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(1048), 2,
      anon_sym_COMMA,
      anon_sym_PLUS,
    ACTIONS(219), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [15116] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1030), 1,
      sym_case_start,
    ACTIONS(1032), 1,
      sym_default_start,
    ACTIONS(1060), 1,
      anon_sym_RBRACE,
    STATE(396), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_body_repeat1,
  [15134] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1062), 1,
      anon_sym_SQUOTE,
    ACTIONS(1064), 1,
      sym__escape_sequence,
    ACTIONS(1066), 1,
      aux_sym_string_token2,
    STATE(316), 1,
      sym__single_quote,
    STATE(460), 1,
      aux_sym_string_repeat2,
  [15153] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1068), 1,
      anon_sym_DQUOTE,
    ACTIONS(1070), 1,
      sym__escape_sequence,
    ACTIONS(1072), 1,
      aux_sym_string_token1,
    STATE(307), 1,
      sym__double_quote,
    STATE(413), 1,
      aux_sym_string_repeat1,
  [15172] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(880), 1,
      anon_sym_SQUOTE,
    ACTIONS(1056), 1,
      sym__escape_sequence,
    ACTIONS(1058), 1,
      aux_sym_string_token2,
    STATE(41), 1,
      sym__single_quote,
    STATE(437), 1,
      aux_sym_string_repeat2,
  [15191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1052), 1,
      anon_sym_RBRACK,
    ACTIONS(223), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [15204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(970), 1,
      anon_sym_QMARK,
    ACTIONS(375), 4,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
  [15217] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1062), 1,
      anon_sym_DQUOTE,
    ACTIONS(1074), 1,
      sym__escape_sequence,
    ACTIONS(1076), 1,
      aux_sym_string_token1,
    STATE(316), 1,
      sym__double_quote,
    STATE(461), 1,
      aux_sym_string_repeat1,
  [15236] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(1078), 1,
      anon_sym_COLON,
    ACTIONS(219), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [15251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1078), 1,
      anon_sym_COLON,
    ACTIONS(223), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [15264] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1080), 1,
      anon_sym_SQUOTE,
    ACTIONS(1082), 1,
      sym__escape_sequence,
    ACTIONS(1084), 1,
      aux_sym_string_token2,
    STATE(48), 1,
      sym__single_quote,
    STATE(432), 1,
      aux_sym_string_repeat2,
  [15283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1024), 1,
      anon_sym_RBRACK,
    ACTIONS(223), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [15296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1044), 1,
      anon_sym_RBRACK,
    ACTIONS(223), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [15309] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(968), 1,
      anon_sym_as,
    STATE(487), 1,
      sym__alias,
    ACTIONS(1086), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [15324] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(880), 1,
      anon_sym_DQUOTE,
    ACTIONS(882), 1,
      aux_sym_string_token1,
    ACTIONS(1088), 1,
      sym__escape_sequence,
    STATE(41), 1,
      sym__double_quote,
    STATE(446), 1,
      aux_sym_string_repeat1,
  [15343] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(1090), 1,
      anon_sym_COLON,
    ACTIONS(219), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [15358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1016), 1,
      anon_sym_RPAREN_RBRACK,
    ACTIONS(223), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [15371] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(279), 1,
      anon_sym_QMARK,
    ACTIONS(275), 2,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
    ACTIONS(423), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [15386] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1068), 1,
      anon_sym_SQUOTE,
    ACTIONS(1092), 1,
      sym__escape_sequence,
    ACTIONS(1094), 1,
      aux_sym_string_token2,
    STATE(307), 1,
      sym__single_quote,
    STATE(408), 1,
      aux_sym_string_repeat2,
  [15405] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(1096), 1,
      anon_sym_RPAREN,
    ACTIONS(219), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [15420] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1030), 1,
      sym_case_start,
    ACTIONS(1032), 1,
      sym_default_start,
    STATE(394), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_body_repeat1,
  [15435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1090), 1,
      anon_sym_COLON,
    ACTIONS(223), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [15448] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(968), 1,
      anon_sym_as,
    STATE(490), 1,
      sym__alias,
    ACTIONS(1098), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [15463] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1074), 1,
      sym__escape_sequence,
    ACTIONS(1076), 1,
      aux_sym_string_token1,
    ACTIONS(1100), 1,
      anon_sym_DQUOTE,
    STATE(119), 1,
      sym__double_quote,
    STATE(461), 1,
      aux_sym_string_repeat1,
  [15482] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      anon_sym_QMARK,
    ACTIONS(423), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(499), 2,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
  [15497] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1102), 1,
      anon_sym_SQUOTE,
    ACTIONS(1104), 1,
      sym__escape_sequence,
    ACTIONS(1106), 1,
      aux_sym_string_token2,
    STATE(118), 1,
      sym__single_quote,
    STATE(443), 1,
      aux_sym_string_repeat2,
  [15516] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1064), 1,
      sym__escape_sequence,
    ACTIONS(1066), 1,
      aux_sym_string_token2,
    ACTIONS(1108), 1,
      anon_sym_SQUOTE,
    STATE(54), 1,
      sym__single_quote,
    STATE(460), 1,
      aux_sym_string_repeat2,
  [15535] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1074), 1,
      sym__escape_sequence,
    ACTIONS(1076), 1,
      aux_sym_string_token1,
    ACTIONS(1108), 1,
      anon_sym_DQUOTE,
    STATE(54), 1,
      sym__double_quote,
    STATE(461), 1,
      aux_sym_string_repeat1,
  [15554] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(1110), 1,
      anon_sym_COLON,
    ACTIONS(219), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [15569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(279), 1,
      anon_sym_QMARK,
    ACTIONS(275), 4,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
  [15582] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(1112), 1,
      anon_sym_COLON,
    ACTIONS(219), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [15597] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1064), 1,
      sym__escape_sequence,
    ACTIONS(1066), 1,
      aux_sym_string_token2,
    ACTIONS(1114), 1,
      anon_sym_SQUOTE,
    STATE(27), 1,
      sym__single_quote,
    STATE(460), 1,
      aux_sym_string_repeat2,
  [15616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1112), 1,
      anon_sym_COLON,
    ACTIONS(223), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [15629] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1102), 1,
      anon_sym_DQUOTE,
    ACTIONS(1116), 1,
      sym__escape_sequence,
    ACTIONS(1118), 1,
      aux_sym_string_token1,
    STATE(118), 1,
      sym__double_quote,
    STATE(429), 1,
      aux_sym_string_repeat1,
  [15648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1110), 1,
      anon_sym_COLON,
    ACTIONS(223), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [15661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1046), 1,
      anon_sym_RBRACK,
    ACTIONS(223), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [15674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(491), 1,
      anon_sym_QMARK,
    ACTIONS(487), 4,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [15687] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1064), 1,
      sym__escape_sequence,
    ACTIONS(1066), 1,
      aux_sym_string_token2,
    ACTIONS(1100), 1,
      anon_sym_SQUOTE,
    STATE(119), 1,
      sym__single_quote,
    STATE(460), 1,
      aux_sym_string_repeat2,
  [15706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(886), 1,
      anon_sym_QMARK,
    ACTIONS(884), 4,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [15719] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1030), 1,
      sym_case_start,
    ACTIONS(1032), 1,
      sym_default_start,
    STATE(407), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_body_repeat1,
  [15734] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1074), 1,
      sym__escape_sequence,
    ACTIONS(1076), 1,
      aux_sym_string_token1,
    ACTIONS(1114), 1,
      anon_sym_DQUOTE,
    STATE(27), 1,
      sym__double_quote,
    STATE(461), 1,
      aux_sym_string_repeat1,
  [15753] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1080), 1,
      anon_sym_DQUOTE,
    ACTIONS(1120), 1,
      sym__escape_sequence,
    ACTIONS(1122), 1,
      aux_sym_string_token1,
    STATE(48), 1,
      sym__double_quote,
    STATE(433), 1,
      aux_sym_string_repeat1,
  [15772] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1124), 1,
      anon_sym_LBRACE,
    ACTIONS(1126), 1,
      anon_sym_LPAREN,
    STATE(160), 1,
      sym_statement_block,
    STATE(624), 1,
      sym_defer_trigger,
  [15788] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1130), 1,
      anon_sym_RPAREN,
    STATE(451), 1,
      aux_sym_for_reference_repeat1,
    ACTIONS(1128), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [15802] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1132), 1,
      anon_sym_RBRACE,
    ACTIONS(1134), 1,
      sym_icu_category,
    STATE(454), 2,
      sym_icu_case,
      aux_sym_icu_expression_repeat1,
  [15816] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1136), 1,
      anon_sym_RPAREN,
    STATE(456), 1,
      aux_sym_for_reference_repeat1,
    ACTIONS(1128), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [15830] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1020), 1,
      anon_sym_QMARK,
    ACTIONS(1022), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1138), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [15844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(219), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [15856] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1140), 1,
      anon_sym_RBRACE,
    ACTIONS(1142), 1,
      sym_icu_category,
    STATE(454), 2,
      sym_icu_case,
      aux_sym_icu_expression_repeat1,
  [15870] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1020), 1,
      anon_sym_QMARK,
    ACTIONS(1022), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1145), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [15884] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1150), 1,
      anon_sym_RPAREN,
    STATE(456), 1,
      aux_sym_for_reference_repeat1,
    ACTIONS(1147), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [15898] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1020), 1,
      anon_sym_QMARK,
    ACTIONS(1022), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1152), 1,
      anon_sym_DQUOTE,
    STATE(363), 1,
      sym__double_quote,
  [15914] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1154), 1,
      anon_sym_DQUOTE,
    STATE(462), 1,
      aux_sym_structural_declaration_repeat1,
    ACTIONS(1156), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [15928] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(966), 1,
      anon_sym_SEMI,
    ACTIONS(1158), 1,
      anon_sym_DQUOTE,
    STATE(482), 1,
      sym__else_template_expression,
    STATE(647), 1,
      sym__context_expression,
  [15944] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1160), 1,
      anon_sym_SQUOTE,
    ACTIONS(1162), 1,
      sym__escape_sequence,
    ACTIONS(1165), 1,
      aux_sym_string_token2,
    STATE(460), 1,
      aux_sym_string_repeat2,
  [15960] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1168), 1,
      anon_sym_DQUOTE,
    ACTIONS(1170), 1,
      sym__escape_sequence,
    ACTIONS(1173), 1,
      aux_sym_string_token1,
    STATE(461), 1,
      aux_sym_string_repeat1,
  [15976] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1176), 1,
      anon_sym_DQUOTE,
    STATE(463), 1,
      aux_sym_structural_declaration_repeat1,
    ACTIONS(1156), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [15990] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1178), 1,
      anon_sym_DQUOTE,
    STATE(463), 1,
      aux_sym_structural_declaration_repeat1,
    ACTIONS(1180), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [16004] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1126), 1,
      anon_sym_LPAREN,
    ACTIONS(1183), 1,
      anon_sym_LBRACE,
    STATE(195), 1,
      sym_statement_block,
    STATE(548), 1,
      sym_defer_trigger,
  [16020] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 1,
      anon_sym_LBRACE,
    ACTIONS(1185), 1,
      anon_sym_LPAREN,
    STATE(197), 1,
      sym_statement_block,
    STATE(549), 1,
      sym_placeholder_minimum,
  [16036] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 1,
      anon_sym_LBRACE,
    ACTIONS(1187), 1,
      anon_sym_LPAREN,
    STATE(198), 1,
      sym_statement_block,
    STATE(550), 1,
      sym_loading_condition,
  [16052] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1020), 1,
      anon_sym_QMARK,
    ACTIONS(1022), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1050), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [16066] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_prefetch,
    ACTIONS(1191), 1,
      anon_sym_when,
    ACTIONS(1193), 1,
      anon_sym_on,
    STATE(601), 1,
      sym_defer_trigger_condition,
  [16082] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1195), 1,
      sym_attribute_value,
    ACTIONS(1197), 1,
      anon_sym_SQUOTE,
    ACTIONS(1199), 1,
      anon_sym_DQUOTE,
    STATE(356), 1,
      sym_quoted_attribute_value,
  [16098] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1201), 1,
      sym_attribute_value,
    ACTIONS(1203), 1,
      anon_sym_SQUOTE,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    STATE(386), 1,
      sym_quoted_attribute_value,
  [16114] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1134), 1,
      sym_icu_category,
    ACTIONS(1207), 1,
      anon_sym_RBRACE,
    STATE(454), 2,
      sym_icu_case,
      aux_sym_icu_expression_repeat1,
  [16128] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1020), 1,
      anon_sym_QMARK,
    ACTIONS(1022), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1209), 1,
      anon_sym_DQUOTE,
    STATE(387), 1,
      sym__double_quote,
  [16144] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1124), 1,
      anon_sym_LBRACE,
    ACTIONS(1185), 1,
      anon_sym_LPAREN,
    STATE(151), 1,
      sym_statement_block,
    STATE(621), 1,
      sym_placeholder_minimum,
  [16160] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1124), 1,
      anon_sym_LBRACE,
    ACTIONS(1187), 1,
      anon_sym_LPAREN,
    STATE(153), 1,
      sym_statement_block,
    STATE(589), 1,
      sym_loading_condition,
  [16176] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1020), 1,
      anon_sym_QMARK,
    ACTIONS(1022), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1034), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [16190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(283), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [16202] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_prefetch,
    ACTIONS(1191), 1,
      anon_sym_when,
    ACTIONS(1193), 1,
      anon_sym_on,
    STATE(508), 1,
      sym_defer_trigger_condition,
  [16218] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1211), 4,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      sym_identifier,
  [16228] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 1,
      anon_sym_SEMI,
    ACTIONS(1215), 1,
      anon_sym_RPAREN,
    STATE(528), 1,
      aux_sym_defer_trigger_repeat1,
  [16241] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(562), 3,
      sym_case_start,
      sym_default_start,
      anon_sym_RBRACE,
  [16250] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [16259] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1219), 1,
      anon_sym_DQUOTE,
    ACTIONS(1221), 1,
      anon_sym_SEMI,
    STATE(695), 1,
      sym__context_expression,
  [16272] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 3,
      sym_case_start,
      sym_default_start,
      anon_sym_RBRACE,
  [16281] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [16290] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1178), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [16299] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_SEMI,
    ACTIONS(1229), 1,
      anon_sym_RPAREN,
    STATE(662), 1,
      sym_if_reference,
  [16312] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1231), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [16321] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1020), 1,
      anon_sym_QMARK,
    ACTIONS(1022), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1233), 1,
      anon_sym_DQUOTE,
  [16334] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1020), 1,
      anon_sym_QMARK,
    ACTIONS(1022), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1235), 1,
      anon_sym_DQUOTE,
  [16347] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1237), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [16356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(279), 1,
      anon_sym_QMARK,
    ACTIONS(275), 2,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
  [16367] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 3,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [16376] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(460), 1,
      anon_sym_RPAREN,
    ACTIONS(462), 1,
      anon_sym_COMMA,
    STATE(514), 1,
      aux_sym_arguments_repeat1,
  [16389] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1020), 1,
      anon_sym_QMARK,
    ACTIONS(1022), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1241), 1,
      anon_sym_COMMA,
  [16402] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 1,
      anon_sym_LT_SLASH,
    ACTIONS(1245), 1,
      sym_raw_text,
    STATE(201), 1,
      sym_end_tag,
  [16415] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 1,
      anon_sym_LT_SLASH,
    ACTIONS(1247), 1,
      sym_raw_text,
    STATE(202), 1,
      sym_end_tag,
  [16428] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      anon_sym_LT_SLASH,
    ACTIONS(1251), 1,
      sym_raw_text,
    STATE(181), 1,
      sym_end_tag,
  [16441] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 1,
      anon_sym_QMARK,
    ACTIONS(1255), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1257), 1,
      sym__interpolation_end,
  [16454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(560), 1,
      sym_timed_expression,
    ACTIONS(1259), 2,
      anon_sym_after,
      anon_sym_minimum,
  [16465] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1261), 1,
      anon_sym_COMMA,
    ACTIONS(1263), 1,
      anon_sym_RBRACK,
    STATE(511), 1,
      aux_sym_array_repeat1,
  [16478] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1020), 1,
      anon_sym_QMARK,
    ACTIONS(1022), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1265), 1,
      anon_sym_RPAREN,
  [16491] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1261), 1,
      anon_sym_COMMA,
    ACTIONS(1267), 1,
      anon_sym_RBRACK,
    STATE(504), 1,
      aux_sym_array_repeat1,
  [16504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(671), 1,
      sym_timed_expression,
    ACTIONS(1259), 2,
      anon_sym_after,
      anon_sym_minimum,
  [16515] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1261), 1,
      anon_sym_COMMA,
    ACTIONS(1269), 1,
      anon_sym_RBRACK,
    STATE(511), 1,
      aux_sym_array_repeat1,
  [16528] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 1,
      anon_sym_QMARK,
    ACTIONS(1255), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1271), 1,
      sym__interpolation_end,
  [16541] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      anon_sym_LT_SLASH,
    ACTIONS(1273), 1,
      sym_raw_text,
    STATE(182), 1,
      sym_end_tag,
  [16554] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_SEMI,
    ACTIONS(1275), 1,
      anon_sym_RPAREN,
    STATE(673), 1,
      sym_if_reference,
  [16567] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 1,
      anon_sym_SEMI,
    ACTIONS(1277), 1,
      anon_sym_RPAREN,
    STATE(479), 1,
      aux_sym_defer_trigger_repeat1,
  [16580] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1279), 1,
      anon_sym_PLUS,
    ACTIONS(1281), 1,
      sym__interpolation_end,
    STATE(518), 1,
      aux_sym_concatenation_expression_repeat1,
  [16593] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1283), 1,
      anon_sym_else,
    ACTIONS(1285), 1,
      anon_sym_context,
    ACTIONS(1287), 1,
      sym_identifier,
  [16606] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 1,
      anon_sym_COMMA,
    ACTIONS(1292), 1,
      anon_sym_RBRACK,
    STATE(511), 1,
      aux_sym_array_repeat1,
  [16619] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1020), 1,
      anon_sym_QMARK,
    ACTIONS(1022), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1294), 1,
      anon_sym_RPAREN,
  [16632] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1261), 1,
      anon_sym_COMMA,
    ACTIONS(1296), 1,
      anon_sym_RBRACK,
    STATE(516), 1,
      aux_sym_array_repeat1,
  [16645] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(462), 1,
      anon_sym_COMMA,
    ACTIONS(1298), 1,
      anon_sym_RPAREN,
    STATE(537), 1,
      aux_sym_arguments_repeat1,
  [16658] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1300), 1,
      anon_sym_let,
    ACTIONS(1302), 1,
      sym_identifier,
    STATE(485), 1,
      sym_structural_assignment,
  [16671] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1261), 1,
      anon_sym_COMMA,
    ACTIONS(1304), 1,
      anon_sym_RBRACK,
    STATE(511), 1,
      aux_sym_array_repeat1,
  [16684] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 1,
      anon_sym_SEMI,
    ACTIONS(1306), 1,
      anon_sym_DQUOTE,
    STATE(655), 1,
      sym__context_expression,
  [16697] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1279), 1,
      anon_sym_PLUS,
    ACTIONS(1308), 1,
      sym__interpolation_end,
    STATE(541), 1,
      aux_sym_concatenation_expression_repeat1,
  [16710] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1020), 1,
      anon_sym_QMARK,
    ACTIONS(1022), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1310), 1,
      anon_sym_RPAREN,
  [16723] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1020), 1,
      anon_sym_QMARK,
    ACTIONS(1022), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1312), 1,
      anon_sym_RPAREN,
  [16736] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1261), 1,
      anon_sym_COMMA,
    ACTIONS(1314), 1,
      anon_sym_RBRACK,
    STATE(522), 1,
      aux_sym_array_repeat1,
  [16749] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1261), 1,
      anon_sym_COMMA,
    ACTIONS(1316), 1,
      anon_sym_RBRACK,
    STATE(511), 1,
      aux_sym_array_repeat1,
  [16762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(693), 1,
      sym_icu_clause,
    ACTIONS(1318), 2,
      anon_sym_plural,
      anon_sym_select,
  [16773] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(574), 3,
      sym_case_start,
      sym_default_start,
      anon_sym_RBRACE,
  [16782] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1261), 1,
      anon_sym_COMMA,
    ACTIONS(1320), 1,
      anon_sym_RBRACK,
    STATE(500), 1,
      aux_sym_array_repeat1,
  [16795] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1322), 1,
      sym__start_tag_name,
    ACTIONS(1324), 1,
      sym__script_start_tag_name,
    ACTIONS(1326), 1,
      sym__style_start_tag_name,
  [16808] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1281), 1,
      anon_sym_COMMA,
    ACTIONS(1328), 1,
      anon_sym_PLUS,
    STATE(539), 1,
      aux_sym_concatenation_expression_repeat1,
  [16821] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1330), 1,
      anon_sym_SEMI,
    ACTIONS(1333), 1,
      anon_sym_RPAREN,
    STATE(528), 1,
      aux_sym_defer_trigger_repeat1,
  [16834] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_SEMI,
    ACTIONS(1335), 1,
      anon_sym_RPAREN,
    STATE(679), 1,
      sym_if_reference,
  [16847] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_SEMI,
    ACTIONS(1337), 1,
      anon_sym_RPAREN,
    STATE(680), 1,
      sym_if_reference,
  [16860] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1048), 1,
      anon_sym_COMMA,
    ACTIONS(1339), 1,
      anon_sym_PLUS,
    STATE(531), 1,
      aux_sym_concatenation_expression_repeat1,
  [16873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1134), 1,
      sym_icu_category,
    STATE(471), 2,
      sym_icu_case,
      aux_sym_icu_expression_repeat1,
  [16884] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1300), 1,
      anon_sym_let,
    ACTIONS(1302), 1,
      sym_identifier,
    STATE(458), 1,
      sym_structural_assignment,
  [16897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1134), 1,
      sym_icu_category,
    STATE(450), 2,
      sym_icu_case,
      aux_sym_icu_expression_repeat1,
  [16908] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [16917] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1324), 1,
      sym__script_start_tag_name,
    ACTIONS(1326), 1,
      sym__style_start_tag_name,
    ACTIONS(1344), 1,
      sym__start_tag_name,
  [16930] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1026), 1,
      anon_sym_RPAREN,
    ACTIONS(1346), 1,
      anon_sym_COMMA,
    STATE(537), 1,
      aux_sym_arguments_repeat1,
  [16943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 1,
      anon_sym_QMARK,
    ACTIONS(375), 2,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
  [16954] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1308), 1,
      anon_sym_COMMA,
    ACTIONS(1328), 1,
      anon_sym_PLUS,
    STATE(531), 1,
      aux_sym_concatenation_expression_repeat1,
  [16967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(637), 1,
      sym_timed_expression,
    ACTIONS(1259), 2,
      anon_sym_after,
      anon_sym_minimum,
  [16978] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1048), 1,
      sym__interpolation_end,
    ACTIONS(1349), 1,
      anon_sym_PLUS,
    STATE(541), 1,
      aux_sym_concatenation_expression_repeat1,
  [16991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(709), 1,
      sym_icu_clause,
    ACTIONS(1318), 2,
      anon_sym_plural,
      anon_sym_select,
  [17002] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1020), 1,
      anon_sym_QMARK,
    ACTIONS(1022), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1352), 1,
      anon_sym_COMMA,
  [17015] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 3,
      sym_case_start,
      sym_default_start,
      anon_sym_RBRACE,
  [17024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 1,
      sym_identifier,
    STATE(607), 1,
      sym_for_declaration,
  [17034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 1,
      anon_sym_LBRACE,
    STATE(199), 1,
      sym_statement_block,
  [17044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1152), 1,
      anon_sym_DQUOTE,
    STATE(363), 1,
      sym__double_quote,
  [17054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 1,
      anon_sym_LBRACE,
    STATE(205), 1,
      sym_statement_block,
  [17064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 1,
      anon_sym_LBRACE,
    STATE(206), 1,
      sym_statement_block,
  [17074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 1,
      anon_sym_LBRACE,
    STATE(207), 1,
      sym_statement_block,
  [17084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1358), 1,
      anon_sym_LBRACE,
    STATE(544), 1,
      sym_statement_block,
  [17094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 1,
      anon_sym_LT_SLASH,
    STATE(212), 1,
      sym_end_tag,
  [17104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 1,
      anon_sym_LT_SLASH,
    STATE(213), 1,
      sym_end_tag,
  [17114] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1360), 2,
      anon_sym_ms,
      anon_sym_s,
  [17122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1362), 1,
      sym_identifier,
    STATE(492), 1,
      sym_assignment_expression,
  [17132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 1,
      sym_identifier,
    STATE(111), 1,
      sym_pipe_call,
  [17142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 1,
      sym_identifier,
    STATE(26), 1,
      sym_call_expression,
  [17152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1368), 1,
      sym_identifier,
    STATE(247), 1,
      sym_pipe_call,
  [17162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1124), 1,
      anon_sym_LBRACE,
    STATE(177), 1,
      sym_statement_block,
  [17172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 1,
      anon_sym_SEMI,
    ACTIONS(1372), 1,
      anon_sym_RPAREN,
  [17182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1124), 1,
      anon_sym_LBRACE,
    STATE(150), 1,
      sym_statement_block,
  [17192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1374), 1,
      sym_identifier,
    STATE(117), 1,
      sym_call_expression,
  [17202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 1,
      anon_sym_LBRACE,
    STATE(59), 1,
      sym_statement_block,
  [17212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 1,
      anon_sym_LBRACE,
    STATE(221), 1,
      sym_statement_block,
  [17222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1376), 1,
      anon_sym_LBRACE,
    STATE(222), 1,
      sym_switch_body,
  [17232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 1,
      anon_sym_LBRACE,
    STATE(223), 1,
      sym_statement_block,
  [17242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1358), 1,
      anon_sym_LBRACE,
    STATE(483), 1,
      sym_statement_block,
  [17252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 1,
      anon_sym_LBRACE,
    STATE(62), 1,
      sym_statement_block,
  [17262] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 1,
      anon_sym_LBRACE,
    STATE(226), 1,
      sym_statement_block,
  [17272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 1,
      anon_sym_SQUOTE,
    ACTIONS(1380), 1,
      aux_sym_quoted_attribute_value_token1,
  [17282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 1,
      anon_sym_DQUOTE,
    ACTIONS(1382), 1,
      aux_sym_quoted_attribute_value_token2,
  [17292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(942), 1,
      anon_sym_EQ,
    STATE(381), 1,
      sym__binding_assignment,
  [17302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(942), 1,
      anon_sym_EQ,
    STATE(375), 1,
      sym__binding_assignment,
  [17312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(942), 1,
      anon_sym_EQ,
    STATE(377), 1,
      sym__binding_assignment,
  [17322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 1,
      anon_sym_LBRACE,
    STATE(227), 1,
      sym_statement_block,
  [17332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1384), 1,
      anon_sym_DQUOTE,
    STATE(385), 1,
      sym__double_quote,
  [17342] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1386), 2,
      anon_sym_EQ,
      sym_identifier,
  [17350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 1,
      anon_sym_DQUOTE,
    STATE(387), 1,
      sym__double_quote,
  [17360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1388), 1,
      sym__end_tag_name,
    ACTIONS(1390), 1,
      sym_erroneous_end_tag_name,
  [17370] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      anon_sym_LT_SLASH,
    STATE(145), 1,
      sym_end_tag,
  [17380] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1392), 2,
      sym_raw_text,
      anon_sym_LT_SLASH,
  [17388] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1394), 2,
      sym_raw_text,
      anon_sym_LT_SLASH,
  [17396] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1292), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [17404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1362), 1,
      sym_identifier,
    STATE(707), 1,
      sym_assignment_expression,
  [17414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1124), 1,
      anon_sym_LBRACE,
    STATE(24), 1,
      sym_statement_block,
  [17424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      anon_sym_LT_SLASH,
    STATE(185), 1,
      sym_end_tag,
  [17434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1396), 1,
      sym_identifier,
    STATE(133), 1,
      sym_pipe_call,
  [17444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1398), 1,
      sym_identifier,
    STATE(37), 1,
      sym_call_expression,
  [17454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1124), 1,
      anon_sym_LBRACE,
    STATE(168), 1,
      sym_statement_block,
  [17464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1400), 1,
      anon_sym_SQUOTE,
    STATE(706), 1,
      sym__single_quote,
  [17474] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1402), 2,
      sym_raw_text,
      anon_sym_LT_SLASH,
  [17482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1124), 1,
      anon_sym_LBRACE,
    STATE(154), 1,
      sym_statement_block,
  [17492] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1404), 2,
      sym_raw_text,
      anon_sym_LT_SLASH,
  [17500] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1406), 1,
      anon_sym_when,
    ACTIONS(1408), 1,
      anon_sym_on,
  [17510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1124), 1,
      anon_sym_LBRACE,
    STATE(32), 1,
      sym_statement_block,
  [17520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1362), 1,
      sym_identifier,
    STATE(449), 1,
      sym_assignment_expression,
  [17530] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      sym_identifier,
    STATE(335), 1,
      sym_pipe_call,
  [17540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1412), 1,
      sym_identifier,
    STATE(314), 1,
      sym_call_expression,
  [17550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 1,
      anon_sym_context,
    ACTIONS(1287), 1,
      sym_identifier,
  [17560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1414), 1,
      anon_sym_RBRACE,
    ACTIONS(1416), 1,
      sym_icu_category,
  [17570] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1418), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [17578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1362), 1,
      sym_identifier,
    STATE(649), 1,
      sym_assignment_expression,
  [17588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1390), 1,
      sym_erroneous_end_tag_name,
    ACTIONS(1420), 1,
      sym__end_tag_name,
  [17598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 1,
      anon_sym_DQUOTE,
    STATE(362), 1,
      sym__double_quote,
  [17608] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1424), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [17616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1426), 1,
      anon_sym_SEMI,
    ACTIONS(1428), 1,
      anon_sym_RPAREN,
  [17626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1430), 1,
      anon_sym_SEMI,
    ACTIONS(1432), 1,
      anon_sym_RPAREN,
  [17636] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 1,
      sym_identifier,
    STATE(606), 1,
      sym_for_declaration,
  [17646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1124), 1,
      anon_sym_LBRACE,
    STATE(184), 1,
      sym_statement_block,
  [17656] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1434), 2,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
  [17664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_DQUOTE,
    STATE(72), 1,
      sym__double_quote,
  [17674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1438), 1,
      anon_sym_SQUOTE,
    ACTIONS(1440), 1,
      aux_sym_quoted_attribute_value_token1,
  [17684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1438), 1,
      anon_sym_DQUOTE,
    ACTIONS(1442), 1,
      aux_sym_quoted_attribute_value_token2,
  [17694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(899), 1,
      anon_sym_EQ,
    STATE(368), 1,
      sym__binding_assignment,
  [17704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 1,
      anon_sym_DQUOTE,
    STATE(53), 1,
      sym__double_quote,
  [17714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(899), 1,
      anon_sym_EQ,
    STATE(371), 1,
      sym__binding_assignment,
  [17724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(899), 1,
      anon_sym_EQ,
    STATE(355), 1,
      sym__binding_assignment,
  [17734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_let,
    STATE(651), 1,
      sym_for_reference,
  [17744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1124), 1,
      anon_sym_LBRACE,
    STATE(174), 1,
      sym_statement_block,
  [17754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1448), 1,
      anon_sym_DQUOTE,
    STATE(76), 1,
      sym__double_quote,
  [17764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1124), 1,
      anon_sym_LBRACE,
    STATE(167), 1,
      sym_statement_block,
  [17774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1124), 1,
      anon_sym_LBRACE,
    STATE(189), 1,
      sym_statement_block,
  [17784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1450), 1,
      anon_sym_LBRACE,
    STATE(175), 1,
      sym_switch_body,
  [17794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1124), 1,
      anon_sym_LBRACE,
    STATE(164), 1,
      sym_statement_block,
  [17804] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 1,
      anon_sym_LBRACE,
    STATE(194), 1,
      sym_statement_block,
  [17814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_let,
    STATE(684), 1,
      sym_for_reference,
  [17824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1452), 1,
      anon_sym_DQUOTE,
    STATE(63), 1,
      sym__double_quote,
  [17834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 1,
      anon_sym_LBRACE,
    STATE(196), 1,
      sym_statement_block,
  [17844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1124), 1,
      anon_sym_LBRACE,
    STATE(146), 1,
      sym_statement_block,
  [17854] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1044), 1,
      anon_sym_RBRACK,
  [17861] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      aux_sym_doctype_token1,
  [17868] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1456), 1,
      sym_identifier,
  [17875] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1458), 1,
      anon_sym_COLON,
  [17882] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1460), 1,
      anon_sym_RPAREN,
  [17889] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 1,
      anon_sym_COLON,
  [17896] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 1,
      anon_sym_COLON,
  [17903] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1466), 1,
      anon_sym_RPAREN,
  [17910] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1468), 1,
      sym_identifier,
  [17917] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1046), 1,
      anon_sym_RBRACK,
  [17924] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1470), 1,
      anon_sym_RBRACK,
  [17931] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1472), 1,
      anon_sym_LPAREN,
  [17938] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      sym_identifier,
  [17945] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1476), 1,
      anon_sym_LBRACE,
  [17952] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1478), 1,
      anon_sym_LBRACE,
  [17959] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1480), 1,
      anon_sym_SEMI,
  [17966] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1482), 1,
      anon_sym_DQUOTE,
  [17973] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1484), 1,
      anon_sym_DQUOTE,
  [17980] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_LBRACE,
  [17987] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1488), 1,
      anon_sym_SEMI,
  [17994] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1490), 1,
      anon_sym_LBRACE,
  [18001] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1492), 1,
      anon_sym_RPAREN,
  [18008] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1494), 1,
      anon_sym_LPAREN,
  [18015] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1496), 1,
      anon_sym_track,
  [18022] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1498), 1,
      anon_sym_RPAREN,
  [18029] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1500), 1,
      anon_sym_DQUOTE,
  [18036] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1502), 1,
      anon_sym_GT,
  [18043] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1504), 1,
      anon_sym_GT,
  [18050] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1506), 1,
      anon_sym_of,
  [18057] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1024), 1,
      anon_sym_RBRACK,
  [18064] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1508), 1,
      anon_sym_GT,
  [18071] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 1,
      anon_sym_SQUOTE,
  [18078] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1512), 1,
      anon_sym_RPAREN,
  [18085] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1390), 1,
      sym_erroneous_end_tag_name,
  [18092] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1514), 1,
      anon_sym_LBRACE,
  [18099] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1271), 1,
      sym__interpolation_end,
  [18106] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1516), 1,
      aux_sym_doctype_token1,
  [18113] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 1,
      anon_sym_DQUOTE,
  [18120] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1420), 1,
      sym__end_tag_name,
  [18127] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1518), 1,
      anon_sym_as,
  [18134] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1520), 1,
      anon_sym_RBRACK,
  [18141] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1522), 1,
      anon_sym_RPAREN,
  [18148] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1524), 1,
      sym_identifier,
  [18155] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1526), 1,
      anon_sym_RPAREN,
  [18162] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1528), 1,
      anon_sym_RPAREN,
  [18169] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1530), 1,
      anon_sym_RPAREN,
  [18176] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1532), 1,
      anon_sym_GT,
  [18183] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_RPAREN_RBRACK,
  [18190] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 1,
      sym__interpolation_end,
  [18197] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1536), 1,
      anon_sym_RPAREN,
  [18204] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_RPAREN,
  [18211] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1540), 1,
      anon_sym_RPAREN,
  [18218] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 1,
      anon_sym_RBRACK,
  [18225] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1544), 1,
      anon_sym_RPAREN_RBRACK,
  [18232] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1546), 1,
      anon_sym_RPAREN,
  [18239] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1548), 1,
      sym__doctype,
  [18246] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1550), 1,
      anon_sym_GT,
  [18253] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1552), 1,
      anon_sym_LBRACE,
  [18260] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1554), 1,
      anon_sym_LPAREN,
  [18267] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1556), 1,
      sym_number,
  [18274] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_RPAREN,
  [18281] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1560), 1,
      anon_sym_DQUOTE,
  [18288] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1562), 1,
      anon_sym_COMMA,
  [18295] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1564), 1,
      anon_sym_COMMA,
  [18302] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1388), 1,
      sym__end_tag_name,
  [18309] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1566), 1,
      anon_sym_DQUOTE,
  [18316] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1568), 1,
      sym_identifier,
  [18323] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1570), 1,
      sym_identifier,
  [18330] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1572), 1,
      anon_sym_RPAREN,
  [18337] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1574), 1,
      anon_sym_RPAREN,
  [18344] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1576), 1,
      sym__doctype,
  [18351] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1578), 1,
      anon_sym_GT,
  [18358] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1580), 1,
      sym_identifier,
  [18365] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1582), 1,
      anon_sym_LPAREN,
  [18372] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1584), 1,
      anon_sym_EQ,
  [18379] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1052), 1,
      anon_sym_RBRACK,
  [18386] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1586), 1,
      anon_sym_RBRACK,
  [18393] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1588), 1,
      anon_sym_SEMI,
  [18400] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_COMMA,
  [18407] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_COMMA,
  [18414] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1592), 1,
      anon_sym_LPAREN,
  [18421] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1594), 1,
      sym_erroneous_end_tag_name,
  [18428] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1596), 1,
      anon_sym_LPAREN,
  [18435] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1598), 1,
      anon_sym_LPAREN,
  [18442] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1600), 1,
      anon_sym_LPAREN,
  [18449] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 1,
      anon_sym_LPAREN,
  [18456] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1604), 1,
      ts_builtin_sym_end,
  [18463] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1482), 1,
      anon_sym_SQUOTE,
  [18470] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1352), 1,
      anon_sym_COMMA,
  [18477] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1606), 1,
      anon_sym_RPAREN,
  [18484] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1608), 1,
      anon_sym_RBRACK,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2)] = 0,
  [SMALL_STATE(3)] = 117,
  [SMALL_STATE(4)] = 234,
  [SMALL_STATE(5)] = 349,
  [SMALL_STATE(6)] = 466,
  [SMALL_STATE(7)] = 583,
  [SMALL_STATE(8)] = 697,
  [SMALL_STATE(9)] = 811,
  [SMALL_STATE(10)] = 925,
  [SMALL_STATE(11)] = 1039,
  [SMALL_STATE(12)] = 1153,
  [SMALL_STATE(13)] = 1267,
  [SMALL_STATE(14)] = 1381,
  [SMALL_STATE(15)] = 1495,
  [SMALL_STATE(16)] = 1609,
  [SMALL_STATE(17)] = 1720,
  [SMALL_STATE(18)] = 1760,
  [SMALL_STATE(19)] = 1808,
  [SMALL_STATE(20)] = 1848,
  [SMALL_STATE(21)] = 1888,
  [SMALL_STATE(22)] = 1925,
  [SMALL_STATE(23)] = 1990,
  [SMALL_STATE(24)] = 2027,
  [SMALL_STATE(25)] = 2092,
  [SMALL_STATE(26)] = 2157,
  [SMALL_STATE(27)] = 2194,
  [SMALL_STATE(28)] = 2231,
  [SMALL_STATE(29)] = 2268,
  [SMALL_STATE(30)] = 2305,
  [SMALL_STATE(31)] = 2342,
  [SMALL_STATE(32)] = 2383,
  [SMALL_STATE(33)] = 2448,
  [SMALL_STATE(34)] = 2487,
  [SMALL_STATE(35)] = 2524,
  [SMALL_STATE(36)] = 2577,
  [SMALL_STATE(37)] = 2614,
  [SMALL_STATE(38)] = 2651,
  [SMALL_STATE(39)] = 2688,
  [SMALL_STATE(40)] = 2735,
  [SMALL_STATE(41)] = 2784,
  [SMALL_STATE(42)] = 2821,
  [SMALL_STATE(43)] = 2886,
  [SMALL_STATE(44)] = 2923,
  [SMALL_STATE(45)] = 2960,
  [SMALL_STATE(46)] = 3024,
  [SMALL_STATE(47)] = 3088,
  [SMALL_STATE(48)] = 3124,
  [SMALL_STATE(49)] = 3160,
  [SMALL_STATE(50)] = 3196,
  [SMALL_STATE(51)] = 3232,
  [SMALL_STATE(52)] = 3268,
  [SMALL_STATE(53)] = 3320,
  [SMALL_STATE(54)] = 3384,
  [SMALL_STATE(55)] = 3420,
  [SMALL_STATE(56)] = 3456,
  [SMALL_STATE(57)] = 3492,
  [SMALL_STATE(58)] = 3556,
  [SMALL_STATE(59)] = 3596,
  [SMALL_STATE(60)] = 3660,
  [SMALL_STATE(61)] = 3708,
  [SMALL_STATE(62)] = 3750,
  [SMALL_STATE(63)] = 3814,
  [SMALL_STATE(64)] = 3878,
  [SMALL_STATE(65)] = 3919,
  [SMALL_STATE(66)] = 3958,
  [SMALL_STATE(67)] = 3997,
  [SMALL_STATE(68)] = 4036,
  [SMALL_STATE(69)] = 4075,
  [SMALL_STATE(70)] = 4126,
  [SMALL_STATE(71)] = 4173,
  [SMALL_STATE(72)] = 4233,
  [SMALL_STATE(73)] = 4293,
  [SMALL_STATE(74)] = 4353,
  [SMALL_STATE(75)] = 4413,
  [SMALL_STATE(76)] = 4451,
  [SMALL_STATE(77)] = 4511,
  [SMALL_STATE(78)] = 4571,
  [SMALL_STATE(79)] = 4631,
  [SMALL_STATE(80)] = 4669,
  [SMALL_STATE(81)] = 4729,
  [SMALL_STATE(82)] = 4789,
  [SMALL_STATE(83)] = 4849,
  [SMALL_STATE(84)] = 4908,
  [SMALL_STATE(85)] = 4955,
  [SMALL_STATE(86)] = 5012,
  [SMALL_STATE(87)] = 5049,
  [SMALL_STATE(88)] = 5106,
  [SMALL_STATE(89)] = 5163,
  [SMALL_STATE(90)] = 5210,
  [SMALL_STATE(91)] = 5253,
  [SMALL_STATE(92)] = 5290,
  [SMALL_STATE(93)] = 5327,
  [SMALL_STATE(94)] = 5386,
  [SMALL_STATE(95)] = 5443,
  [SMALL_STATE(96)] = 5500,
  [SMALL_STATE(97)] = 5545,
  [SMALL_STATE(98)] = 5602,
  [SMALL_STATE(99)] = 5651,
  [SMALL_STATE(100)] = 5700,
  [SMALL_STATE(101)] = 5735,
  [SMALL_STATE(102)] = 5794,
  [SMALL_STATE(103)] = 5851,
  [SMALL_STATE(104)] = 5910,
  [SMALL_STATE(105)] = 5967,
  [SMALL_STATE(106)] = 6024,
  [SMALL_STATE(107)] = 6081,
  [SMALL_STATE(108)] = 6138,
  [SMALL_STATE(109)] = 6173,
  [SMALL_STATE(110)] = 6205,
  [SMALL_STATE(111)] = 6241,
  [SMALL_STATE(112)] = 6273,
  [SMALL_STATE(113)] = 6305,
  [SMALL_STATE(114)] = 6337,
  [SMALL_STATE(115)] = 6369,
  [SMALL_STATE(116)] = 6401,
  [SMALL_STATE(117)] = 6437,
  [SMALL_STATE(118)] = 6469,
  [SMALL_STATE(119)] = 6501,
  [SMALL_STATE(120)] = 6533,
  [SMALL_STATE(121)] = 6565,
  [SMALL_STATE(122)] = 6597,
  [SMALL_STATE(123)] = 6629,
  [SMALL_STATE(124)] = 6661,
  [SMALL_STATE(125)] = 6697,
  [SMALL_STATE(126)] = 6754,
  [SMALL_STATE(127)] = 6791,
  [SMALL_STATE(128)] = 6822,
  [SMALL_STATE(129)] = 6859,
  [SMALL_STATE(130)] = 6916,
  [SMALL_STATE(131)] = 6973,
  [SMALL_STATE(132)] = 7008,
  [SMALL_STATE(133)] = 7065,
  [SMALL_STATE(134)] = 7096,
  [SMALL_STATE(135)] = 7133,
  [SMALL_STATE(136)] = 7164,
  [SMALL_STATE(137)] = 7218,
  [SMALL_STATE(138)] = 7248,
  [SMALL_STATE(139)] = 7302,
  [SMALL_STATE(140)] = 7336,
  [SMALL_STATE(141)] = 7390,
  [SMALL_STATE(142)] = 7444,
  [SMALL_STATE(143)] = 7478,
  [SMALL_STATE(144)] = 7514,
  [SMALL_STATE(145)] = 7550,
  [SMALL_STATE(146)] = 7579,
  [SMALL_STATE(147)] = 7608,
  [SMALL_STATE(148)] = 7637,
  [SMALL_STATE(149)] = 7666,
  [SMALL_STATE(150)] = 7695,
  [SMALL_STATE(151)] = 7724,
  [SMALL_STATE(152)] = 7753,
  [SMALL_STATE(153)] = 7782,
  [SMALL_STATE(154)] = 7811,
  [SMALL_STATE(155)] = 7840,
  [SMALL_STATE(156)] = 7869,
  [SMALL_STATE(157)] = 7898,
  [SMALL_STATE(158)] = 7927,
  [SMALL_STATE(159)] = 7956,
  [SMALL_STATE(160)] = 7985,
  [SMALL_STATE(161)] = 8014,
  [SMALL_STATE(162)] = 8043,
  [SMALL_STATE(163)] = 8072,
  [SMALL_STATE(164)] = 8101,
  [SMALL_STATE(165)] = 8130,
  [SMALL_STATE(166)] = 8159,
  [SMALL_STATE(167)] = 8188,
  [SMALL_STATE(168)] = 8217,
  [SMALL_STATE(169)] = 8246,
  [SMALL_STATE(170)] = 8275,
  [SMALL_STATE(171)] = 8304,
  [SMALL_STATE(172)] = 8333,
  [SMALL_STATE(173)] = 8368,
  [SMALL_STATE(174)] = 8397,
  [SMALL_STATE(175)] = 8426,
  [SMALL_STATE(176)] = 8455,
  [SMALL_STATE(177)] = 8484,
  [SMALL_STATE(178)] = 8513,
  [SMALL_STATE(179)] = 8542,
  [SMALL_STATE(180)] = 8571,
  [SMALL_STATE(181)] = 8600,
  [SMALL_STATE(182)] = 8629,
  [SMALL_STATE(183)] = 8658,
  [SMALL_STATE(184)] = 8693,
  [SMALL_STATE(185)] = 8722,
  [SMALL_STATE(186)] = 8751,
  [SMALL_STATE(187)] = 8780,
  [SMALL_STATE(188)] = 8809,
  [SMALL_STATE(189)] = 8838,
  [SMALL_STATE(190)] = 8867,
  [SMALL_STATE(191)] = 8895,
  [SMALL_STATE(192)] = 8923,
  [SMALL_STATE(193)] = 8951,
  [SMALL_STATE(194)] = 8979,
  [SMALL_STATE(195)] = 9007,
  [SMALL_STATE(196)] = 9035,
  [SMALL_STATE(197)] = 9063,
  [SMALL_STATE(198)] = 9091,
  [SMALL_STATE(199)] = 9119,
  [SMALL_STATE(200)] = 9147,
  [SMALL_STATE(201)] = 9175,
  [SMALL_STATE(202)] = 9203,
  [SMALL_STATE(203)] = 9231,
  [SMALL_STATE(204)] = 9259,
  [SMALL_STATE(205)] = 9287,
  [SMALL_STATE(206)] = 9315,
  [SMALL_STATE(207)] = 9343,
  [SMALL_STATE(208)] = 9371,
  [SMALL_STATE(209)] = 9399,
  [SMALL_STATE(210)] = 9427,
  [SMALL_STATE(211)] = 9455,
  [SMALL_STATE(212)] = 9483,
  [SMALL_STATE(213)] = 9511,
  [SMALL_STATE(214)] = 9539,
  [SMALL_STATE(215)] = 9571,
  [SMALL_STATE(216)] = 9619,
  [SMALL_STATE(217)] = 9647,
  [SMALL_STATE(218)] = 9675,
  [SMALL_STATE(219)] = 9703,
  [SMALL_STATE(220)] = 9731,
  [SMALL_STATE(221)] = 9759,
  [SMALL_STATE(222)] = 9787,
  [SMALL_STATE(223)] = 9815,
  [SMALL_STATE(224)] = 9843,
  [SMALL_STATE(225)] = 9871,
  [SMALL_STATE(226)] = 9899,
  [SMALL_STATE(227)] = 9927,
  [SMALL_STATE(228)] = 9955,
  [SMALL_STATE(229)] = 9983,
  [SMALL_STATE(230)] = 10011,
  [SMALL_STATE(231)] = 10059,
  [SMALL_STATE(232)] = 10091,
  [SMALL_STATE(233)] = 10139,
  [SMALL_STATE(234)] = 10167,
  [SMALL_STATE(235)] = 10215,
  [SMALL_STATE(236)] = 10243,
  [SMALL_STATE(237)] = 10291,
  [SMALL_STATE(238)] = 10319,
  [SMALL_STATE(239)] = 10347,
  [SMALL_STATE(240)] = 10375,
  [SMALL_STATE(241)] = 10403,
  [SMALL_STATE(242)] = 10431,
  [SMALL_STATE(243)] = 10464,
  [SMALL_STATE(244)] = 10511,
  [SMALL_STATE(245)] = 10558,
  [SMALL_STATE(246)] = 10605,
  [SMALL_STATE(247)] = 10632,
  [SMALL_STATE(248)] = 10659,
  [SMALL_STATE(249)] = 10706,
  [SMALL_STATE(250)] = 10739,
  [SMALL_STATE(251)] = 10786,
  [SMALL_STATE(252)] = 10832,
  [SMALL_STATE(253)] = 10878,
  [SMALL_STATE(254)] = 10922,
  [SMALL_STATE(255)] = 10968,
  [SMALL_STATE(256)] = 11012,
  [SMALL_STATE(257)] = 11058,
  [SMALL_STATE(258)] = 11104,
  [SMALL_STATE(259)] = 11150,
  [SMALL_STATE(260)] = 11180,
  [SMALL_STATE(261)] = 11224,
  [SMALL_STATE(262)] = 11270,
  [SMALL_STATE(263)] = 11314,
  [SMALL_STATE(264)] = 11340,
  [SMALL_STATE(265)] = 11384,
  [SMALL_STATE(266)] = 11428,
  [SMALL_STATE(267)] = 11472,
  [SMALL_STATE(268)] = 11516,
  [SMALL_STATE(269)] = 11560,
  [SMALL_STATE(270)] = 11606,
  [SMALL_STATE(271)] = 11652,
  [SMALL_STATE(272)] = 11696,
  [SMALL_STATE(273)] = 11742,
  [SMALL_STATE(274)] = 11788,
  [SMALL_STATE(275)] = 11832,
  [SMALL_STATE(276)] = 11878,
  [SMALL_STATE(277)] = 11919,
  [SMALL_STATE(278)] = 11960,
  [SMALL_STATE(279)] = 12001,
  [SMALL_STATE(280)] = 12042,
  [SMALL_STATE(281)] = 12085,
  [SMALL_STATE(282)] = 12126,
  [SMALL_STATE(283)] = 12167,
  [SMALL_STATE(284)] = 12208,
  [SMALL_STATE(285)] = 12249,
  [SMALL_STATE(286)] = 12290,
  [SMALL_STATE(287)] = 12331,
  [SMALL_STATE(288)] = 12372,
  [SMALL_STATE(289)] = 12413,
  [SMALL_STATE(290)] = 12454,
  [SMALL_STATE(291)] = 12495,
  [SMALL_STATE(292)] = 12538,
  [SMALL_STATE(293)] = 12581,
  [SMALL_STATE(294)] = 12624,
  [SMALL_STATE(295)] = 12650,
  [SMALL_STATE(296)] = 12676,
  [SMALL_STATE(297)] = 12716,
  [SMALL_STATE(298)] = 12742,
  [SMALL_STATE(299)] = 12784,
  [SMALL_STATE(300)] = 12826,
  [SMALL_STATE(301)] = 12868,
  [SMALL_STATE(302)] = 12894,
  [SMALL_STATE(303)] = 12928,
  [SMALL_STATE(304)] = 12970,
  [SMALL_STATE(305)] = 12996,
  [SMALL_STATE(306)] = 13022,
  [SMALL_STATE(307)] = 13048,
  [SMALL_STATE(308)] = 13071,
  [SMALL_STATE(309)] = 13094,
  [SMALL_STATE(310)] = 13117,
  [SMALL_STATE(311)] = 13144,
  [SMALL_STATE(312)] = 13183,
  [SMALL_STATE(313)] = 13206,
  [SMALL_STATE(314)] = 13229,
  [SMALL_STATE(315)] = 13252,
  [SMALL_STATE(316)] = 13291,
  [SMALL_STATE(317)] = 13314,
  [SMALL_STATE(318)] = 13337,
  [SMALL_STATE(319)] = 13360,
  [SMALL_STATE(320)] = 13399,
  [SMALL_STATE(321)] = 13422,
  [SMALL_STATE(322)] = 13461,
  [SMALL_STATE(323)] = 13484,
  [SMALL_STATE(324)] = 13523,
  [SMALL_STATE(325)] = 13551,
  [SMALL_STATE(326)] = 13576,
  [SMALL_STATE(327)] = 13601,
  [SMALL_STATE(328)] = 13628,
  [SMALL_STATE(329)] = 13648,
  [SMALL_STATE(330)] = 13674,
  [SMALL_STATE(331)] = 13697,
  [SMALL_STATE(332)] = 13720,
  [SMALL_STATE(333)] = 13743,
  [SMALL_STATE(334)] = 13762,
  [SMALL_STATE(335)] = 13780,
  [SMALL_STATE(336)] = 13798,
  [SMALL_STATE(337)] = 13820,
  [SMALL_STATE(338)] = 13842,
  [SMALL_STATE(339)] = 13871,
  [SMALL_STATE(340)] = 13890,
  [SMALL_STATE(341)] = 13907,
  [SMALL_STATE(342)] = 13936,
  [SMALL_STATE(343)] = 13965,
  [SMALL_STATE(344)] = 13986,
  [SMALL_STATE(345)] = 14015,
  [SMALL_STATE(346)] = 14034,
  [SMALL_STATE(347)] = 14063,
  [SMALL_STATE(348)] = 14082,
  [SMALL_STATE(349)] = 14111,
  [SMALL_STATE(350)] = 14140,
  [SMALL_STATE(351)] = 14169,
  [SMALL_STATE(352)] = 14198,
  [SMALL_STATE(353)] = 14217,
  [SMALL_STATE(354)] = 14234,
  [SMALL_STATE(355)] = 14255,
  [SMALL_STATE(356)] = 14271,
  [SMALL_STATE(357)] = 14287,
  [SMALL_STATE(358)] = 14303,
  [SMALL_STATE(359)] = 14319,
  [SMALL_STATE(360)] = 14335,
  [SMALL_STATE(361)] = 14363,
  [SMALL_STATE(362)] = 14387,
  [SMALL_STATE(363)] = 14403,
  [SMALL_STATE(364)] = 14419,
  [SMALL_STATE(365)] = 14437,
  [SMALL_STATE(366)] = 14455,
  [SMALL_STATE(367)] = 14473,
  [SMALL_STATE(368)] = 14489,
  [SMALL_STATE(369)] = 14505,
  [SMALL_STATE(370)] = 14521,
  [SMALL_STATE(371)] = 14539,
  [SMALL_STATE(372)] = 14555,
  [SMALL_STATE(373)] = 14570,
  [SMALL_STATE(374)] = 14585,
  [SMALL_STATE(375)] = 14600,
  [SMALL_STATE(376)] = 14615,
  [SMALL_STATE(377)] = 14632,
  [SMALL_STATE(378)] = 14647,
  [SMALL_STATE(379)] = 14664,
  [SMALL_STATE(380)] = 14679,
  [SMALL_STATE(381)] = 14698,
  [SMALL_STATE(382)] = 14713,
  [SMALL_STATE(383)] = 14732,
  [SMALL_STATE(384)] = 14747,
  [SMALL_STATE(385)] = 14762,
  [SMALL_STATE(386)] = 14777,
  [SMALL_STATE(387)] = 14792,
  [SMALL_STATE(388)] = 14807,
  [SMALL_STATE(389)] = 14822,
  [SMALL_STATE(390)] = 14839,
  [SMALL_STATE(391)] = 14854,
  [SMALL_STATE(392)] = 14870,
  [SMALL_STATE(393)] = 14886,
  [SMALL_STATE(394)] = 14902,
  [SMALL_STATE(395)] = 14920,
  [SMALL_STATE(396)] = 14936,
  [SMALL_STATE(397)] = 14954,
  [SMALL_STATE(398)] = 14970,
  [SMALL_STATE(399)] = 14986,
  [SMALL_STATE(400)] = 15002,
  [SMALL_STATE(401)] = 15018,
  [SMALL_STATE(402)] = 15034,
  [SMALL_STATE(403)] = 15048,
  [SMALL_STATE(404)] = 15064,
  [SMALL_STATE(405)] = 15086,
  [SMALL_STATE(406)] = 15100,
  [SMALL_STATE(407)] = 15116,
  [SMALL_STATE(408)] = 15134,
  [SMALL_STATE(409)] = 15153,
  [SMALL_STATE(410)] = 15172,
  [SMALL_STATE(411)] = 15191,
  [SMALL_STATE(412)] = 15204,
  [SMALL_STATE(413)] = 15217,
  [SMALL_STATE(414)] = 15236,
  [SMALL_STATE(415)] = 15251,
  [SMALL_STATE(416)] = 15264,
  [SMALL_STATE(417)] = 15283,
  [SMALL_STATE(418)] = 15296,
  [SMALL_STATE(419)] = 15309,
  [SMALL_STATE(420)] = 15324,
  [SMALL_STATE(421)] = 15343,
  [SMALL_STATE(422)] = 15358,
  [SMALL_STATE(423)] = 15371,
  [SMALL_STATE(424)] = 15386,
  [SMALL_STATE(425)] = 15405,
  [SMALL_STATE(426)] = 15420,
  [SMALL_STATE(427)] = 15435,
  [SMALL_STATE(428)] = 15448,
  [SMALL_STATE(429)] = 15463,
  [SMALL_STATE(430)] = 15482,
  [SMALL_STATE(431)] = 15497,
  [SMALL_STATE(432)] = 15516,
  [SMALL_STATE(433)] = 15535,
  [SMALL_STATE(434)] = 15554,
  [SMALL_STATE(435)] = 15569,
  [SMALL_STATE(436)] = 15582,
  [SMALL_STATE(437)] = 15597,
  [SMALL_STATE(438)] = 15616,
  [SMALL_STATE(439)] = 15629,
  [SMALL_STATE(440)] = 15648,
  [SMALL_STATE(441)] = 15661,
  [SMALL_STATE(442)] = 15674,
  [SMALL_STATE(443)] = 15687,
  [SMALL_STATE(444)] = 15706,
  [SMALL_STATE(445)] = 15719,
  [SMALL_STATE(446)] = 15734,
  [SMALL_STATE(447)] = 15753,
  [SMALL_STATE(448)] = 15772,
  [SMALL_STATE(449)] = 15788,
  [SMALL_STATE(450)] = 15802,
  [SMALL_STATE(451)] = 15816,
  [SMALL_STATE(452)] = 15830,
  [SMALL_STATE(453)] = 15844,
  [SMALL_STATE(454)] = 15856,
  [SMALL_STATE(455)] = 15870,
  [SMALL_STATE(456)] = 15884,
  [SMALL_STATE(457)] = 15898,
  [SMALL_STATE(458)] = 15914,
  [SMALL_STATE(459)] = 15928,
  [SMALL_STATE(460)] = 15944,
  [SMALL_STATE(461)] = 15960,
  [SMALL_STATE(462)] = 15976,
  [SMALL_STATE(463)] = 15990,
  [SMALL_STATE(464)] = 16004,
  [SMALL_STATE(465)] = 16020,
  [SMALL_STATE(466)] = 16036,
  [SMALL_STATE(467)] = 16052,
  [SMALL_STATE(468)] = 16066,
  [SMALL_STATE(469)] = 16082,
  [SMALL_STATE(470)] = 16098,
  [SMALL_STATE(471)] = 16114,
  [SMALL_STATE(472)] = 16128,
  [SMALL_STATE(473)] = 16144,
  [SMALL_STATE(474)] = 16160,
  [SMALL_STATE(475)] = 16176,
  [SMALL_STATE(476)] = 16190,
  [SMALL_STATE(477)] = 16202,
  [SMALL_STATE(478)] = 16218,
  [SMALL_STATE(479)] = 16228,
  [SMALL_STATE(480)] = 16241,
  [SMALL_STATE(481)] = 16250,
  [SMALL_STATE(482)] = 16259,
  [SMALL_STATE(483)] = 16272,
  [SMALL_STATE(484)] = 16281,
  [SMALL_STATE(485)] = 16290,
  [SMALL_STATE(486)] = 16299,
  [SMALL_STATE(487)] = 16312,
  [SMALL_STATE(488)] = 16321,
  [SMALL_STATE(489)] = 16334,
  [SMALL_STATE(490)] = 16347,
  [SMALL_STATE(491)] = 16356,
  [SMALL_STATE(492)] = 16367,
  [SMALL_STATE(493)] = 16376,
  [SMALL_STATE(494)] = 16389,
  [SMALL_STATE(495)] = 16402,
  [SMALL_STATE(496)] = 16415,
  [SMALL_STATE(497)] = 16428,
  [SMALL_STATE(498)] = 16441,
  [SMALL_STATE(499)] = 16454,
  [SMALL_STATE(500)] = 16465,
  [SMALL_STATE(501)] = 16478,
  [SMALL_STATE(502)] = 16491,
  [SMALL_STATE(503)] = 16504,
  [SMALL_STATE(504)] = 16515,
  [SMALL_STATE(505)] = 16528,
  [SMALL_STATE(506)] = 16541,
  [SMALL_STATE(507)] = 16554,
  [SMALL_STATE(508)] = 16567,
  [SMALL_STATE(509)] = 16580,
  [SMALL_STATE(510)] = 16593,
  [SMALL_STATE(511)] = 16606,
  [SMALL_STATE(512)] = 16619,
  [SMALL_STATE(513)] = 16632,
  [SMALL_STATE(514)] = 16645,
  [SMALL_STATE(515)] = 16658,
  [SMALL_STATE(516)] = 16671,
  [SMALL_STATE(517)] = 16684,
  [SMALL_STATE(518)] = 16697,
  [SMALL_STATE(519)] = 16710,
  [SMALL_STATE(520)] = 16723,
  [SMALL_STATE(521)] = 16736,
  [SMALL_STATE(522)] = 16749,
  [SMALL_STATE(523)] = 16762,
  [SMALL_STATE(524)] = 16773,
  [SMALL_STATE(525)] = 16782,
  [SMALL_STATE(526)] = 16795,
  [SMALL_STATE(527)] = 16808,
  [SMALL_STATE(528)] = 16821,
  [SMALL_STATE(529)] = 16834,
  [SMALL_STATE(530)] = 16847,
  [SMALL_STATE(531)] = 16860,
  [SMALL_STATE(532)] = 16873,
  [SMALL_STATE(533)] = 16884,
  [SMALL_STATE(534)] = 16897,
  [SMALL_STATE(535)] = 16908,
  [SMALL_STATE(536)] = 16917,
  [SMALL_STATE(537)] = 16930,
  [SMALL_STATE(538)] = 16943,
  [SMALL_STATE(539)] = 16954,
  [SMALL_STATE(540)] = 16967,
  [SMALL_STATE(541)] = 16978,
  [SMALL_STATE(542)] = 16991,
  [SMALL_STATE(543)] = 17002,
  [SMALL_STATE(544)] = 17015,
  [SMALL_STATE(545)] = 17024,
  [SMALL_STATE(546)] = 17034,
  [SMALL_STATE(547)] = 17044,
  [SMALL_STATE(548)] = 17054,
  [SMALL_STATE(549)] = 17064,
  [SMALL_STATE(550)] = 17074,
  [SMALL_STATE(551)] = 17084,
  [SMALL_STATE(552)] = 17094,
  [SMALL_STATE(553)] = 17104,
  [SMALL_STATE(554)] = 17114,
  [SMALL_STATE(555)] = 17122,
  [SMALL_STATE(556)] = 17132,
  [SMALL_STATE(557)] = 17142,
  [SMALL_STATE(558)] = 17152,
  [SMALL_STATE(559)] = 17162,
  [SMALL_STATE(560)] = 17172,
  [SMALL_STATE(561)] = 17182,
  [SMALL_STATE(562)] = 17192,
  [SMALL_STATE(563)] = 17202,
  [SMALL_STATE(564)] = 17212,
  [SMALL_STATE(565)] = 17222,
  [SMALL_STATE(566)] = 17232,
  [SMALL_STATE(567)] = 17242,
  [SMALL_STATE(568)] = 17252,
  [SMALL_STATE(569)] = 17262,
  [SMALL_STATE(570)] = 17272,
  [SMALL_STATE(571)] = 17282,
  [SMALL_STATE(572)] = 17292,
  [SMALL_STATE(573)] = 17302,
  [SMALL_STATE(574)] = 17312,
  [SMALL_STATE(575)] = 17322,
  [SMALL_STATE(576)] = 17332,
  [SMALL_STATE(577)] = 17342,
  [SMALL_STATE(578)] = 17350,
  [SMALL_STATE(579)] = 17360,
  [SMALL_STATE(580)] = 17370,
  [SMALL_STATE(581)] = 17380,
  [SMALL_STATE(582)] = 17388,
  [SMALL_STATE(583)] = 17396,
  [SMALL_STATE(584)] = 17404,
  [SMALL_STATE(585)] = 17414,
  [SMALL_STATE(586)] = 17424,
  [SMALL_STATE(587)] = 17434,
  [SMALL_STATE(588)] = 17444,
  [SMALL_STATE(589)] = 17454,
  [SMALL_STATE(590)] = 17464,
  [SMALL_STATE(591)] = 17474,
  [SMALL_STATE(592)] = 17482,
  [SMALL_STATE(593)] = 17492,
  [SMALL_STATE(594)] = 17500,
  [SMALL_STATE(595)] = 17510,
  [SMALL_STATE(596)] = 17520,
  [SMALL_STATE(597)] = 17530,
  [SMALL_STATE(598)] = 17540,
  [SMALL_STATE(599)] = 17550,
  [SMALL_STATE(600)] = 17560,
  [SMALL_STATE(601)] = 17570,
  [SMALL_STATE(602)] = 17578,
  [SMALL_STATE(603)] = 17588,
  [SMALL_STATE(604)] = 17598,
  [SMALL_STATE(605)] = 17608,
  [SMALL_STATE(606)] = 17616,
  [SMALL_STATE(607)] = 17626,
  [SMALL_STATE(608)] = 17636,
  [SMALL_STATE(609)] = 17646,
  [SMALL_STATE(610)] = 17656,
  [SMALL_STATE(611)] = 17664,
  [SMALL_STATE(612)] = 17674,
  [SMALL_STATE(613)] = 17684,
  [SMALL_STATE(614)] = 17694,
  [SMALL_STATE(615)] = 17704,
  [SMALL_STATE(616)] = 17714,
  [SMALL_STATE(617)] = 17724,
  [SMALL_STATE(618)] = 17734,
  [SMALL_STATE(619)] = 17744,
  [SMALL_STATE(620)] = 17754,
  [SMALL_STATE(621)] = 17764,
  [SMALL_STATE(622)] = 17774,
  [SMALL_STATE(623)] = 17784,
  [SMALL_STATE(624)] = 17794,
  [SMALL_STATE(625)] = 17804,
  [SMALL_STATE(626)] = 17814,
  [SMALL_STATE(627)] = 17824,
  [SMALL_STATE(628)] = 17834,
  [SMALL_STATE(629)] = 17844,
  [SMALL_STATE(630)] = 17854,
  [SMALL_STATE(631)] = 17861,
  [SMALL_STATE(632)] = 17868,
  [SMALL_STATE(633)] = 17875,
  [SMALL_STATE(634)] = 17882,
  [SMALL_STATE(635)] = 17889,
  [SMALL_STATE(636)] = 17896,
  [SMALL_STATE(637)] = 17903,
  [SMALL_STATE(638)] = 17910,
  [SMALL_STATE(639)] = 17917,
  [SMALL_STATE(640)] = 17924,
  [SMALL_STATE(641)] = 17931,
  [SMALL_STATE(642)] = 17938,
  [SMALL_STATE(643)] = 17945,
  [SMALL_STATE(644)] = 17952,
  [SMALL_STATE(645)] = 17959,
  [SMALL_STATE(646)] = 17966,
  [SMALL_STATE(647)] = 17973,
  [SMALL_STATE(648)] = 17980,
  [SMALL_STATE(649)] = 17987,
  [SMALL_STATE(650)] = 17994,
  [SMALL_STATE(651)] = 18001,
  [SMALL_STATE(652)] = 18008,
  [SMALL_STATE(653)] = 18015,
  [SMALL_STATE(654)] = 18022,
  [SMALL_STATE(655)] = 18029,
  [SMALL_STATE(656)] = 18036,
  [SMALL_STATE(657)] = 18043,
  [SMALL_STATE(658)] = 18050,
  [SMALL_STATE(659)] = 18057,
  [SMALL_STATE(660)] = 18064,
  [SMALL_STATE(661)] = 18071,
  [SMALL_STATE(662)] = 18078,
  [SMALL_STATE(663)] = 18085,
  [SMALL_STATE(664)] = 18092,
  [SMALL_STATE(665)] = 18099,
  [SMALL_STATE(666)] = 18106,
  [SMALL_STATE(667)] = 18113,
  [SMALL_STATE(668)] = 18120,
  [SMALL_STATE(669)] = 18127,
  [SMALL_STATE(670)] = 18134,
  [SMALL_STATE(671)] = 18141,
  [SMALL_STATE(672)] = 18148,
  [SMALL_STATE(673)] = 18155,
  [SMALL_STATE(674)] = 18162,
  [SMALL_STATE(675)] = 18169,
  [SMALL_STATE(676)] = 18176,
  [SMALL_STATE(677)] = 18183,
  [SMALL_STATE(678)] = 18190,
  [SMALL_STATE(679)] = 18197,
  [SMALL_STATE(680)] = 18204,
  [SMALL_STATE(681)] = 18211,
  [SMALL_STATE(682)] = 18218,
  [SMALL_STATE(683)] = 18225,
  [SMALL_STATE(684)] = 18232,
  [SMALL_STATE(685)] = 18239,
  [SMALL_STATE(686)] = 18246,
  [SMALL_STATE(687)] = 18253,
  [SMALL_STATE(688)] = 18260,
  [SMALL_STATE(689)] = 18267,
  [SMALL_STATE(690)] = 18274,
  [SMALL_STATE(691)] = 18281,
  [SMALL_STATE(692)] = 18288,
  [SMALL_STATE(693)] = 18295,
  [SMALL_STATE(694)] = 18302,
  [SMALL_STATE(695)] = 18309,
  [SMALL_STATE(696)] = 18316,
  [SMALL_STATE(697)] = 18323,
  [SMALL_STATE(698)] = 18330,
  [SMALL_STATE(699)] = 18337,
  [SMALL_STATE(700)] = 18344,
  [SMALL_STATE(701)] = 18351,
  [SMALL_STATE(702)] = 18358,
  [SMALL_STATE(703)] = 18365,
  [SMALL_STATE(704)] = 18372,
  [SMALL_STATE(705)] = 18379,
  [SMALL_STATE(706)] = 18386,
  [SMALL_STATE(707)] = 18393,
  [SMALL_STATE(708)] = 18400,
  [SMALL_STATE(709)] = 18407,
  [SMALL_STATE(710)] = 18414,
  [SMALL_STATE(711)] = 18421,
  [SMALL_STATE(712)] = 18428,
  [SMALL_STATE(713)] = 18435,
  [SMALL_STATE(714)] = 18442,
  [SMALL_STATE(715)] = 18449,
  [SMALL_STATE(716)] = 18456,
  [SMALL_STATE(717)] = 18463,
  [SMALL_STATE(718)] = 18470,
  [SMALL_STATE(719)] = 18477,
  [SMALL_STATE(720)] = 18484,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(536),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [39] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(526),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [61] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [73] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [75] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [77] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [79] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9),
  [81] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(685),
  [84] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(536),
  [87] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(711),
  [90] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(187),
  [93] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(74),
  [96] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(71),
  [99] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(688),
  [102] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(561),
  [105] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(710),
  [108] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(703),
  [111] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(448),
  [114] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(584),
  [117] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(629),
  [120] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(473),
  [123] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(474),
  [126] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(592),
  [129] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(652),
  [132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [148] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(700),
  [151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(526),
  [154] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(663),
  [157] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(233),
  [160] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(82),
  [163] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(77),
  [166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(712),
  [169] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(625),
  [172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(713),
  [175] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(714),
  [178] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(464),
  [181] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(602),
  [184] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(628),
  [187] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(465),
  [190] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(466),
  [193] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(546),
  [196] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(715),
  [199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 1, 0, 1),
  [201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 19),
  [207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 19),
  [209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(556),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primitive, 1, 0, 0),
  [223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primitive, 1, 0, 0),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, 0, 14),
  [229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, 0, 14),
  [231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 36),
  [233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 36),
  [235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3, 0, 0),
  [237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3, 0, 0),
  [239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 28),
  [241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 28),
  [243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 41),
  [245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 41),
  [247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 20),
  [249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 20),
  [251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4, 0, 0),
  [257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4, 0, 0),
  [259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 4, 0, 26),
  [261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 4, 0, 26),
  [263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bracket_expression, 4, 0, 19),
  [265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bracket_expression, 4, 0, 19),
  [267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pipe_argument, 2, 0, 0),
  [269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pipe_argument, 2, 0, 0),
  [271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 37),
  [273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 37),
  [275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 3, 0, 17),
  [277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 3, 0, 17),
  [281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 2, 0, 0),
  [287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 2, 0, 0),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(587),
  [291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9),
  [297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9),
  [299] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(561),
  [302] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(629),
  [305] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(473),
  [308] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(474),
  [311] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(592),
  [314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(652),
  [317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, 0, 0),
  [319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, 0, 0),
  [321] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_group, 3, 0, 0),
  [323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_group, 3, 0, 0),
  [325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(533),
  [337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(70),
  [345] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(625),
  [348] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(628),
  [351] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(465),
  [354] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(466),
  [357] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(546),
  [360] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(715),
  [363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pipe_call, 1, 0, 18),
  [365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_call, 1, 0, 18),
  [367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pipe_arguments, 1, 0, 0),
  [373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_arguments, 1, 0, 0),
  [375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, 0, 35),
  [377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ternary_expression, 5, 0, 35),
  [379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 0),
  [381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 0),
  [383] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(287),
  [386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(86),
  [410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(60),
  [412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(89),
  [414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [416] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(282),
  [419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(558),
  [427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(95),
  [431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pipe_sequence, 1, 0, 0),
  [435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_sequence, 1, 0, 0),
  [437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0),
  [439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0),
  [441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(556),
  [444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(33),
  [458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(40),
  [460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 1, 0, 0),
  [462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(96),
  [468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(587),
  [471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pipe_call, 2, 0, 27),
  [473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_call, 2, 0, 27),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 2, 0, 11),
  [483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 2, 0, 11),
  [485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 16),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 16),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__any_expression, 1, 0, 0),
  [501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__any_expression, 1, 0, 0),
  [503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(99),
  [505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(52),
  [507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(69),
  [509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(35),
  [511] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(277),
  [514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_element, 3, 0, 0),
  [520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_script_element, 3, 0, 0),
  [522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 2, 0, 8),
  [524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 2, 0, 8),
  [526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alternative_statement, 1, 0, 4),
  [528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__alternative_statement, 1, 0, 4),
  [530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__node, 1, 0, 1),
  [532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__node, 1, 0, 1),
  [534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alternative_statement, 1, 0, 5),
  [536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__alternative_statement, 1, 0, 5),
  [538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_statement, 2, 0, 8),
  [540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_statement, 2, 0, 8),
  [542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_statement, 2, 0, 8),
  [544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_placeholder_statement, 2, 0, 8),
  [546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 3, 0, 0),
  [548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 3, 0, 0),
  [550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loading_statement, 2, 0, 8),
  [552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_loading_statement, 2, 0, 8),
  [554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_statement, 2, 0, 8),
  [556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_error_statement, 2, 0, 8),
  [558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_icu_expression, 7, 0, 0),
  [560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_icu_expression, 7, 0, 0),
  [562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 2, 0, 0),
  [564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 2, 0, 0),
  [566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element, 1, 0, 0),
  [568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_element, 1, 0, 0),
  [570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alternative_statement, 1, 0, 6),
  [572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__alternative_statement, 1, 0, 6),
  [574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 3, 0, 13),
  [576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 3, 0, 13),
  [578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_statement, 2, 0, 8),
  [580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_defer_statement, 2, 0, 8),
  [582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_doctype, 4, 0, 0),
  [584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_doctype, 4, 0, 0),
  [586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_self_closing_tag, 4, 0, 0),
  [588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_self_closing_tag, 4, 0, 0),
  [590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_tag, 3, 0, 0),
  [592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_tag, 3, 0, 0),
  [594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_statement, 3, 0, 12),
  [596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_defer_statement, 3, 0, 12),
  [598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 3, 0, 0),
  [600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 3, 0, 0),
  [602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_statement, 3, 0, 0),
  [604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_statement, 3, 0, 0),
  [606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_statement, 3, 0, 12),
  [608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_placeholder_statement, 3, 0, 12),
  [610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loading_statement, 3, 0, 12),
  [612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_loading_statement, 3, 0, 12),
  [614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_self_closing_tag, 3, 0, 0),
  [616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_self_closing_tag, 3, 0, 0),
  [618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_erroneous_end_tag, 3, 0, 0),
  [620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_erroneous_end_tag, 3, 0, 0),
  [622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element, 3, 0, 13),
  [624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_element, 3, 0, 13),
  [626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alternative_statement, 1, 0, 7),
  [632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__alternative_statement, 1, 0, 7),
  [634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 5, 0, 29),
  [636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 5, 0, 29),
  [638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 5, 0, 30),
  [640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 5, 0, 30),
  [642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__any_statement, 1, 0, 1),
  [644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__any_statement, 1, 0, 1),
  [646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_statement, 5, 0, 28),
  [648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_statement, 5, 0, 28),
  [650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element, 2, 0, 0),
  [652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_element, 2, 0, 0),
  [654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alternative_statement, 1, 0, 2),
  [656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__alternative_statement, 1, 0, 2),
  [658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_element, 2, 0, 0),
  [660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_script_element, 2, 0, 0),
  [662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_style_element, 2, 0, 0),
  [664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_style_element, 2, 0, 0),
  [666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_statement, 6, 0, 37),
  [668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_statement, 6, 0, 37),
  [670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_style_element, 3, 0, 0),
  [672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_style_element, 3, 0, 0),
  [674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 1),
  [676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 1),
  [678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 1, 0, 1),
  [680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_document_repeat1, 1, 0, 1),
  [682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alternative_statement, 1, 0, 3),
  [684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__alternative_statement, 1, 0, 3),
  [686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 43),
  [688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 43),
  [690] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(558),
  [693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18),
  [695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_start_tag, 4, 0, 0),
  [697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_start_tag, 4, 0, 0),
  [699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_start_tag, 3, 0, 0),
  [701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_start_tag, 3, 0, 0),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(39),
  [709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(398),
  [745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(382),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(58),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(310),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(31),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(343),
  [773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0),
  [785] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(347),
  [788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(254),
  [791] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(696),
  [794] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(256),
  [797] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(257),
  [800] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(258),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(347),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(597),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [849] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(366),
  [852] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(251),
  [855] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(672),
  [858] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(275),
  [861] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(252),
  [864] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(270),
  [867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [875] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(284),
  [878] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_assignment, 3, 0, 0),
  [880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(41),
  [882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 10),
  [886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 10),
  [888] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(597),
  [891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullish_coalescing_expression, 3, 0, 15),
  [893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullish_coalescing_expression, 3, 0, 15),
  [895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_animation_binding, 3, 0, 0),
  [897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_animation_binding, 3, 0, 0),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_directive, 2, 0, 0),
  [907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structural_directive, 2, 0, 0),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [911] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0), SHIFT_REPEAT(410),
  [914] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0), SHIFT_REPEAT(420),
  [917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0),
  [919] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0), SHIFT_REPEAT(636),
  [922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__normal_attribute, 1, 0, 0),
  [930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__normal_attribute, 1, 0, 0),
  [932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_two_way_binding, 4, 0, 0),
  [946] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_two_way_binding, 4, 0, 0),
  [948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__normal_attribute, 3, 0, 0),
  [950] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__normal_attribute, 3, 0, 0),
  [952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 0),
  [954] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute, 1, 0, 0),
  [956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_attribute_value, 3, 0, 0),
  [958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_attribute_value, 3, 0, 0),
  [960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_animation_binding, 4, 0, 40),
  [962] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_animation_binding, 4, 0, 40),
  [964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 1, 0, 0),
  [966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_assignment, 1, 0, 18),
  [976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(638),
  [978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_directive, 6, 0, 0),
  [986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structural_directive, 6, 0, 0),
  [988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_assignment, 4, 0, 0),
  [990] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_assignment, 4, 0, 0),
  [992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_attribute_value, 2, 0, 0),
  [998] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_attribute_value, 2, 0, 0),
  [1000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_event_binding, 4, 0, 0),
  [1002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_event_binding, 4, 0, 0),
  [1004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_binding, 4, 0, 0),
  [1006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_binding, 4, 0, 0),
  [1008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, 0, 25),
  [1010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [1012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [1014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [1016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding_name, 1, 0, 0),
  [1018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 23),
  [1020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [1022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [1024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [1026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0),
  [1028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [1030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [1032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [1034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_trigger_condition, 3, 0, 31),
  [1036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0),
  [1038] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0), SHIFT_REPEAT(641),
  [1041] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0), SHIFT_REPEAT(551),
  [1044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [1046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [1048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenation_expression_repeat1, 2, 0, 0),
  [1050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_trigger_condition, 2, 0, 21),
  [1052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [1054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(590),
  [1056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [1058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [1060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [1062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [1064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [1066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [1068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [1070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [1072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [1074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [1076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [1078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [1080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(48),
  [1082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [1084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [1086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_assignment, 3, 0, 52),
  [1088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [1090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [1092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [1094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [1096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [1098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_assignment, 4, 0, 54),
  [1100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [1102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [1104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [1106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [1108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(54),
  [1110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [1112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [1114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(27),
  [1116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [1118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [1120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [1122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [1124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [1126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [1128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [1130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_reference, 2, 0, 38),
  [1132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [1134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [1136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_reference, 3, 0, 42),
  [1138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_condition, 1, 0, 0),
  [1140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_icu_expression_repeat1, 2, 0, 0),
  [1142] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_icu_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(648),
  [1145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_declaration, 6, 0, 44),
  [1147] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_reference_repeat1, 2, 0, 45), SHIFT_REPEAT(555),
  [1150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_reference_repeat1, 2, 0, 45),
  [1152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [1154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_declaration, 2, 0, 0),
  [1156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [1158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 2, 0, 46),
  [1160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0),
  [1162] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0), SHIFT_REPEAT(460),
  [1165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0), SHIFT_REPEAT(460),
  [1168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [1170] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(461),
  [1173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(461),
  [1176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_declaration, 3, 0, 0),
  [1178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_structural_declaration_repeat1, 2, 0, 0),
  [1180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_structural_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(515),
  [1183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [1185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [1187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [1189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [1191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [1193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [1195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [1197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [1199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [1201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [1203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [1205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [1207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [1209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [1211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 4, 0, 25),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [1215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [1217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alias, 2, 0, 38),
  [1219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 3, 0, 46),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [1223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 5, 0, 30),
  [1225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_assignment, 3, 0, 23),
  [1227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [1229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [1231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_assignment, 4, 0, 55),
  [1233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__context_expression, 4, 0, 0),
  [1235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__context_expression, 4, 0, 56),
  [1237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_assignment, 5, 0, 57),
  [1239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_reference_repeat1, 2, 0, 38),
  [1241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [1243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [1245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [1247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [1249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [1253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [1255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [1257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [1261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [1263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [1265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [1267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [1269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [1271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [1273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [1275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [1277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [1279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [1281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenation_expression, 3, 0, 0),
  [1283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [1285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(633),
  [1287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [1289] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(230),
  [1292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0),
  [1294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [1296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [1298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [1300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [1302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [1304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [1306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 2, 0, 0),
  [1308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenation_expression, 4, 0, 0),
  [1310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [1312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [1314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [1316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [1318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [1320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [1322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [1324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [1326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [1328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [1330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_defer_trigger_repeat1, 2, 0, 33), SHIFT_REPEAT(468),
  [1333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_defer_trigger_repeat1, 2, 0, 33),
  [1335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [1337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [1339] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(285),
  [1342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_assignment, 2, 0, 48),
  [1344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [1346] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(290),
  [1349] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(289),
  [1352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [1354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 2, 0, 8),
  [1356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [1358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [1360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [1362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [1364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [1366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [1368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [1370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [1372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [1374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [1376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [1378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(384),
  [1380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [1382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [1384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [1386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [1388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [1390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [1392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_start_tag, 4, 0, 0),
  [1394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_style_start_tag, 4, 0, 0),
  [1396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [1398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [1400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [1402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_start_tag, 3, 0, 0),
  [1404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_style_start_tag, 3, 0, 0),
  [1406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [1408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [1410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [1412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [1414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_icu_case, 4, 0, 51),
  [1416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_icu_case, 4, 0, 51),
  [1418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_defer_trigger_repeat1, 2, 0, 22),
  [1420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [1422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [1424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_timed_expression, 3, 0, 34),
  [1426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [1428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [1430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [1432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [1434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__else_template_expression, 3, 0, 0),
  [1436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [1438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(367),
  [1440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [1442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [1444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [1446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [1448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [1450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [1452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [1454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [1456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [1458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [1460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [1462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [1464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [1466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [1468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [1470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [1472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [1474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [1476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_minimum, 3, 0, 24),
  [1478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_trigger, 3, 0, 22),
  [1480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [1482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [1484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 3, 0, 49),
  [1486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [1488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [1490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loading_condition, 3, 0, 22),
  [1492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [1494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [1496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [1498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [1500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 3, 0, 50),
  [1502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [1504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [1506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [1508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [1510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [1512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [1514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_trigger, 4, 0, 32),
  [1516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [1518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [1520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [1522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [1524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [1526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [1528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [1530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [1532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [1534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [1536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [1538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [1540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [1542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [1544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [1546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [1548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [1550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [1552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loading_condition, 5, 0, 39),
  [1554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [1556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [1558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [1560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 2, 0, 47),
  [1562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_icu_clause, 1, 0, 0),
  [1564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [1566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 4, 0, 53),
  [1568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [1570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [1572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [1574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [1576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [1578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [1580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [1582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [1584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [1586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_member_expression, 3, 0, 0),
  [1588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [1590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [1592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [1594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [1596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [1598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [1600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [1602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [1604] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [1606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_reference, 3, 0, 0),
  [1608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__start_tag_name = 0,
  ts_external_token__script_start_tag_name = 1,
  ts_external_token__style_start_tag_name = 2,
  ts_external_token__end_tag_name = 3,
  ts_external_token_erroneous_end_tag_name = 4,
  ts_external_token_SLASH_GT = 5,
  ts_external_token__implicit_end_tag = 6,
  ts_external_token_raw_text = 7,
  ts_external_token_comment = 8,
  ts_external_token__interpolation_start = 9,
  ts_external_token__interpolation_end = 10,
  ts_external_token_if_start = 11,
  ts_external_token_else_start = 12,
  ts_external_token_for_start = 13,
  ts_external_token_switch_start = 14,
  ts_external_token_case_start = 15,
  ts_external_token_default_start = 16,
  ts_external_token_defer_start = 17,
  ts_external_token_let_start = 18,
  ts_external_token_empty_start = 19,
  ts_external_token_placeholder_start = 20,
  ts_external_token_loading_start = 21,
  ts_external_token_error_start = 22,
  ts_external_token_else_if_start = 23,
  ts_external_token_at_sign = 24,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__start_tag_name] = sym__start_tag_name,
  [ts_external_token__script_start_tag_name] = sym__script_start_tag_name,
  [ts_external_token__style_start_tag_name] = sym__style_start_tag_name,
  [ts_external_token__end_tag_name] = sym__end_tag_name,
  [ts_external_token_erroneous_end_tag_name] = sym_erroneous_end_tag_name,
  [ts_external_token_SLASH_GT] = anon_sym_SLASH_GT,
  [ts_external_token__implicit_end_tag] = sym__implicit_end_tag,
  [ts_external_token_raw_text] = sym_raw_text,
  [ts_external_token_comment] = sym_comment,
  [ts_external_token__interpolation_start] = sym__interpolation_start,
  [ts_external_token__interpolation_end] = sym__interpolation_end,
  [ts_external_token_if_start] = sym_if_start,
  [ts_external_token_else_start] = sym_else_start,
  [ts_external_token_for_start] = sym_for_start,
  [ts_external_token_switch_start] = sym_switch_start,
  [ts_external_token_case_start] = sym_case_start,
  [ts_external_token_default_start] = sym_default_start,
  [ts_external_token_defer_start] = sym_defer_start,
  [ts_external_token_let_start] = sym_let_start,
  [ts_external_token_empty_start] = sym_empty_start,
  [ts_external_token_placeholder_start] = sym_placeholder_start,
  [ts_external_token_loading_start] = sym_loading_start,
  [ts_external_token_error_start] = sym_error_start,
  [ts_external_token_else_if_start] = sym_else_if_start,
  [ts_external_token_at_sign] = sym_at_sign,
};

static const bool ts_external_scanner_states[13][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__start_tag_name] = true,
    [ts_external_token__script_start_tag_name] = true,
    [ts_external_token__style_start_tag_name] = true,
    [ts_external_token__end_tag_name] = true,
    [ts_external_token_erroneous_end_tag_name] = true,
    [ts_external_token_SLASH_GT] = true,
    [ts_external_token__implicit_end_tag] = true,
    [ts_external_token_raw_text] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__interpolation_start] = true,
    [ts_external_token__interpolation_end] = true,
    [ts_external_token_if_start] = true,
    [ts_external_token_else_start] = true,
    [ts_external_token_for_start] = true,
    [ts_external_token_switch_start] = true,
    [ts_external_token_case_start] = true,
    [ts_external_token_default_start] = true,
    [ts_external_token_defer_start] = true,
    [ts_external_token_let_start] = true,
    [ts_external_token_empty_start] = true,
    [ts_external_token_placeholder_start] = true,
    [ts_external_token_loading_start] = true,
    [ts_external_token_error_start] = true,
    [ts_external_token_else_if_start] = true,
    [ts_external_token_at_sign] = true,
  },
  [2] = {
    [ts_external_token_comment] = true,
    [ts_external_token__interpolation_start] = true,
    [ts_external_token_if_start] = true,
    [ts_external_token_else_start] = true,
    [ts_external_token_for_start] = true,
    [ts_external_token_switch_start] = true,
    [ts_external_token_defer_start] = true,
    [ts_external_token_let_start] = true,
    [ts_external_token_empty_start] = true,
    [ts_external_token_placeholder_start] = true,
    [ts_external_token_loading_start] = true,
    [ts_external_token_error_start] = true,
    [ts_external_token_else_if_start] = true,
    [ts_external_token_at_sign] = true,
  },
  [3] = {
    [ts_external_token__implicit_end_tag] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__interpolation_start] = true,
    [ts_external_token_if_start] = true,
    [ts_external_token_else_start] = true,
    [ts_external_token_for_start] = true,
    [ts_external_token_switch_start] = true,
    [ts_external_token_defer_start] = true,
    [ts_external_token_let_start] = true,
    [ts_external_token_empty_start] = true,
    [ts_external_token_placeholder_start] = true,
    [ts_external_token_loading_start] = true,
    [ts_external_token_error_start] = true,
    [ts_external_token_else_if_start] = true,
    [ts_external_token_at_sign] = true,
  },
  [4] = {
    [ts_external_token_comment] = true,
  },
  [5] = {
    [ts_external_token_comment] = true,
    [ts_external_token__interpolation_end] = true,
  },
  [6] = {
    [ts_external_token_SLASH_GT] = true,
    [ts_external_token_comment] = true,
  },
  [7] = {
    [ts_external_token_comment] = true,
    [ts_external_token_case_start] = true,
    [ts_external_token_default_start] = true,
  },
  [8] = {
    [ts_external_token_raw_text] = true,
    [ts_external_token_comment] = true,
  },
  [9] = {
    [ts_external_token__start_tag_name] = true,
    [ts_external_token__script_start_tag_name] = true,
    [ts_external_token__style_start_tag_name] = true,
    [ts_external_token_comment] = true,
  },
  [10] = {
    [ts_external_token__end_tag_name] = true,
    [ts_external_token_erroneous_end_tag_name] = true,
    [ts_external_token_comment] = true,
  },
  [11] = {
    [ts_external_token_erroneous_end_tag_name] = true,
    [ts_external_token_comment] = true,
  },
  [12] = {
    [ts_external_token__end_tag_name] = true,
    [ts_external_token_comment] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_angular_external_scanner_create(void);
void tree_sitter_angular_external_scanner_destroy(void *);
bool tree_sitter_angular_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_angular_external_scanner_serialize(void *, char *);
void tree_sitter_angular_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_angular(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_angular_external_scanner_create,
      tree_sitter_angular_external_scanner_destroy,
      tree_sitter_angular_external_scanner_scan,
      tree_sitter_angular_external_scanner_serialize,
      tree_sitter_angular_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
